#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0x09b72681, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0xff874ac0, "_gpl");
SYMBOL_CRC(af_alg_release, 0xecaf6838, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x6ba020ef, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x4802a503, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x57bcfce1, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xd5d3c51c, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x6908d4e4, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xb8e5aa38, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x50c645ef, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x0c565b59, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x348ca3bc, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x5c7a2c03, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x89bfd9b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0x809aa376, "sk_alloc" },
	{ 0xa6037bac, "sock_init_data" },
	{ 0x74c42a22, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x69316c30, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7a4ec7fd, "extract_iter_to_sg" },
	{ 0x86bd50fe, "proto_register" },
	{ 0xb35ffaf8, "sock_register" },
	{ 0x49b311cb, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x94a3e595, "lock_sock_nested" },
	{ 0xaa08bae7, "release_sock" },
	{ 0x40acce40, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfb7963a6, "sk_free" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xded71415, "sock_wake_async" },
	{ 0x24f64a75, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd03da477, "__folio_put" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x491e1fed, "_copy_from_iter" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8944114f, "iov_iter_revert" },
	{ 0x923d94c3, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x667b7993, "key_put" },
	{ 0xb4a24de, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x511193ca, "sock_no_connect" },
	{ 0x62e6d81e, "sock_no_socketpair" },
	{ 0x291d1187, "sock_no_getname" },
	{ 0xa5cd7c00, "sock_no_ioctl" },
	{ 0xfd856d2e, "sock_no_listen" },
	{ 0x9122436c, "sock_no_shutdown" },
	{ 0xed5e9629, "sock_no_sendmsg" },
	{ 0xe1b55e25, "sock_no_recvmsg" },
	{ 0x40bb7131, "sock_no_mmap" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CBBE1DB40D3D6641CEA3F01");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
