#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x73be2415, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0x966c732f, "_gpl");
SYMBOL_CRC(ahci_ops, 0xa4e4fe4a, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x43b8a44e, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x1c639e12, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0xa7810a49, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xd03c0171, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x49955b85, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x256216bd, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xf3472972, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0xd1e2f5f2, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x9f1901c7, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0xd8c797bc, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x4bea06bd, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x862bc331, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0x5b720610, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xb48c23db, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x40ea48bd, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x42c0e3c6, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x331a4f44, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x0cdf2797, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x63a02a8b, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xec308a95, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xc0dca0ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x707ef5b8, "ata_std_postreset" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xc1e5172a, "ata_std_qc_defer" },
	{ 0xf7a3a323, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x676c5859, "ata_port_classify" },
	{ 0xb89e3cb2, "ata_qc_complete_multiple" },
	{ 0x706d67e8, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x42a5b74f, "sata_pmp_error_handler" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xe4280c18, "ata_host_start" },
	{ 0x5428e2f2, "devm_request_threaded_irq" },
	{ 0x4937c697, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x1cee817c, "ata_host_register" },
	{ 0x7c0de7ad, "ata_host_activate" },
	{ 0xf9a482f9, "msleep" },
	{ 0x59cd1057, "ata_dummy_port_ops" },
	{ 0xfd56cb45, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x6b9c2ce8, "dmam_alloc_attrs" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4f838dc7, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0x35ebc096, "sata_link_hardreset" },
	{ 0xb00edbc6, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7d038196, "sata_lpm_ignore_phy_events" },
	{ 0x47ec6c2a, "ata_ehi_clear_desc" },
	{ 0xdd2438eb, "ata_ehi_push_desc" },
	{ 0x4e1e08ac, "sata_async_notification" },
	{ 0x68820290, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x49b49e3d, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x975a8127, "sata_pmp_port_ops" },
	{ 0x2f769ef7, "dev_attr_sw_activity" },
	{ 0x9bf030e0, "dev_attr_unload_heads" },
	{ 0x817ec26b, "dev_attr_ncq_prio_supported" },
	{ 0x5cc2f024, "dev_attr_ncq_prio_enable" },
	{ 0xef8e0e1f, "dev_attr_link_power_management_policy" },
	{ 0x84e137f7, "dev_attr_em_message_type" },
	{ 0xe5530811, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0x38c8bf59, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x881111b2, "ata_link_next" },
	{ 0xaea28010, "ata_wait_register" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xaf383a06, "ata_dev_set_feature" },
	{ 0x97283a9d, "ata_msleep" },
	{ 0x3b24033f, "sata_link_scr_lpm" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9557F6EA276DB7CBCAFEE9E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
