#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb301c238, "ceph_cls_lock_info" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x29cc9780, "osd_req_op_extent_osd_data_pages" },
	{ 0x172b5dc0, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x8ee3f1aa, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xac2d74bd, "blk_mq_end_request" },
	{ 0x679acbd6, "blk_mq_start_request" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x58a84d8b, "ceph_parse_mon_ips" },
	{ 0x85df9b6c, "strsep" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0xf200db5c, "ceph_compare_options" },
	{ 0xe49d1e4b, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc80b3a7a, "__module_get" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x7540dd02, "blk_mq_alloc_tag_set" },
	{ 0x79053712, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xea064167, "blk_queue_flag_set" },
	{ 0x18a095ab, "blk_queue_max_hw_sectors" },
	{ 0xd0da7038, "blk_queue_max_segments" },
	{ 0x2e92bcdd, "blk_queue_max_segment_size" },
	{ 0x88a4c7c8, "blk_queue_io_min" },
	{ 0xa1692d16, "blk_queue_io_opt" },
	{ 0x97828376, "set_capacity" },
	{ 0x2b21714c, "set_disk_ro" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x3c718401, "device_add" },
	{ 0x92b4dc64, "ceph_create_client" },
	{ 0x76adaede, "ceph_open_session" },
	{ 0xe871760d, "blk_queue_max_discard_sectors" },
	{ 0x240214d0, "blk_queue_max_write_zeroes_sectors" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xa7370d68, "ceph_parse_param" },
	{ 0x547aa128, "device_add_disk" },
	{ 0x632f6684, "__fs_parse" },
	{ 0x3db41538, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x99c663db, "set_capacity_and_notify" },
	{ 0x7f77fb01, "ceph_cls_lock" },
	{ 0xeb260b10, "ceph_osdc_list_watchers" },
	{ 0x293a3ee0, "ceph_monc_blocklist_add" },
	{ 0x7811abd2, "ceph_cls_break_lock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9361bc74, "ceph_cls_set_cookie" },
	{ 0x454fa66a, "fs_param_is_u32" },
	{ 0x2dcbe255, "fs_param_is_enum" },
	{ 0x38c6ab5d, "fs_param_is_string" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4bb7f0e4, "ceph_client_gid" },
	{ 0x9adb3893, "ceph_client_addr" },
	{ 0x92aaef41, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0x8434c954, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xc2f532ef, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0xe2aa1eea, "osd_req_op_alloc_hint_init" },
	{ 0xdba27d7f, "osd_req_op_extent_init" },
	{ 0x42c5d1d3, "osd_req_op_init" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x67b7305d, "get_device" },
	{ 0xeceed094, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0xe771883e, "kmem_cache_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x5be74004, "device_register" },
	{ 0x5051d10, "bus_register" },
	{ 0x77dc14ac, "put_device" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x53913146, "bus_unregister" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5b8c50a5, "ceph_osdc_call" },
	{ 0x923d94c3, "__free_pages" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb63301e4, "device_initialize" },
	{ 0xb5fcce53, "put_disk" },
	{ 0x8cb7499e, "blk_mq_free_tag_set" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x58465f1e, "ceph_cls_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xa9a1d9df, "osd_req_op_cls_init" },
	{ 0x637aa8cb, "ceph_alloc_page_vector" },
	{ 0x4b13a5d9, "osd_req_op_cls_request_data_pages" },
	{ 0x2ec70e8e, "ceph_osdc_alloc_messages" },
	{ 0xf4b75e32, "ceph_osdc_start_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1af9a32a, "ceph_cls_assert_locked" },
	{ 0x235accbc, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0xb4a9cdaf, "ceph_release_page_vector" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc1a58a40, "ceph_copy_from_page_vector" },
	{ 0x56470118, "__warn_printk" },
	{ 0x658f3039, "ceph_destroy_client" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xffb7c514, "ida_free" },
	{ 0x40acce40, "module_put" },
	{ 0x6da7650f, "ceph_osdc_watch" },
	{ 0x9992f7dc, "ceph_osdc_unwatch" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9bcd14b3, "ceph_osdc_flush_notifies" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd3d735bf, "blk_mq_freeze_queue" },
	{ 0x817a7757, "blk_mark_disk_dead" },
	{ 0x913abf99, "del_gendisk" },
	{ 0x8ab46459, "device_del" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9066e696, "ceph_osdc_notify" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd1270c66, "ceph_osdc_put_request" },
	{ 0x96641b8a, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0xcff4b7de, "osd_req_op_cls_request_data_bvecs" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xca1cacc4, "kmem_cache_alloc" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "CF927DFCD00E1FD49E049C2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
