#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(idxd_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_dmaengine_drv, "_gpl", "IDXD");
KSYMTAB_DATA(idxd_user_drv, "_gpl", "IDXD");

SYMBOL_CRC(idxd_drv, 0xaef9eb1a, "_gpl");
SYMBOL_CRC(idxd_dmaengine_drv, 0x707cb3a5, "_gpl");
SYMBOL_CRC(idxd_user_drv, 0xe4327397, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6ddbd65, "dma_async_device_channel_unregister" },
	{ 0xdb71de8d, "iommu_sva_unbind_device" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0xffb7c514, "ida_free" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x53ba0f8, "iommu_alloc_global_pasid" },
	{ 0x84e1e6b, "perf_pmu_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5222d5c6, "pci_iounmap" },
	{ 0x8ab46459, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5d3b67f0, "iommu_sva_get_pasid" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3b0794c, "dmaengine_unmap_put" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcc912bd0, "dma_async_device_register" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2fd36213, "iommu_attach_device_pasid" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x86414d44, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2ca323bd, "dma_async_device_channel_register" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x436adcb5, "dma_async_tx_descriptor_init" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3286759b, "seq_printf" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0x633cee0c, "single_release" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0xe241bf, "kthread_unuse_mm" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x1a78411f, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe9b4775d, "single_open" },
	{ 0xcdb9e148, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x566f67b6, "pci_free_irq_vectors" },
	{ 0xb0ec2fc2, "idxd_driver_unregister" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xfa13f45f, "iommu_free_global_pasid" },
	{ 0xb4fbd9a3, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x5051d10, "bus_register" },
	{ 0xeceed094, "kmem_cache_destroy" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2146ac2e, "pci_msix_vec_count" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x77bc13a0, "strim" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x1da81562, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0x403a2224, "dma_async_device_unregister" },
	{ 0x695fda7e, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x5d43eb46, "devm_iounmap" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x541e52c2, "cdev_device_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0x4e71865, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb63301e4, "device_initialize" },
	{ 0x84656d68, "dsa_bus_type" },
	{ 0x78deb14a, "iommu_dev_disable_feature" },
	{ 0x681fa1c7, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0xea166aed, "iommu_sva_bind_device" },
	{ 0x2dbd3c70, "iommu_detach_device_pasid" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x91b32b4e, "pci_irq_vector" },
	{ 0x67b7305d, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6c1c34e5, "kthread_use_mm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x288f427c, "sbitmap_queue_init_node" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x84a0ca4d, "bitmap_zalloc_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0x1e6cbee6, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77dc14ac, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x7c692af8, "kmalloc_node_trace" },
	{ 0x9820ab47, "iommu_dev_enable_feature" },
	{ 0xca1cacc4, "kmem_cache_alloc" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0xba705f63, "__idxd_driver_register" },
	{ 0xfc4a621d, "iommu_get_domain_for_dev" },
	{ 0x2fc090aa, "perf_pmu_migrate_context" },
	{ 0x9dfedd14, "perf_pmu_register" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x53913146, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x3c718401, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xdf9f3b8b, "kmem_cache_create_usercopy" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xfe052363, "ioread64_lo_hi" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x96641b8a, "kmem_cache_free" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0x24b1e5cb, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "idxd_bus");

MODULE_ALIAS("pci:v00008086d00000B25sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CFEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "067C5DA70A06BFF46180796");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
