#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_setup, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");

SYMBOL_CRC(drm_gem_dma_create, 0x4d6645f3, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0x1d59d691, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0xfaca4792, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x289b79c8, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xcd6dbc26, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x7df25742, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x65be60de, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x3901d23c, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x8c3af369, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0xe4f60ee7, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xa7867396, "");
SYMBOL_CRC(drm_fbdev_dma_setup, 0xe5d58e2d, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x82681497, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0x254d6f58, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x714964ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4e3b6bc, "drm_helper_disable_unused_functions" },
	{ 0x918934d6, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x237255e0, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x61ec50a1, "drm_fb_helper_fini" },
	{ 0x67cf2d82, "dma_mmap_pages" },
	{ 0x588ace9c, "drm_client_framebuffer_delete" },
	{ 0x6f42662a, "dma_free_pages" },
	{ 0x24c0425d, "drm_client_framebuffer_create" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x2dc3f5f2, "drm_fb_helper_fill_info" },
	{ 0x677b91d2, "drm_gem_create_mmap_offset" },
	{ 0x8f3372a6, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x37b380f4, "drm_fb_helper_hotplug_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x65efef01, "fb_sys_write" },
	{ 0x148bd504, "sys_imageblit" },
	{ 0x8f229190, "drm_atomic_helper_damage_iter_init" },
	{ 0x1591e07f, "drm_fb_helper_blank" },
	{ 0xa9349a1c, "dma_alloc_pages" },
	{ 0xe09153f6, "drm_gem_private_object_init" },
	{ 0xe7daf019, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3efc5744, "sys_fillrect" },
	{ 0x40acce40, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x2093e0f8, "drm_client_init" },
	{ 0x5f874357, "drm_gem_vm_close" },
	{ 0xfe2be9ea, "drm_gem_vm_open" },
	{ 0x2dab089, "drm_fb_helper_prepare" },
	{ 0x57bc19d2, "down_write" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x5e7bef0, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcdb13b90, "drm_gem_handle_create" },
	{ 0xda4b0950, "drm_gem_fb_get_obj" },
	{ 0xab5d4d1c, "__drm_dev_dbg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd38e77f9, "drm_fb_helper_pan_display" },
	{ 0xa4c27a17, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5d6c1a75, "sys_copyarea" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x28779e52, "drm_printf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x761bfb39, "drm_client_buffer_vunmap" },
	{ 0xc1b104f6, "fb_sys_read" },
	{ 0xd3a58ee3, "drm_fb_helper_debug_leave" },
	{ 0xfaa4e40f, "dma_buf_vmap_unlocked" },
	{ 0x8c91cc6, "dma_mmap_attrs" },
	{ 0xd406748e, "dma_get_sgtable_attrs" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x88bdee04, "drm_fb_helper_initial_config" },
	{ 0xecb4837c, "drm_fb_helper_unregister_info" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x8549e17e, "drm_fb_helper_ioctl" },
	{ 0x59c1c80f, "drm_fb_helper_set_par" },
	{ 0x6e8641e9, "drm_prime_gem_destroy" },
	{ 0xd1304c50, "drm_client_register" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x30d23237, "drm_fb_helper_init" },
	{ 0x29e7ad9d, "drm_fb_helper_debug_enter" },
	{ 0x3b4264f6, "dma_buf_vunmap_unlocked" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x56ef722f, "drm_client_buffer_vmap" },
	{ 0xc2240b9c, "drm_fb_helper_lastclose" },
	{ 0x3e70752c, "drm_fb_helper_setcmap" },
	{ 0xc62f51de, "drm_fb_helper_alloc_info" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2ED1A1BB11B350C7F9853DB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
