#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_sched_fault, "", "");
KSYMTAB_FUNC(drm_sched_suspend_timeout, "", "");
KSYMTAB_FUNC(drm_sched_resume_timeout, "", "");
KSYMTAB_FUNC(drm_sched_stop, "", "");
KSYMTAB_FUNC(drm_sched_start, "", "");
KSYMTAB_FUNC(drm_sched_resubmit_jobs, "", "");
KSYMTAB_FUNC(drm_sched_job_init, "", "");
KSYMTAB_FUNC(drm_sched_job_arm, "", "");
KSYMTAB_FUNC(drm_sched_job_add_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_syncobj_dependency, "", "");
KSYMTAB_FUNC(drm_sched_job_add_resv_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_add_implicit_dependencies, "", "");
KSYMTAB_FUNC(drm_sched_job_cleanup, "", "");
KSYMTAB_FUNC(drm_sched_pick_best, "", "");
KSYMTAB_FUNC(drm_sched_init, "", "");
KSYMTAB_FUNC(drm_sched_fini, "", "");
KSYMTAB_FUNC(drm_sched_increase_karma, "", "");
KSYMTAB_FUNC(to_drm_sched_fence, "", "");
KSYMTAB_FUNC(drm_sched_entity_init, "", "");
KSYMTAB_FUNC(drm_sched_entity_modify_sched, "", "");
KSYMTAB_FUNC(drm_sched_entity_error, "", "");
KSYMTAB_FUNC(drm_sched_entity_flush, "", "");
KSYMTAB_FUNC(drm_sched_entity_fini, "", "");
KSYMTAB_FUNC(drm_sched_entity_destroy, "", "");
KSYMTAB_FUNC(drm_sched_entity_set_priority, "", "");
KSYMTAB_FUNC(drm_sched_entity_push_job, "", "");

SYMBOL_CRC(drm_sched_fault, 0x9b07a562, "");
SYMBOL_CRC(drm_sched_suspend_timeout, 0xf56a9082, "");
SYMBOL_CRC(drm_sched_resume_timeout, 0x04370863, "");
SYMBOL_CRC(drm_sched_stop, 0xfb3e57f0, "");
SYMBOL_CRC(drm_sched_start, 0xe0d171d8, "");
SYMBOL_CRC(drm_sched_resubmit_jobs, 0x644bdb01, "");
SYMBOL_CRC(drm_sched_job_init, 0xabcf2c74, "");
SYMBOL_CRC(drm_sched_job_arm, 0xe27bbb6b, "");
SYMBOL_CRC(drm_sched_job_add_dependency, 0x97eb0b11, "");
SYMBOL_CRC(drm_sched_job_add_syncobj_dependency, 0xba5fb568, "");
SYMBOL_CRC(drm_sched_job_add_resv_dependencies, 0x2d92d47e, "");
SYMBOL_CRC(drm_sched_job_add_implicit_dependencies, 0x65fd883d, "");
SYMBOL_CRC(drm_sched_job_cleanup, 0x924798ea, "");
SYMBOL_CRC(drm_sched_pick_best, 0xb2b13234, "");
SYMBOL_CRC(drm_sched_init, 0x76560bee, "");
SYMBOL_CRC(drm_sched_fini, 0x88e28c7f, "");
SYMBOL_CRC(drm_sched_increase_karma, 0xc0c6247b, "");
SYMBOL_CRC(to_drm_sched_fence, 0xf0b4a4a0, "");
SYMBOL_CRC(drm_sched_entity_init, 0x4a836fa7, "");
SYMBOL_CRC(drm_sched_entity_modify_sched, 0xbe62d81e, "");
SYMBOL_CRC(drm_sched_entity_error, 0x57822589, "");
SYMBOL_CRC(drm_sched_entity_flush, 0xb257fb07, "");
SYMBOL_CRC(drm_sched_entity_fini, 0x283dad71, "");
SYMBOL_CRC(drm_sched_entity_destroy, 0x2e2e023f, "");
SYMBOL_CRC(drm_sched_entity_set_priority, 0xb42c179c, "");
SYMBOL_CRC(drm_sched_entity_push_job, 0xe4e7e643, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0xccaf994e, "dma_fence_set_deadline" },
	{ 0xe771883e, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3d79a85a, "kthread_park" },
	{ 0xc4a09ed0, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x64d11af1, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x4e80f9f5, "dma_resv_iter_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x70daa11e, "dma_fence_remove_callback" },
	{ 0xca1cacc4, "kmem_cache_alloc" },
	{ 0x2afa2310, "drm_dev_printk" },
	{ 0xc4bf8526, "kthread_unpark" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0x96641b8a, "kmem_cache_free" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb5c3a99, "kthread_stop" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x97ad02c5, "bpf_trace_run1" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fda7168, "kthread_create_on_node" },
	{ 0x745a981, "xa_erase" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x440c5956, "dma_resv_iter_first" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x754d539c, "strlen" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeceed094, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9718f293, "drm_syncobj_find_fence" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "79381639E3115EC5039B6C2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
