#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x5f530c23, "");
SYMBOL_CRC(ishtp_start, 0x5e9ae064, "");
SYMBOL_CRC(ishtp_send_suspend, 0xed8ab164, "");
SYMBOL_CRC(ishtp_send_resume, 0xdca6610d, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x57f91718, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x5e8aea1e, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x73407ab2, "");
SYMBOL_CRC(ishtp_cl_allocate, 0xaf133d98, "");
SYMBOL_CRC(ishtp_cl_free, 0xe360cfc0, "");
SYMBOL_CRC(ishtp_cl_link, 0xc2d116c4, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xeca50def, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xda7450ac, "");
SYMBOL_CRC(ishtp_cl_connect, 0x874196eb, "");
SYMBOL_CRC(ishtp_cl_send, 0x299949e6, "");
SYMBOL_CRC(ishtp_get_client_data, 0x3bebf6ec, "");
SYMBOL_CRC(ishtp_set_client_data, 0xd6cfe8f1, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x1916f1c2, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x363a4ecb, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xb93a2c8a, "");
SYMBOL_CRC(ishtp_set_connection_state, 0x68115f72, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0x8c496704, "");
SYMBOL_CRC(ishtp_recv, 0x80db1a56, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x6bab4408, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x992e0fe8, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0xe67c8d08, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x65f44f8d, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xbcde22dd, "");
SYMBOL_CRC(ishtp_get_device, 0x668c137b, "");
SYMBOL_CRC(ishtp_put_device, 0xbc7ee384, "");
SYMBOL_CRC(ishtp_set_drvdata, 0xc8009f89, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xa38eb943, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x9c8b8ad5, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0xd8234c2c, "");
SYMBOL_CRC(ishtp_reset_handler, 0x6ac4ca94, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xcf7f9ed3, "");
SYMBOL_CRC(ishtp_device, 0x84b79ed9, "");
SYMBOL_CRC(ishtp_wait_resume, 0x5c0051e8, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xed45c448, "");
SYMBOL_CRC(ishtp_trace_callback, 0x86039066, "");
SYMBOL_CRC(ish_hw_reset, 0x16fe52fd, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x32d50ea0, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x3fc80c74, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xf8bdda0a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77dc14ac, "put_device" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x53913146, "bus_unregister" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5be74004, "device_register" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe28c510b, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x5051d10, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
