#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9cfacb6b, "devm_free_irq" },
	{ 0x7be06c8b, "i2c_del_adapter" },
	{ 0x50818ee, "pcim_iomap_regions" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x321b0a14, "i2c_dw_acpi_configure" },
	{ 0x4914a3d3, "i2c_parse_fw_timings" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3030f59c, "pm_runtime_forbid" },
	{ 0xc2db2a85, "pm_runtime_allow" },
	{ 0x75d281e9, "i2c_dw_validate_speed" },
	{ 0x11088ab3, "i2c_dw_configure_master" },
	{ 0x7a8e380f, "dev_err_probe" },
	{ 0xc79aa729, "pcim_iomap_table" },
	{ 0xaad1e4b1, "__pm_runtime_suspend" },
	{ 0x30b308a7, "set_primary_fwnode" },
	{ 0x24a126c0, "__pm_runtime_use_autosuspend" },
	{ 0xa92301e1, "pcim_enable_device" },
	{ 0x566f67b6, "pci_free_irq_vectors" },
	{ 0x1abc358f, "i2c_dw_probe_master" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x695fda7e, "pci_alloc_irq_vectors" },
	{ 0xb05f55f9, "i2c_dw_adjust_bus_speed" },
	{ 0x88b09ca9, "pm_runtime_set_autosuspend_delay" },
	{ 0xf4fb4af, "i2c_new_ccgx_ucsi" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0x91b32b4e, "pci_irq_vector" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "i2c-ccgx-ucsi");

MODULE_ALIAS("pci:v00008086d00000817sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000818sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000082Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001195sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001196sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F41sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F42sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F43sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F44sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F45sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F46sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000F47sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C61sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009C62sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000022C7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BB9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BBFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004BC0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007314sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073E4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d000073C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007444sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00007464sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29445553E0E6593F746D632");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
