#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0x2df5b8be, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0xfd591cc3, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0xce460b9e, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0x0b4ea4ec, "");
SYMBOL_CRC(rtrs_srv_open, 0x9abc32fe, "");
SYMBOL_CRC(rtrs_srv_close, 0x8b257a1e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc363c64, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x50862691, "rtrs_rdma_dev_pd_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xea8f9e82, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd05324df, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x77dc14ac, "put_device" },
	{ 0x7d3f59a7, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x923d94c3, "__free_pages" },
	{ 0x7c1d0a14, "rdma_bind_addr" },
	{ 0x604b6d2, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x282a221a, "rtrs_iu_free" },
	{ 0xf72b2945, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x5bb4d42, "init_net" },
	{ 0x3c718401, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc87a36d5, "kobj_sysfs_ops" },
	{ 0x3768b686, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x8312e746, "rtrs_iu_post_recv" },
	{ 0x6ab97113, "kobject_init_and_add" },
	{ 0x5bbee300, "rdma_listen" },
	{ 0x380c8964, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb3680b1, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x694baa43, "sysfs_remove_file_self" },
	{ 0x8ab46459, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0x975c85b2, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe52a3235, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7fff2e8d, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1ed8aa13, "ib_dma_virt_map_sg" },
	{ 0xe7393c6a, "kobject_del" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xc9c5f794, "rdma_destroy_id" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfa069d25, "rdma_accept" },
	{ 0x2d372004, "rtrs_start_hb" },
	{ 0x86fdde79, "kobject_uevent" },
	{ 0xe8c6ae52, "ib_drain_qp" },
	{ 0xc49eca5, "dma_unmap_sg_attrs" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x4e9426b, "rtrs_cq_qp_create" },
	{ 0xc16e9d98, "rtrs_ib_dev_put" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x148716ed, "rtrs_init_hb" },
	{ 0x92b9ff7d, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x948739f, "rtrs_send_hb_ack" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x6a19134a, "rtrs_iu_alloc" },
	{ 0x7b91d4e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x858611c3, "kobject_get" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x203f5ff1, "dma_map_sg_attrs" },
	{ 0xad14733b, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x102a0da8, "ib_unregister_client" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7bd9c224, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0xb63301e4, "device_initialize" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xeba8af7c, "rtrs_post_recv_empty" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x5d556c1c, "ib_dereg_mr_user" },
	{ 0x8cc4ebb4, "rtrs_iu_post_send" },
	{ 0x67b7305d, "get_device" },
	{ 0xbf5704d7, "rdma_reject" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "rdma_cm,rtrs-core,ib_core");


MODULE_INFO(srcversion, "B648EA9E0A62CAEE3A6B2C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
