#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0x472f2cad, "");
SYMBOL_CRC(mmc_request_done, 0xbccb130e, "");
SYMBOL_CRC(mmc_start_request, 0x175ccbc1, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x8dc84cea, "");
SYMBOL_CRC(mmc_cqe_start_req, 0x70d9b714, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x46842d63, "");
SYMBOL_CRC(mmc_cqe_post_req, 0xbf4820cd, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xf14a2018, "");
SYMBOL_CRC(mmc_is_req_done, 0x4a967028, "");
SYMBOL_CRC(mmc_wait_for_req, 0x83e19c57, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x6bc18727, "");
SYMBOL_CRC(mmc_set_data_timeout, 0xe9140733, "");
SYMBOL_CRC(__mmc_claim_host, 0x82471203, "");
SYMBOL_CRC(mmc_release_host, 0x7846d214, "");
SYMBOL_CRC(mmc_get_card, 0x9af2a600, "");
SYMBOL_CRC(mmc_put_card, 0xb0e5dfc1, "");
SYMBOL_CRC(mmc_detect_change, 0xdc29a2d3, "");
SYMBOL_CRC(mmc_erase, 0x6b6ad443, "");
SYMBOL_CRC(mmc_can_erase, 0xee0688e4, "");
SYMBOL_CRC(mmc_can_trim, 0x71fafe7f, "");
SYMBOL_CRC(mmc_can_discard, 0xb4db6bdd, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0x0b4e23e8, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x92a7707a, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xc2331f76, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0x8f9291e9, "");
SYMBOL_CRC(mmc_set_blocklen, 0x2f1b161b, "");
SYMBOL_CRC(mmc_hw_reset, 0x8816ad09, "");
SYMBOL_CRC(mmc_sw_reset, 0x6dc14faa, "");
SYMBOL_CRC(mmc_detect_card_removed, 0x336ab150, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x05c98853, "");
SYMBOL_CRC(mmc_register_driver, 0x8d4de9b8, "");
SYMBOL_CRC(mmc_unregister_driver, 0xca4c8f7b, "");
SYMBOL_CRC(mmc_retune_pause, 0xf0783a81, "");
SYMBOL_CRC(mmc_retune_unpause, 0xa9e553dc, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0xb0e9aeac, "");
SYMBOL_CRC(mmc_retune_release, 0xfc7fa6a4, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0x0e1f4d48, "");
SYMBOL_CRC(mmc_of_parse, 0x25558954, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0x9a6de20e, "");
SYMBOL_CRC(mmc_alloc_host, 0xa4dcca4c, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x741e7ad9, "");
SYMBOL_CRC(mmc_add_host, 0x75537597, "");
SYMBOL_CRC(mmc_remove_host, 0xad14682d, "");
SYMBOL_CRC(mmc_free_host, 0x3a6f0002, "");
SYMBOL_CRC(__mmc_send_status, 0x7ed4b959, "_gpl");
SYMBOL_CRC(mmc_send_status, 0xa690c0da, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x1946529d, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x8f043172, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0xa5f39ca8, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x1220f622, "_gpl");
SYMBOL_CRC(mmc_switch, 0x945ef665, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x6af9dd52, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0x63a8ef96, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0x9f595545, "");
SYMBOL_CRC(mmc_cmdq_enable, 0x1f8d4fb0, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x19c86099, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x4abf7124, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xbc0ed058, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x70413a8b, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xa0ca61fb, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0xa47331c2, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0x16f46723, "_gpl");
SYMBOL_CRC(sdio_release_host, 0x19c13e9d, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0xa4efa064, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xa6246dc5, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x0fad2e72, "_gpl");
SYMBOL_CRC(sdio_align_size, 0xa22d313a, "_gpl");
SYMBOL_CRC(sdio_readb, 0x931346af, "_gpl");
SYMBOL_CRC(sdio_writeb, 0xb8bd8e6e, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0xc586554e, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x4c0fe8c8, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0xadcf311a, "_gpl");
SYMBOL_CRC(sdio_readsb, 0xf53b98fb, "_gpl");
SYMBOL_CRC(sdio_writesb, 0x1e060fb6, "_gpl");
SYMBOL_CRC(sdio_readw, 0x8da809e9, "_gpl");
SYMBOL_CRC(sdio_writew, 0x0f474462, "_gpl");
SYMBOL_CRC(sdio_readl, 0xf78988f7, "_gpl");
SYMBOL_CRC(sdio_writel, 0xd62f3478, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0xaf732e31, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x71da8dc1, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0xfda9d568, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xb21a82ee, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xc38bc562, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0x39e7a9b7, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0x68120dca, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0x7d021c5b, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0x823069f2, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0xcc472b38, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x6b76b1e8, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0xe1655ca7, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xdef2b5a8, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xdd4cc390, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0xcef7b5ea, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x1fb7f216, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0x23692217, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x8518e875, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0xe67bd774, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x14fa1d23, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xec0f9b38, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0x9df44592, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0xeb190010, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x44e5ed00, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0x95502cd7, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x067ab816, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0xab79c2b2, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0xfe098dee, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0xa1abdb68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3c718401, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xaaca8d59, "simple_attr_release" },
	{ 0x4ca50c36, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x24b1e5cb, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x2d72a04e, "__devres_alloc_node" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x3a23014a, "devm_gpiod_get_index" },
	{ 0x380c8964, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbb5c3a99, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8ab46459, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xef49ed1, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4c274162, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x2b1ccba5, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fda7168, "kthread_create_on_node" },
	{ 0x983870db, "devm_kasprintf" },
	{ 0x86414d44, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8c85c108, "gpiod_cansleep" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0xc2f2d2b6, "gpiod_is_active_low" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0x4d1ec542, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3286759b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x633cee0c, "single_release" },
	{ 0xb0cc103f, "regulator_disable" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xaad1e4b1, "__pm_runtime_suspend" },
	{ 0x30b308a7, "set_primary_fwnode" },
	{ 0x7743556e, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe9b4775d, "single_open" },
	{ 0x319275e9, "gpiod_set_consumer_name" },
	{ 0x9b39c78c, "__pm_runtime_disable" },
	{ 0xcdb9e148, "debugfs_create_dir" },
	{ 0x7a8e4922, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe28c510b, "driver_register" },
	{ 0x7b91d4e, "class_register" },
	{ 0x38c8bf59, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe46fe8f4, "__dev_fwnode" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x5051d10, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x66e735f6, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xccac7fd9, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x1fbb8911, "device_property_present" },
	{ 0x1c3856f3, "blk_crypto_reprogram_all_keys" },
	{ 0xc9cfb624, "wakeup_source_register" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0xd09fe31a, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x5428e2f2, "devm_request_threaded_irq" },
	{ 0x61524209, "debugfs_attr_write" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x4bebed27, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb63301e4, "device_initialize" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x1b3f5b2f, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x96596e11, "gpiod_toggle_active_low" },
	{ 0x1078f771, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0x8d9273a3, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9f8e6a4e, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x67b7305d, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xc4a09ed0, "sched_set_fifo_low" },
	{ 0x522f5f03, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9c2fe87, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0xcbda73c3, "pm_generic_runtime_resume" },
	{ 0x4b508d2c, "pm_generic_resume" },
	{ 0x46be6cee, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x724c29fa, "__pm_runtime_set_status" },
	{ 0x8387299, "pm_wakeup_ws_event" },
	{ 0x41b0083b, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x77a2bba6, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x56994bb5, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x77dc14ac, "put_device" },
	{ 0xf776981b, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x35760152, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x12bd162b, "gpiod_set_debounce" },
	{ 0x82880b19, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdf7bba6e, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xef4ecf79, "pm_generic_suspend" },
	{ 0xe94d9091, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x53913146, "bus_unregister" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x408ddbba, "debugfs_create_file_unsafe" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "56B5AE169D7F44182EC9F17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
