#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(liquidio_set_ethtool_ops, "_gpl", "");
KSYMTAB_FUNC(lio_delete_glists, "_gpl", "");
KSYMTAB_FUNC(lio_setup_glists, "_gpl", "");
KSYMTAB_FUNC(liquidio_set_feature, "_gpl", "");
KSYMTAB_FUNC(liquidio_link_ctrl_cmd_completion, "_gpl", "");
KSYMTAB_FUNC(setup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(cleanup_rx_oom_poll_fn, "_gpl", "");
KSYMTAB_FUNC(liquidio_setup_io_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_interrupt, "_gpl", "");
KSYMTAB_FUNC(liquidio_change_mtu, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_clean_oq, "_gpl", "");
KSYMTAB_FUNC(lio_fetch_stats, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_speed, "_gpl", "");
KSYMTAB_FUNC(liquidio_get_fec, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_instr_queue, "_gpl", "");
KSYMTAB_FUNC(lio_wait_for_instr_fetch, "_gpl", "");
KSYMTAB_FUNC(octeon_ring_doorbell_locked, "_gpl", "");
KSYMTAB_FUNC(octeon_register_reqtype_free_fn, "_gpl", "");
KSYMTAB_FUNC(lio_process_iq_request_list, "_gpl", "");
KSYMTAB_FUNC(octeon_send_command, "_gpl", "");
KSYMTAB_FUNC(octeon_prepare_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_send_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_done_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_zombie_list, "_gpl", "");
KSYMTAB_FUNC(octeon_free_sc_buffer_pool, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_free_soft_command, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_response_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_response_list, "_gpl", "");
KSYMTAB_FUNC(lio_process_ordered_list, "_gpl", "");
KSYMTAB_FUNC(octeon_init_device_list, "_gpl", "");
KSYMTAB_FUNC(lio_get_state_string, "_gpl", "");
KSYMTAB_FUNC(octeon_free_device_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_device, "_gpl", "");
KSYMTAB_FUNC(octeon_register_device, "_gpl", "");
KSYMTAB_FUNC(octeon_deregister_device, "_gpl", "");
KSYMTAB_FUNC(octeon_allocate_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_free_ioq_vector, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_instr_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_setup_output_queues, "_gpl", "");
KSYMTAB_FUNC(octeon_set_io_queues_off, "_gpl", "");
KSYMTAB_FUNC(octeon_init_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_dispatch_list, "_gpl", "");
KSYMTAB_FUNC(octeon_register_dispatch_fn, "_gpl", "");
KSYMTAB_FUNC(octeon_core_drv_init, "_gpl", "");
KSYMTAB_FUNC(octeon_get_tx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_rx_qsize, "_gpl", "");
KSYMTAB_FUNC(octeon_get_conf, "_gpl", "");
KSYMTAB_FUNC(lio_get_device, "_gpl", "");
KSYMTAB_FUNC(lio_pci_readq, "_gpl", "");
KSYMTAB_FUNC(lio_pci_writeq, "_gpl", "");
KSYMTAB_FUNC(octeon_mem_access_ok, "_gpl", "");
KSYMTAB_FUNC(octeon_wait_for_ddr_init, "_gpl", "");
KSYMTAB_FUNC(lio_enable_irq, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn66xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(lio_setup_cn68xx_octeon_device, "_gpl", "");
KSYMTAB_FUNC(setup_cn23xx_octeon_pf_device, "_gpl", "");
KSYMTAB_FUNC(cn23xx_fw_loaded, "_gpl", "");
KSYMTAB_FUNC(cn23xx_tell_vf_its_macaddr_changed, "_gpl", "");
KSYMTAB_FUNC(cn23xx_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(cn23xx_vf_ask_pf_to_do_flr, "_gpl", "");
KSYMTAB_FUNC(cn23xx_octeon_pfvf_handshake, "_gpl", "");
KSYMTAB_FUNC(cn23xx_setup_octeon_vf_device, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_read_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_pci_write_core_mem, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem64, "_gpl", "");
KSYMTAB_FUNC(octeon_read_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_write_device_mem32, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_check_hw_for_pkts, "_gpl", "");
KSYMTAB_FUNC(octeon_delete_droq, "_gpl", "");
KSYMTAB_FUNC(octeon_droq_process_packets, "_gpl", "");
KSYMTAB_FUNC(octeon_unregister_droq_ops, "_gpl", "");
KSYMTAB_FUNC(octeon_alloc_soft_command_resp, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_data_pkt, "_gpl", "");
KSYMTAB_FUNC(octnet_send_nic_ctrl_pkt, "_gpl", "");

SYMBOL_CRC(liquidio_set_ethtool_ops, 0xa48b71b7, "_gpl");
SYMBOL_CRC(lio_delete_glists, 0x9191c5b1, "_gpl");
SYMBOL_CRC(lio_setup_glists, 0x19c6a0ca, "_gpl");
SYMBOL_CRC(liquidio_set_feature, 0xf916341d, "_gpl");
SYMBOL_CRC(liquidio_link_ctrl_cmd_completion, 0x19cb4e69, "_gpl");
SYMBOL_CRC(setup_rx_oom_poll_fn, 0x53d621d8, "_gpl");
SYMBOL_CRC(cleanup_rx_oom_poll_fn, 0x7f32a4c3, "_gpl");
SYMBOL_CRC(liquidio_setup_io_queues, 0x76f1c1a0, "_gpl");
SYMBOL_CRC(octeon_setup_interrupt, 0x8ded534a, "_gpl");
SYMBOL_CRC(liquidio_change_mtu, 0x2c2f748a, "_gpl");
SYMBOL_CRC(lio_wait_for_clean_oq, 0x26e5c2ee, "_gpl");
SYMBOL_CRC(lio_fetch_stats, 0x241a2a6c, "_gpl");
SYMBOL_CRC(liquidio_get_speed, 0xf7b3f66c, "_gpl");
SYMBOL_CRC(liquidio_get_fec, 0xe1295d6d, "_gpl");
SYMBOL_CRC(octeon_delete_instr_queue, 0x0b23ea19, "_gpl");
SYMBOL_CRC(lio_wait_for_instr_fetch, 0xbe861367, "_gpl");
SYMBOL_CRC(octeon_ring_doorbell_locked, 0x1bc70724, "_gpl");
SYMBOL_CRC(octeon_register_reqtype_free_fn, 0x3f34a417, "_gpl");
SYMBOL_CRC(lio_process_iq_request_list, 0xba4d7499, "_gpl");
SYMBOL_CRC(octeon_send_command, 0xd43297fb, "_gpl");
SYMBOL_CRC(octeon_prepare_soft_command, 0xe48615c0, "_gpl");
SYMBOL_CRC(octeon_send_soft_command, 0x96b46c6d, "_gpl");
SYMBOL_CRC(octeon_setup_sc_buffer_pool, 0xc8cfc8e3, "_gpl");
SYMBOL_CRC(octeon_free_sc_done_list, 0x9a15b5d1, "_gpl");
SYMBOL_CRC(octeon_free_sc_zombie_list, 0x6dd213b1, "_gpl");
SYMBOL_CRC(octeon_free_sc_buffer_pool, 0xc256c044, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command, 0xb03c3e69, "_gpl");
SYMBOL_CRC(octeon_free_soft_command, 0xe0643c8d, "_gpl");
SYMBOL_CRC(octeon_setup_response_list, 0x666e80b1, "_gpl");
SYMBOL_CRC(octeon_delete_response_list, 0xa4820df7, "_gpl");
SYMBOL_CRC(lio_process_ordered_list, 0x94db5687, "_gpl");
SYMBOL_CRC(octeon_init_device_list, 0x6d0d28ef, "_gpl");
SYMBOL_CRC(lio_get_state_string, 0xec7f00a5, "_gpl");
SYMBOL_CRC(octeon_free_device_mem, 0x99d72cd5, "_gpl");
SYMBOL_CRC(octeon_allocate_device, 0x478af8ac, "_gpl");
SYMBOL_CRC(octeon_register_device, 0xb9737b4b, "_gpl");
SYMBOL_CRC(octeon_deregister_device, 0x9ee6a34c, "_gpl");
SYMBOL_CRC(octeon_allocate_ioq_vector, 0xff692f1d, "_gpl");
SYMBOL_CRC(octeon_free_ioq_vector, 0xeb306dd0, "_gpl");
SYMBOL_CRC(octeon_setup_instr_queues, 0xf1a4ac61, "_gpl");
SYMBOL_CRC(octeon_setup_output_queues, 0x3f49817a, "_gpl");
SYMBOL_CRC(octeon_set_io_queues_off, 0x9a9f8374, "_gpl");
SYMBOL_CRC(octeon_init_dispatch_list, 0x403a3b81, "_gpl");
SYMBOL_CRC(octeon_delete_dispatch_list, 0xa56efa72, "_gpl");
SYMBOL_CRC(octeon_register_dispatch_fn, 0x6f0d8347, "_gpl");
SYMBOL_CRC(octeon_core_drv_init, 0xc6abc5b1, "_gpl");
SYMBOL_CRC(octeon_get_tx_qsize, 0x8887196a, "_gpl");
SYMBOL_CRC(octeon_get_rx_qsize, 0x35bad0fa, "_gpl");
SYMBOL_CRC(octeon_get_conf, 0xbecf51a4, "_gpl");
SYMBOL_CRC(lio_get_device, 0x8e7d2718, "_gpl");
SYMBOL_CRC(lio_pci_readq, 0x2435c6c5, "_gpl");
SYMBOL_CRC(lio_pci_writeq, 0xa1f58111, "_gpl");
SYMBOL_CRC(octeon_mem_access_ok, 0x904978c7, "_gpl");
SYMBOL_CRC(octeon_wait_for_ddr_init, 0xf218fe96, "_gpl");
SYMBOL_CRC(lio_enable_irq, 0x7bd21b21, "_gpl");
SYMBOL_CRC(lio_setup_cn66xx_octeon_device, 0xbf694c11, "_gpl");
SYMBOL_CRC(lio_setup_cn68xx_octeon_device, 0xb088d602, "_gpl");
SYMBOL_CRC(setup_cn23xx_octeon_pf_device, 0xd98262bd, "_gpl");
SYMBOL_CRC(cn23xx_fw_loaded, 0x8f468d3d, "_gpl");
SYMBOL_CRC(cn23xx_tell_vf_its_macaddr_changed, 0x151c6a94, "_gpl");
SYMBOL_CRC(cn23xx_get_vf_stats, 0xb320fe15, "_gpl");
SYMBOL_CRC(cn23xx_vf_ask_pf_to_do_flr, 0x59949e8d, "_gpl");
SYMBOL_CRC(cn23xx_octeon_pfvf_handshake, 0x5eda5406, "_gpl");
SYMBOL_CRC(cn23xx_setup_octeon_vf_device, 0xa0e16d70, "_gpl");
SYMBOL_CRC(octeon_pci_read_core_mem, 0x4799ce1b, "_gpl");
SYMBOL_CRC(octeon_pci_write_core_mem, 0x9d973f82, "_gpl");
SYMBOL_CRC(octeon_read_device_mem64, 0x5f9fef4f, "_gpl");
SYMBOL_CRC(octeon_read_device_mem32, 0x425d31ab, "_gpl");
SYMBOL_CRC(octeon_write_device_mem32, 0xa32cf5e1, "_gpl");
SYMBOL_CRC(octeon_droq_check_hw_for_pkts, 0xca9ce990, "_gpl");
SYMBOL_CRC(octeon_delete_droq, 0x1d68c9e9, "_gpl");
SYMBOL_CRC(octeon_droq_process_packets, 0x1b5a455b, "_gpl");
SYMBOL_CRC(octeon_unregister_droq_ops, 0x1b0db489, "_gpl");
SYMBOL_CRC(octeon_alloc_soft_command_resp, 0x6e3da97f, "_gpl");
SYMBOL_CRC(octnet_send_nic_data_pkt, 0x48475b0b, "_gpl");
SYMBOL_CRC(octnet_send_nic_ctrl_pkt, 0x339e3e88, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x623512e4, "pci_enable_msix_range" },
	{ 0x7c692af8, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x923d94c3, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xc499541, "napi_gro_receive" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x67f4e81e, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x63238863, "netif_set_real_num_tx_queues" },
	{ 0xf6b9128d, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0x6d7ebdf2, "pcie_flr" },
	{ 0x9166fada, "strncpy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0xccd3c80c, "netif_set_xps_queue" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x690ef18e, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x43d754b5, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x576688e7, "_dev_notice" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5b78b089, "call_netdevice_notifiers" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0xd03da477, "__folio_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd1e692fa, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x412c9711, "__napi_schedule_irqoff" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdcfc94e4, "pci_release_region" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa046a295, "pci_write_config_dword" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x2af6572f, "netdev_info" },
	{ 0xa080c5e5, "smp_call_function_single_async" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1f4b5923, "pci_request_region" },
	{ 0x23fd3028, "vmalloc_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x894fb3fd, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x1d73a2df, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9e0c711d, "vzalloc_node" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x568c1556, "skb_add_rx_frag" },
	{ 0xaa7d0e8f, "pci_disable_msi" },
	{ 0x5ce8533a, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0xbf1721d8, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x4c1d1283, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0xf741ba, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F361FC316BAA6A2E9F2389");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
