#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mlx4_buf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_db_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_hwq_res, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_hwq_res, "_gpl", "");
KSYMTAB_FUNC(__mlx4_cmd, "_gpl", "");
KSYMTAB_FUNC(mlx4_alloc_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_free_cmd_mailbox, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_active_ports, "_gpl", "");
KSYMTAB_FUNC(mlx4_slave_convert_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slave_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport, "_gpl", "");
KSYMTAB_FUNC(mlx4_phys_to_slaves_pport_actv, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_rate, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_slave_default_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_spoofchk, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_config, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_vf_link_state, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_counter_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_vf_stats, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_smi_enabled, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_get_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_vf_set_enable_smi_admin, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_resize, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_cq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_gen_pkey_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_guid_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_gen_port_state_change_eqe, "", "");
KSYMTAB_FUNC(mlx4_get_slave_port_state, "", "");
KSYMTAB_FUNC(set_and_calc_slave_port_state, "", "");
KSYMTAB_FUNC(mlx4_gen_slaves_port_mgt_ev, "", "");
KSYMTAB_FUNC(mlx4_test_async, "", "");
KSYMTAB_FUNC(mlx4_test_interrupt, "", "");
KSYMTAB_FUNC(mlx4_is_eq_vector_valid, "", "");
KSYMTAB_FUNC(mlx4_get_eqs_per_port, "", "");
KSYMTAB_FUNC(mlx4_is_eq_shared, "", "");
KSYMTAB_FUNC(mlx4_get_cpu_rmap, "", "");
KSYMTAB_FUNC(mlx4_assign_eq, "", "");
KSYMTAB_FUNC(mlx4_eq_get_irq, "", "");
KSYMTAB_FUNC(mlx4_release_eq, "", "");
KSYMTAB_FUNC(mlx4_get_slave_pkey_gid_tbl_len, "", "");
KSYMTAB_FUNC(mlx4_INIT_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_CLOSE_PORT, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_dev_retrieval, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_vxlan_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_config_roce_v2_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_query_diag_counters, "", "");
KSYMTAB_FUNC(mlx4_wol_read, "_gpl", "");
KSYMTAB_FUNC(mlx4_wol_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_ACCESS_PTYS_REG, "_gpl", "");
KSYMTAB_FUNC(get_phv_bit, "", "");
KSYMTAB_FUNC(set_phv_bit, "", "");
KSYMTAB_FUNC(mlx4_get_is_vlan_offload_disabled, "", "");
KSYMTAB_FUNC(mlx4_replace_zero_macs, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_PRIO2TC, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_SCHEDULER, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_get, "", "");
KSYMTAB_FUNC(mlx4_ALLOCATE_VPP_set, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_get, "", "");
KSYMTAB_FUNC(mlx4_SET_VPORT_QOS_set, "", "");
KSYMTAB_FUNC(mlx4_register_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_auxiliary_driver, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_unregister_event_notifier, "", "");
KSYMTAB_FUNC(mlx4_get_devlink_port, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_parav_qkey, "", "");
KSYMTAB_FUNC(mlx4_sync_pkey_table, "", "");
KSYMTAB_FUNC(mlx4_put_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_get_slave_node_guid, "", "");
KSYMTAB_FUNC(mlx4_is_slave_active, "", "");
KSYMTAB_FUNC(mlx4_handle_eth_header_mcast_prio, "", "");
KSYMTAB_FUNC(mlx4_queue_bond_work, "", "");
KSYMTAB_FUNC(mlx4_read_clock, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_internal_clock_params, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_counter_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_default_counter_index, "_gpl", "");
KSYMTAB_FUNC(mlx4_set_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_admin_guid, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_mode, "_gpl", "");
KSYMTAB_FUNC(mlx4_map_sw_to_hw_steering_id, "_gpl", "");
KSYMTAB_FUNC(mlx4_hw_rule_sz, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_tunnel_steer_add, "", "");
KSYMTAB_FUNC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_flow_steer_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_attach, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_detach, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_multicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_add, "_gpl", "");
KSYMTAB_FUNC(mlx4_unicast_promisc_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_init, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mtt_addr, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_get_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_write_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_put_mpt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_pd, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_hw_change_access, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_cleanup, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_rereg_mem_write, "_gpl", "");
KSYMTAB_FUNC(mlx4_mr_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_buf_write_mtt, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_enable, "_gpl", "");
KSYMTAB_FUNC(mlx4_mw_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_SYNC_TPT, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_pd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_xrcd_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_uar_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_bf_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_qpn, "_gpl", "");
KSYMTAB_FUNC(__mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_mac, "_gpl", "");
KSYMTAB_FUNC(__mlx4_replace_mac, "_gpl", "");
KSYMTAB_FUNC(mlx4_find_cached_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_register_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_unregister_vlan, "_gpl", "");
KSYMTAB_FUNC(mlx4_get_base_gid_ix, "_gpl", "");
KSYMTAB_FUNC(mlx4_SET_PORT_general, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_qpn_calc, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mtu, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_user_mac, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_fcs_check, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_VXLAN, "", "");
KSYMTAB_FUNC(mlx4_SET_PORT_BEACON, "", "");
KSYMTAB_FUNC(mlx4_SET_MCAST_FLTR, "", "");
KSYMTAB_FUNC(mlx4_get_slave_from_roce_gid, "", "");
KSYMTAB_FUNC(mlx4_get_roce_gid_from_slave, "", "");
KSYMTAB_FUNC(mlx4_get_module_info, "", "");
KSYMTAB_FUNC(mlx4_max_tc, "", "");
KSYMTAB_FUNC(mlx4_put_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_modify, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_reserve_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_release_range, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_update_qp, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_remove, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_qp_to_ready, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_alloc, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_free, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_arm, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_query, "_gpl", "");
KSYMTAB_FUNC(mlx4_srq_lookup, "_gpl", "");

SYMBOL_CRC(mlx4_buf_alloc, 0x9f72c224, "_gpl");
SYMBOL_CRC(mlx4_buf_free, 0x72682c6e, "_gpl");
SYMBOL_CRC(mlx4_db_alloc, 0x0117bfa8, "_gpl");
SYMBOL_CRC(mlx4_db_free, 0x475e3322, "_gpl");
SYMBOL_CRC(mlx4_alloc_hwq_res, 0x6aa08854, "_gpl");
SYMBOL_CRC(mlx4_free_hwq_res, 0xd6ace38b, "_gpl");
SYMBOL_CRC(__mlx4_cmd, 0x45858134, "_gpl");
SYMBOL_CRC(mlx4_alloc_cmd_mailbox, 0x775ec952, "_gpl");
SYMBOL_CRC(mlx4_free_cmd_mailbox, 0xf336f4c1, "_gpl");
SYMBOL_CRC(mlx4_get_active_ports, 0x04a31c66, "_gpl");
SYMBOL_CRC(mlx4_slave_convert_port, 0x11bf299a, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slave_port, 0xa302c331, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport, 0x106d9cd4, "_gpl");
SYMBOL_CRC(mlx4_phys_to_slaves_pport_actv, 0x4f86ddbb, "_gpl");
SYMBOL_CRC(mlx4_set_vf_mac, 0xc3ea1e00, "_gpl");
SYMBOL_CRC(mlx4_set_vf_vlan, 0x69ba1e1e, "_gpl");
SYMBOL_CRC(mlx4_set_vf_rate, 0x4017fdb9, "_gpl");
SYMBOL_CRC(mlx4_get_slave_default_vlan, 0xe327f73c, "_gpl");
SYMBOL_CRC(mlx4_set_vf_spoofchk, 0x63255864, "_gpl");
SYMBOL_CRC(mlx4_get_vf_config, 0xc82dc918, "_gpl");
SYMBOL_CRC(mlx4_set_vf_link_state, 0x5a5e686e, "_gpl");
SYMBOL_CRC(mlx4_get_counter_stats, 0x85b21844, "_gpl");
SYMBOL_CRC(mlx4_get_vf_stats, 0xb672b971, "_gpl");
SYMBOL_CRC(mlx4_vf_smi_enabled, 0x2d36ee78, "_gpl");
SYMBOL_CRC(mlx4_vf_get_enable_smi_admin, 0x444298ba, "_gpl");
SYMBOL_CRC(mlx4_vf_set_enable_smi_admin, 0x27023fe2, "_gpl");
SYMBOL_CRC(mlx4_cq_modify, 0x6e64a933, "_gpl");
SYMBOL_CRC(mlx4_cq_resize, 0x01fd5c69, "_gpl");
SYMBOL_CRC(mlx4_cq_alloc, 0xca54926e, "_gpl");
SYMBOL_CRC(mlx4_cq_free, 0x27264c6f, "_gpl");
SYMBOL_CRC(mlx4_gen_pkey_eqe, 0x9174f485, "");
SYMBOL_CRC(mlx4_gen_guid_change_eqe, 0xb81a1f6c, "");
SYMBOL_CRC(mlx4_gen_port_state_change_eqe, 0xc938e890, "");
SYMBOL_CRC(mlx4_get_slave_port_state, 0xf6fdc631, "");
SYMBOL_CRC(set_and_calc_slave_port_state, 0xe1645fd0, "");
SYMBOL_CRC(mlx4_gen_slaves_port_mgt_ev, 0x291f5947, "");
SYMBOL_CRC(mlx4_test_async, 0xafefead7, "");
SYMBOL_CRC(mlx4_test_interrupt, 0x568e68a6, "");
SYMBOL_CRC(mlx4_is_eq_vector_valid, 0x8c42bce9, "");
SYMBOL_CRC(mlx4_get_eqs_per_port, 0x3b250c2e, "");
SYMBOL_CRC(mlx4_is_eq_shared, 0x7ff4596d, "");
SYMBOL_CRC(mlx4_get_cpu_rmap, 0x2a2f2f7b, "");
SYMBOL_CRC(mlx4_assign_eq, 0xd98e5666, "");
SYMBOL_CRC(mlx4_eq_get_irq, 0xe862ec73, "");
SYMBOL_CRC(mlx4_release_eq, 0x058c86c1, "");
SYMBOL_CRC(mlx4_get_slave_pkey_gid_tbl_len, 0x3d8ca989, "");
SYMBOL_CRC(mlx4_INIT_PORT, 0x67326167, "_gpl");
SYMBOL_CRC(mlx4_CLOSE_PORT, 0x2aaf84d1, "_gpl");
SYMBOL_CRC(mlx4_config_dev_retrieval, 0xccdacdb3, "_gpl");
SYMBOL_CRC(mlx4_config_vxlan_port, 0xa474c8f6, "_gpl");
SYMBOL_CRC(mlx4_config_roce_v2_port, 0x9d191a37, "_gpl");
SYMBOL_CRC(mlx4_query_diag_counters, 0x2ed3bb0e, "");
SYMBOL_CRC(mlx4_wol_read, 0xa45aad7d, "_gpl");
SYMBOL_CRC(mlx4_wol_write, 0x7ed4438a, "_gpl");
SYMBOL_CRC(mlx4_ACCESS_PTYS_REG, 0x319f9705, "_gpl");
SYMBOL_CRC(get_phv_bit, 0xa8ad5c7d, "");
SYMBOL_CRC(set_phv_bit, 0xe02c21af, "");
SYMBOL_CRC(mlx4_get_is_vlan_offload_disabled, 0x3a3c3ff9, "");
SYMBOL_CRC(mlx4_replace_zero_macs, 0x357b2a0f, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_PRIO2TC, 0x5a0b29d7, "");
SYMBOL_CRC(mlx4_SET_PORT_SCHEDULER, 0xd902c414, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_get, 0x73f5d086, "");
SYMBOL_CRC(mlx4_ALLOCATE_VPP_set, 0x8865e8a7, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_get, 0x31aa747a, "");
SYMBOL_CRC(mlx4_SET_VPORT_QOS_set, 0xffcf9dd7, "");
SYMBOL_CRC(mlx4_register_auxiliary_driver, 0x1a23f5e3, "_gpl");
SYMBOL_CRC(mlx4_unregister_auxiliary_driver, 0xc5cd68b1, "_gpl");
SYMBOL_CRC(mlx4_register_event_notifier, 0xcbc1254f, "");
SYMBOL_CRC(mlx4_unregister_event_notifier, 0xbe4da529, "");
SYMBOL_CRC(mlx4_get_devlink_port, 0x505607a1, "_gpl");
SYMBOL_CRC(mlx4_get_parav_qkey, 0x2fdbb48a, "");
SYMBOL_CRC(mlx4_sync_pkey_table, 0x6e90f864, "");
SYMBOL_CRC(mlx4_put_slave_node_guid, 0x090d13a9, "");
SYMBOL_CRC(mlx4_get_slave_node_guid, 0x36a76a78, "");
SYMBOL_CRC(mlx4_is_slave_active, 0x5d71dd1c, "");
SYMBOL_CRC(mlx4_handle_eth_header_mcast_prio, 0x7fdde0b4, "");
SYMBOL_CRC(mlx4_queue_bond_work, 0xdd6cf802, "");
SYMBOL_CRC(mlx4_read_clock, 0xd83f18b3, "_gpl");
SYMBOL_CRC(mlx4_get_internal_clock_params, 0x9dca5c99, "_gpl");
SYMBOL_CRC(mlx4_counter_alloc, 0xfe30265b, "_gpl");
SYMBOL_CRC(mlx4_counter_free, 0x8bd028cc, "_gpl");
SYMBOL_CRC(mlx4_get_default_counter_index, 0x01f63d92, "_gpl");
SYMBOL_CRC(mlx4_set_admin_guid, 0x3b88491d, "_gpl");
SYMBOL_CRC(mlx4_get_admin_guid, 0x3b28440b, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_mode, 0xf01c1ad7, "_gpl");
SYMBOL_CRC(mlx4_map_sw_to_hw_steering_id, 0x1879a717, "_gpl");
SYMBOL_CRC(mlx4_hw_rule_sz, 0x16f76e4f, "_gpl");
SYMBOL_CRC(mlx4_flow_attach, 0x395732f5, "_gpl");
SYMBOL_CRC(mlx4_flow_detach, 0x775cf23e, "_gpl");
SYMBOL_CRC(mlx4_tunnel_steer_add, 0xd4b1e367, "");
SYMBOL_CRC(mlx4_FLOW_STEERING_IB_UC_QP_RANGE, 0xda60c7ff, "_gpl");
SYMBOL_CRC(mlx4_multicast_attach, 0x73e440e1, "_gpl");
SYMBOL_CRC(mlx4_multicast_detach, 0x38941a2f, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_add, 0x8d0544ff, "_gpl");
SYMBOL_CRC(mlx4_flow_steer_promisc_remove, 0x03aa2b41, "_gpl");
SYMBOL_CRC(mlx4_unicast_attach, 0xf19a2bf1, "_gpl");
SYMBOL_CRC(mlx4_unicast_detach, 0xc865fbd0, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_add, 0x1bc71d3e, "_gpl");
SYMBOL_CRC(mlx4_multicast_promisc_remove, 0x4d8a3569, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_add, 0x22f4db23, "_gpl");
SYMBOL_CRC(mlx4_unicast_promisc_remove, 0x7b0414ad, "_gpl");
SYMBOL_CRC(mlx4_mtt_init, 0xafc7da71, "_gpl");
SYMBOL_CRC(mlx4_mtt_cleanup, 0x7a57e6c6, "_gpl");
SYMBOL_CRC(mlx4_mtt_addr, 0xc645bc50, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_get_mpt, 0x1730bcd3, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_write_mpt, 0x892ad9ea, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_put_mpt, 0xb4ec0842, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_pd, 0x115d33e9, "_gpl");
SYMBOL_CRC(mlx4_mr_hw_change_access, 0x426c81bf, "_gpl");
SYMBOL_CRC(mlx4_mr_alloc, 0xc9aef38c, "_gpl");
SYMBOL_CRC(mlx4_mr_free, 0x31fef322, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_cleanup, 0x3f843b1c, "_gpl");
SYMBOL_CRC(mlx4_mr_rereg_mem_write, 0x00dcc6a9, "_gpl");
SYMBOL_CRC(mlx4_mr_enable, 0xe2567252, "_gpl");
SYMBOL_CRC(mlx4_write_mtt, 0xd06a75c2, "_gpl");
SYMBOL_CRC(mlx4_buf_write_mtt, 0xba26d77b, "_gpl");
SYMBOL_CRC(mlx4_mw_alloc, 0xa4eb0ec3, "_gpl");
SYMBOL_CRC(mlx4_mw_enable, 0x7a182b2e, "_gpl");
SYMBOL_CRC(mlx4_mw_free, 0xbe321001, "_gpl");
SYMBOL_CRC(mlx4_SYNC_TPT, 0x3fbda0df, "_gpl");
SYMBOL_CRC(mlx4_pd_alloc, 0x3a4c0b7b, "_gpl");
SYMBOL_CRC(mlx4_pd_free, 0xad2fd958, "_gpl");
SYMBOL_CRC(mlx4_xrcd_alloc, 0x249c4a30, "_gpl");
SYMBOL_CRC(mlx4_xrcd_free, 0xa5bb265e, "_gpl");
SYMBOL_CRC(mlx4_uar_alloc, 0x0d38cbb9, "_gpl");
SYMBOL_CRC(mlx4_uar_free, 0x2f5addc6, "_gpl");
SYMBOL_CRC(mlx4_bf_alloc, 0x63b17daf, "_gpl");
SYMBOL_CRC(mlx4_bf_free, 0x65080838, "_gpl");
SYMBOL_CRC(mlx4_find_cached_mac, 0x6d8370e7, "_gpl");
SYMBOL_CRC(__mlx4_register_mac, 0x5f93005b, "_gpl");
SYMBOL_CRC(mlx4_register_mac, 0x069bcaa1, "_gpl");
SYMBOL_CRC(mlx4_get_base_qpn, 0xb61b06f7, "_gpl");
SYMBOL_CRC(__mlx4_unregister_mac, 0x52b53e16, "_gpl");
SYMBOL_CRC(mlx4_unregister_mac, 0x6a26c641, "_gpl");
SYMBOL_CRC(__mlx4_replace_mac, 0x9a182bcd, "_gpl");
SYMBOL_CRC(mlx4_find_cached_vlan, 0x60840430, "_gpl");
SYMBOL_CRC(mlx4_register_vlan, 0x9b851e5f, "_gpl");
SYMBOL_CRC(mlx4_unregister_vlan, 0x90979724, "_gpl");
SYMBOL_CRC(mlx4_get_base_gid_ix, 0x5c4ac512, "_gpl");
SYMBOL_CRC(mlx4_SET_PORT_general, 0xd466bfa5, "");
SYMBOL_CRC(mlx4_SET_PORT_qpn_calc, 0xd689be9e, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mtu, 0x58ca6c28, "");
SYMBOL_CRC(mlx4_SET_PORT_user_mac, 0x719ce7b9, "");
SYMBOL_CRC(mlx4_SET_PORT_fcs_check, 0xc359baeb, "");
SYMBOL_CRC(mlx4_SET_PORT_VXLAN, 0x7f5fd4d4, "");
SYMBOL_CRC(mlx4_SET_PORT_BEACON, 0x3c6a3f65, "");
SYMBOL_CRC(mlx4_SET_MCAST_FLTR, 0xb862cf8a, "");
SYMBOL_CRC(mlx4_get_slave_from_roce_gid, 0x062f4105, "");
SYMBOL_CRC(mlx4_get_roce_gid_from_slave, 0x17c3bc8e, "");
SYMBOL_CRC(mlx4_get_module_info, 0xfa6733a0, "");
SYMBOL_CRC(mlx4_max_tc, 0x3d84388d, "");
SYMBOL_CRC(mlx4_put_qp, 0xf4b0999f, "_gpl");
SYMBOL_CRC(mlx4_qp_modify, 0x1ac44046, "_gpl");
SYMBOL_CRC(mlx4_qp_reserve_range, 0x4e2d4307, "_gpl");
SYMBOL_CRC(mlx4_qp_release_range, 0x103a0d35, "_gpl");
SYMBOL_CRC(mlx4_qp_alloc, 0xa6dbd86e, "_gpl");
SYMBOL_CRC(mlx4_update_qp, 0x0844a182, "_gpl");
SYMBOL_CRC(mlx4_qp_remove, 0xe09e1278, "_gpl");
SYMBOL_CRC(mlx4_qp_free, 0x14a5a48a, "_gpl");
SYMBOL_CRC(mlx4_qp_query, 0xc50978f5, "_gpl");
SYMBOL_CRC(mlx4_qp_to_ready, 0xd76fd24f, "_gpl");
SYMBOL_CRC(mlx4_srq_alloc, 0xad1d0894, "_gpl");
SYMBOL_CRC(mlx4_srq_free, 0x43d02044, "_gpl");
SYMBOL_CRC(mlx4_srq_arm, 0x74871ef0, "_gpl");
SYMBOL_CRC(mlx4_srq_query, 0x0c2dce99, "_gpl");
SYMBOL_CRC(mlx4_srq_lookup, 0x2d977fd3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42c9dfd, "devlink_free" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa2445f45, "param_ops_byte" },
	{ 0x67b7305d, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x4c1d1283, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4f5bf23c, "auxiliary_driver_unregister" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2377cfa3, "devlink_region_snapshot_id_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb29eac0b, "priv_to_devlink" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9997fb, "atomic_notifier_chain_register" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x77dc14ac, "put_device" },
	{ 0x623512e4, "pci_enable_msix_range" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x7c692af8, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x923d94c3, "__free_pages" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd1caac7c, "device_create_file" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6972e413, "__bitmap_weight_and" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x57bc19d2, "down_write" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x5bb4d42, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x949b5176, "devlink_region_snapshot_create" },
	{ 0x81ba1ee8, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6626afca, "down" },
	{ 0x8f499348, "devl_port_register_with_ops" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0xf8ec8797, "pci_read_config_word" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0xffb7c514, "ida_free" },
	{ 0xea956f3e, "devl_params_register" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a1881e0, "pci_restore_state" },
	{ 0x8ab46459, "device_del" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0x516c77c1, "devl_param_driverinit_value_set" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x50d1f870, "pgprot_writecombine" },
	{ 0x49b7fa74, "__alloc_pages" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd3752c27, "atomic_notifier_call_chain" },
	{ 0x86644d66, "devl_params_unregister" },
	{ 0xece784c2, "rb_first" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x7deac379, "devl_unlock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x7181db30, "atomic_notifier_chain_unregister" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x8b54ea6d, "pci_release_regions" },
	{ 0xa005a56, "devl_assert_locked" },
	{  0xddd9e, "pcie_print_link_status" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0x2f5e8674, "devl_port_unregister" },
	{ 0x49134ab0, "devl_param_driverinit_value_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xed3ce80c, "devlink_priv" },
	{ 0xc5cfa212, "pci_disable_sriov" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd1e692fa, "pci_disable_msix" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0xfaecb31c, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc49eca5, "dma_unmap_sg_attrs" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x754d539c, "strlen" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x4a853f6d, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd592cf7f, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa046a295, "pci_write_config_dword" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x9dd4fdf, "device_remove_file" },
	{ 0x203f5ff1, "dma_map_sg_attrs" },
	{ 0xeaa2cabd, "devl_param_value_changed" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe914e41e, "strcpy" },
	{ 0xba98aca2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x18219848, "pcie_capability_write_word" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbfe7308a, "devl_region_create" },
	{ 0x66ca34c3, "devlink_unregister" },
	{ 0x806f17d0, "dma_pool_create" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x54ef5eed, "auxiliary_device_init" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x71744efe, "devlink_region_snapshot_id_get" },
	{ 0x1c7b9dcc, "devl_lock" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x96848186, "scnprintf" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x423daf00, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc0426fcf, "param_array_ops" },
	{ 0xee0537fe, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba3b6ce9, "devlink_alloc_ns" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x42045850, "pci_sriov_get_totalvfs" },
	{ 0x5e23d876, "devlink_register" },
	{ 0x4b1cd507, "devlink_port_type_clear" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000015B3d00006340sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000634Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006354sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006732sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000673Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006368sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000675Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006764sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00006746sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000676Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d0000100Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000015B3d00001010sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "404B5ACF317598EB45AF60F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
