#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0xcb4bf650, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xa86ff157, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xa98e1663, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xab7ec50b, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xb0965b7c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x36178b57, "eth_header_parse" },
	{ 0xf0be05b6, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3679d761, "eth_header_cache_update" },
	{ 0xdaaa3f57, "nf_register_net_hooks" },
	{ 0x3091ca3, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x893a4b6, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xcd382bbe, "__dev_get_by_index" },
	{ 0x175f7718, "rtnl_link_unregister" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x15a54d27, "netif_stacked_transfer_operstate" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0xbbe24e0b, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19661d52, "ns_capable" },
	{ 0x7160469c, "nf_unregister_net_hooks" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0x850e6ea9, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x58e05a25, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0xd4d6d902, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xf459c4e7, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0xee97ae70, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb7605812, "vlan_vid_add" },
	{ 0x5b78b089, "call_netdevice_notifiers" },
	{ 0xfbfb02dc, "vlan_vid_del" },
	{ 0xce6d8443, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x33514ab2, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd8dac60d, "dst_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1d75a848, "netdev_rx_handler_register" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xea4c9a50, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0x53675ebd, "dev_mc_unsync" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8322bd59, "dev_change_flags" },
	{ 0x1404b5a5, "dev_forward_skb" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xce95ea0b, "register_netdevice" },
	{ 0xb36dcc46, "__do_once_done" },
	{ 0x8ec071b7, "ip6_route_input_lookup" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x25b40fb2, "dev_pre_changeaddr_notify" },
	{ 0xaab0db6d, "dev_mc_sync" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb8c31482, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf02210d9, "netdev_update_features" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0x49a9a4c0, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x64c375ba, "dev_uc_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe29ff3b3, "rtnl_link_register" },
	{ 0xef45c1b5, "netif_inherit_tso_max" },
	{ 0x4c78d012, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xbe0342bc, "ip_route_output_flow" },
	{ 0x5414321a, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xac704df9, "dev_uc_unsync" },
	{ 0x93aa3e1f, "ether_setup" },
	{ 0xb383ba09, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4f7085, "netdev_upper_dev_link" },
	{ 0xab36bffc, "register_pernet_subsys" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x5f20ddc3, "netdev_core_stats_alloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B82B76A4896558897CBD30F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
