#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x0cad2342, "");
SYMBOL_CRC(phy_get_rate_matching, 0xc1f942f2, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x347c0414, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x4c1daed3, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x8f0a3d9c, "");
SYMBOL_CRC(phy_mii_ioctl, 0x8699f86f, "");
SYMBOL_CRC(phy_do_ioctl, 0x9169f2b7, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x775dd3e8, "");
SYMBOL_CRC(phy_queue_state_machine, 0x8674b7f5, "");
SYMBOL_CRC(phy_trigger_machine, 0xb91fb605, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x8643a9e4, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0x7a2823ea, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x0b3b7fcd, "");
SYMBOL_CRC(phy_start_cable_test, 0x15a295f1, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xffcf0152, "");
SYMBOL_CRC(phy_config_aneg, 0x430e123d, "");
SYMBOL_CRC(phy_start_aneg, 0x60674a5c, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x14f9fe6a, "");
SYMBOL_CRC(phy_speed_down, 0xa8974f29, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x9002bdeb, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x695bbcc3, "_gpl");
SYMBOL_CRC(phy_error, 0x429cda49, "");
SYMBOL_CRC(phy_request_interrupt, 0xb7ee0cad, "");
SYMBOL_CRC(phy_free_interrupt, 0x6fe4be04, "");
SYMBOL_CRC(phy_stop, 0xb763635d, "");
SYMBOL_CRC(phy_start, 0x342041ae, "");
SYMBOL_CRC(phy_mac_interrupt, 0xf4edc19e, "");
SYMBOL_CRC(phy_init_eee, 0xdd694e67, "");
SYMBOL_CRC(phy_get_eee_err, 0x10415ea2, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xe59f8391, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x953a5002, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xabd7734e, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0xd4e62c7b, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x8ef4aff0, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x0a63da13, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x79ac925d, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x3e53ed2a, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0xa22d6286, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x91314be0, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xe53db069, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x6525414d, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x57aa05a5, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x86aae91d, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xd022175d, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x3d7679ab, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0xe7017e09, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x2ecb9c5b, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x00298637, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x014a0537, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x4a53f496, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xbac7dcef, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0xcc184770, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xff16ade5, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x1a9c9d29, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x51ff8714, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x6d759be0, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x36af0551, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0xa11151ea, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0x022ebfc9, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x8d90bb4f, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x42b68b72, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0xdae5db95, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0xbc6427d1, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x3f2be862, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0xb3fc07cd, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0xa4d983d3, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x59ed8bf0, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x06534ca0, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0xd72449ca, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xec778c30, "");
SYMBOL_CRC(phy_read_mmd, 0x6dd28f8b, "");
SYMBOL_CRC(__phy_write_mmd, 0x88448ab3, "");
SYMBOL_CRC(phy_write_mmd, 0xc18022ff, "");
SYMBOL_CRC(phy_modify_changed, 0x3974a947, "_gpl");
SYMBOL_CRC(__phy_modify, 0x6f296fd8, "_gpl");
SYMBOL_CRC(phy_modify, 0xeed3e300, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x8dcee974, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x0f1ae1aa, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xb32d9e8b, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x3f404ba9, "_gpl");
SYMBOL_CRC(phy_save_page, 0x73d73915, "_gpl");
SYMBOL_CRC(phy_select_page, 0x99a87ebd, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x88e4436e, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x0201f03f, "");
SYMBOL_CRC(phy_write_paged, 0x7c75806a, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x9874985f, "");
SYMBOL_CRC(phy_modify_paged, 0x41aea031, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x837062f1, "");
SYMBOL_CRC(phy_register_fixup, 0xabef3de0, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x70a00edc, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x797ff8df, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0xec0712c9, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x1743f11c, "");
SYMBOL_CRC(get_phy_device, 0xf3bd5101, "");
SYMBOL_CRC(phy_device_register, 0x8632e222, "");
SYMBOL_CRC(phy_device_remove, 0xb623bedb, "");
SYMBOL_CRC(phy_get_c45_ids, 0x49f5dd95, "");
SYMBOL_CRC(phy_find_first, 0xa1d9de0d, "");
SYMBOL_CRC(phy_connect_direct, 0xec5253c3, "");
SYMBOL_CRC(phy_connect, 0xec2c4c83, "");
SYMBOL_CRC(phy_disconnect, 0xe0cb3b70, "");
SYMBOL_CRC(phy_init_hw, 0xf8dc144e, "");
SYMBOL_CRC(phy_attached_info, 0xa9124de7, "");
SYMBOL_CRC(phy_attached_info_irq, 0x6beff9b7, "");
SYMBOL_CRC(phy_attached_print, 0x3a0e9a5f, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x188f2864, "");
SYMBOL_CRC(phy_attach_direct, 0x1f54e044, "");
SYMBOL_CRC(phy_attach, 0x464fd7e1, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x6cc66828, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0x4a6102b6, "_gpl");
SYMBOL_CRC(phy_package_join, 0xb6991751, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x7c86eed6, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x711c5122, "_gpl");
SYMBOL_CRC(phy_detach, 0xef6bd18d, "");
SYMBOL_CRC(phy_suspend, 0x4a623816, "");
SYMBOL_CRC(__phy_resume, 0x10cc1a93, "");
SYMBOL_CRC(phy_resume, 0xaab01d3a, "");
SYMBOL_CRC(phy_loopback, 0x74607cc0, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0xa8b9b96c, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x54706b72, "");
SYMBOL_CRC(genphy_setup_forced, 0xac9d59cc, "");
SYMBOL_CRC(genphy_read_master_slave, 0x5851d9f8, "");
SYMBOL_CRC(genphy_restart_aneg, 0x3ae1144c, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0x5e4c178f, "");
SYMBOL_CRC(__genphy_config_aneg, 0x8cfe0eee, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xf28f4d15, "");
SYMBOL_CRC(genphy_aneg_done, 0x6e48f24a, "");
SYMBOL_CRC(genphy_update_link, 0x07bd89ba, "");
SYMBOL_CRC(genphy_read_lpa, 0x97dc0c91, "");
SYMBOL_CRC(genphy_read_status_fixed, 0x6658f691, "");
SYMBOL_CRC(genphy_read_status, 0xfc5dd1b7, "");
SYMBOL_CRC(genphy_c37_read_status, 0x6b6c1c09, "");
SYMBOL_CRC(genphy_soft_reset, 0xbad45149, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x515fec59, "");
SYMBOL_CRC(genphy_read_abilities, 0x968554f2, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x8f49b36b, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x94896203, "");
SYMBOL_CRC(genphy_suspend, 0x92f6210f, "");
SYMBOL_CRC(genphy_resume, 0x3382de92, "");
SYMBOL_CRC(genphy_loopback, 0xdaa0ef10, "");
SYMBOL_CRC(phy_remove_link_mode, 0xd4182228, "");
SYMBOL_CRC(phy_advertise_supported, 0xf08f68dd, "");
SYMBOL_CRC(phy_support_sym_pause, 0xa5847303, "");
SYMBOL_CRC(phy_support_asym_pause, 0xfaee18d5, "");
SYMBOL_CRC(phy_set_sym_pause, 0xc41be2a4, "");
SYMBOL_CRC(phy_set_asym_pause, 0x27d7eda7, "");
SYMBOL_CRC(phy_validate_pause, 0xf2781d9e, "");
SYMBOL_CRC(phy_get_pause, 0x9336eadd, "");
SYMBOL_CRC(phy_get_internal_delay, 0xa842ce1d, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0xec643c38, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x5e202d25, "");
SYMBOL_CRC(device_phy_find_device, 0x0221e25c, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x7133708a, "_gpl");
SYMBOL_CRC(phy_driver_register, 0xe66882c9, "");
SYMBOL_CRC(phy_drivers_register, 0x4a94db71, "");
SYMBOL_CRC(phy_driver_unregister, 0x222f3279, "");
SYMBOL_CRC(phy_drivers_unregister, 0x73c355f8, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xf8dffd19, "");
SYMBOL_CRC(mdiobus_unregister_device, 0x4704d900, "");
SYMBOL_CRC(mdiobus_get_phy, 0xf5b2372c, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0xcfabd8a3, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x02fe36af, "");
SYMBOL_CRC(mdio_find_bus, 0x13cd1379, "");
SYMBOL_CRC(mdiobus_scan_c22, 0xf119282f, "");
SYMBOL_CRC(__mdiobus_register, 0x249ec878, "");
SYMBOL_CRC(mdiobus_unregister, 0x92458b77, "");
SYMBOL_CRC(mdiobus_free, 0x4040f30a, "");
SYMBOL_CRC(__mdiobus_read, 0xeaccdb7a, "");
SYMBOL_CRC(__mdiobus_write, 0xccfead37, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x43e1da4c, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xd64a8300, "");
SYMBOL_CRC(__mdiobus_c45_write, 0xc9a8bbb2, "");
SYMBOL_CRC(mdiobus_read_nested, 0x17db6e42, "");
SYMBOL_CRC(mdiobus_read, 0x957cc634, "");
SYMBOL_CRC(mdiobus_c45_read, 0xc7606750, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xf0a62957, "");
SYMBOL_CRC(mdiobus_write_nested, 0x396e970b, "");
SYMBOL_CRC(mdiobus_write, 0x44190a88, "");
SYMBOL_CRC(mdiobus_c45_write, 0x047c0cce, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0xba0e7586, "");
SYMBOL_CRC(__mdiobus_modify, 0xf03f31be, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x9002aaba, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x3017f4df, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x0bb2954e, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xbc1387f9, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0x93c7966f, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x8bdc20ad, "");
SYMBOL_CRC(mdio_device_create, 0x54875c7b, "");
SYMBOL_CRC(mdio_device_register, 0xff324014, "");
SYMBOL_CRC(mdio_device_remove, 0x4b4e42b4, "");
SYMBOL_CRC(mdio_device_reset, 0x4a31b323, "");
SYMBOL_CRC(mdio_driver_register, 0x4dc6d403, "");
SYMBOL_CRC(mdio_driver_unregister, 0x24eec7c6, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x91935169, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xfa3ae2c9, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0xeead35f2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0xf05e09d4, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4562a2e, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x91d6b19a, "gpiod_set_value_cansleep" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0xb63301e4, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb1ece99, "devm_gpiod_get_optional" },
	{ 0x67b7305d, "get_device" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x522f5f03, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x67ed317e, "device_match_fwnode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1017457c, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x77dc14ac, "put_device" },
	{ 0x442533d4, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x40acce40, "module_put" },
	{ 0x10684e5c, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x53913146, "bus_unregister" },
	{ 0x4f838dc7, "devm_kfree" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xa3187c5, "bus_find_device" },
	{ 0x3c718401, "device_add" },
	{ 0xd40783d4, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x2d72a04e, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xeafe17c9, "is_acpi_data_node" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x976f6b3c, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x380c8964, "class_unregister" },
	{ 0x37e3b2fa, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5be74004, "device_register" },
	{ 0x8ab46459, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xc6332ede, "device_bind_driver" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x606a7f07, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x686535ec, "netdev_alert" },
	{ 0xd3089b5c, "ethnl_cable_test_alloc" },
	{ 0xb1eb701a, "fwnode_find_reference" },
	{ 0x76f5f05a, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x243d2000, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4a4e174, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0xd224a373, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8b9b2d59, "led_trigger_register" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0xd2515c83, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x587fe866, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xb90860f7, "sysfs_create_link_nowarn" },
	{ 0x7a8e380f, "dev_err_probe" },
	{ 0x176cf598, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x68d9e40c, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x7743556e, "led_trigger_event" },
	{ 0x1a78411f, "device_release_driver" },
	{ 0xbe3208fb, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x319275e9, "gpiod_set_consumer_name" },
	{ 0x5d47eef3, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xe28c510b, "driver_register" },
	{ 0x7b91d4e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe46fe8f4, "__dev_fwnode" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x2af6572f, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5051d10, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x70a61986, "class_find_device" },
	{ 0xde2ddbce, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0xbd4931b1, "gpiod_put" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xad8079fd, "sysfs_create_file_ns" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E5CD219E04B59DDFEBA1CB9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
