#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x63238863, "netif_set_real_num_tx_queues" },
	{ 0xf6b9128d, "netif_set_real_num_rx_queues" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xf57bf34f, "eth_prepare_mac_addr_change" },
	{ 0xa4850b04, "eth_commit_mac_addr_change" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1654bd48, "virtqueue_enable_cb_delayed" },
	{ 0xcfe37218, "virtqueue_add_outbuf" },
	{ 0x97619f42, "virtqueue_kick_prepare" },
	{ 0x8b8caf6f, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6996ca07, "xdp_do_redirect" },
	{ 0xab0ec61a, "bpf_warn_invalid_xdp_action" },
	{ 0xe419254, "__tracepoint_xdp_exception" },
	{ 0xefcbbe57, "xdp_master_redirect" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd93a47a4, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x4c8aa5c4, "__dynamic_netdev_dbg" },
	{ 0xdbb9196f, "xdp_return_frame_rx_napi" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d73a2df, "netif_napi_add_weight" },
	{ 0x27675577, "virtqueue_set_dma_premapped" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x75f4c736, "softnet_data" },
	{ 0xca9e04b8, "skb_to_sgvec" },
	{ 0x1a26bd8a, "skb_tstamp_tx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb96e9d47, "virtqueue_dma_unmap_single_attrs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xd03da477, "__folio_put" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0x17c39614, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0xae5f8778, "alloc_etherdev_mqs" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xce95ea0b, "register_netdevice" },
	{ 0x7a9bf10c, "net_failover_destroy" },
	{ 0xf3d72f38, "virtio_reset_device" },
	{ 0xe0917015, "free_netdev" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0x2162ce19, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xa3b0454, "skb_page_frag_refill" },
	{ 0x1ee26f19, "virtqueue_dma_map_single_attrs" },
	{ 0x8f894d89, "virtqueue_dma_mapping_error" },
	{ 0x583eb4f3, "virtqueue_dma_need_sync" },
	{ 0xf0106c09, "virtqueue_get_buf_ctx" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0x714f9833, "virtqueue_add_inbuf_ctx" },
	{ 0x16b86c16, "virtqueue_add_inbuf" },
	{ 0xc6425e62, "napi_enable" },
	{ 0xbd561025, "xdp_rxq_info_reg_mem_model" },
	{ 0xdc7036e5, "__xdp_rxq_info_reg" },
	{ 0xb8fb660d, "virtqueue_resize" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x41dfbf0b, "bpf_prog_add" },
	{ 0xf5146c78, "bpf_prog_put" },
	{ 0x51385e06, "xdp_features_clear_redirect_target" },
	{ 0xd2a1a3e9, "netdev_printk" },
	{ 0xfc53118e, "xdp_features_set_redirect_target" },
	{ 0x339a7481, "netdev_warn" },
	{ 0x39ec0528, "bpf_prog_sub" },
	{ 0x83d39e9b, "build_skb" },
	{ 0x894fb3fd, "skb_put" },
	{ 0xaa0b23e8, "__napi_alloc_skb" },
	{ 0x568c1556, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0xde39b22, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x923d94c3, "__free_pages" },
	{ 0xacabad65, "netif_device_attach" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x19513713, "__skb_flow_dissect" },
	{ 0xbb5e235d, "skb_partial_csum_set" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0xc499541, "napi_gro_receive" },
	{ 0xc6d98c2e, "skb_coalesce_rx_frag" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd91c033f, "__alloc_skb" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x903026ff, "passthru_features_check" },
	{ 0xf168149d, "eth_validate_addr" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0xdbc14ea6, "ethtool_op_get_ts_info" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x5fa18590, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdf673a86, "napi_consume_skb" },
	{ 0x3b04395e, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x86f70543, "xdp_return_frame" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x47be5793, "virtqueue_disable_cb" },
	{ 0x7e88f185, "virtqueue_enable_cb_prepare" },
	{ 0xf741ba, "napi_complete_done" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdeefec5f, "virtqueue_poll" },
	{ 0x690ef18e, "netif_tx_wake_queue" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0xd42fd448, "virtqueue_get_vring_size" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xbf1721d8, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x7e6738c0, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb383ba09, "netdev_err" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0x4191ed2e, "register_virtio_driver" },
	{ 0x94410139, "unregister_virtio_driver" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf31eee32, "napi_disable" },
	{ 0x6adbc7cc, "xdp_rxq_info_unreg" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x44857e84, "netif_tx_lock" },
	{ 0x84ab5ea6, "netif_device_detach" },
	{ 0xf18c138a, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x83053a3b, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x7c7cfa4, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb5c5cbd6, "virtqueue_add_sgs" },
	{ 0x1cf659de, "virtqueue_kick" },
	{ 0xbd9728db, "virtqueue_is_broken" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0x636a16f3, "netif_tx_stop_all_queues" },
	{ 0x9dfbd22, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "F3257458B55A15B5A0FBD10");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
