#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x90a78e0d, "");
SYMBOL_CRC(alloc_libipw, 0xa1d2af53, "");
SYMBOL_CRC(free_libipw, 0xb4e63cac, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x585d0d20, "");
SYMBOL_CRC(libipw_txb_free, 0x4fb5d778, "");
SYMBOL_CRC(libipw_rx_any, 0xcc9b2418, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x84b9f494, "");
SYMBOL_CRC(libipw_rx, 0x593d36b9, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x0abc00c0, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xfeb40d17, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x7b17a8b3, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xcd7be58c, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x2da42c1b, "");
SYMBOL_CRC(libipw_get_channel, 0x38868524, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x4d2fc540, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x087c4960, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xd2b5c83c, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x2668eded, "");
SYMBOL_CRC(libipw_channel_to_index, 0x20d084c6, "");
SYMBOL_CRC(libipw_set_geo, 0x1072f479, "");
SYMBOL_CRC(libipw_get_geo, 0xc530904d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x137e8754, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x77969cd4, "wiphy_new_nm" },
	{ 0x7fc9eeeb, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x98aa17b5, "lib80211_get_crypto_ops" },
	{ 0x5bb4d42, "init_net" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xe0917015, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x59b4f65d, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xd91b0318, "wireless_spy_update" },
	{ 0xd4d6d902, "netif_rx" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x86414d44, "seq_read" },
	{ 0xd449448d, "lib80211_crypt_info_free" },
	{ 0x5c191de0, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3286759b, "seq_printf" },
	{ 0x234911bd, "lib80211_crypt_delayed_deinit" },
	{ 0x633cee0c, "single_release" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xe9b4775d, "single_open" },
	{ 0xc8bbb7fb, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xae5f8778, "alloc_etherdev_mqs" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5b146560, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "B04C794549E5CDFD244F82D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
