#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hostap_80211_rx, "", "");
KSYMTAB_FUNC(hostap_master_start_xmit, "", "");
KSYMTAB_FUNC(hostap_init_data, "", "");
KSYMTAB_FUNC(hostap_init_ap_proc, "", "");
KSYMTAB_FUNC(hostap_free_data, "", "");
KSYMTAB_FUNC(hostap_check_sta_fw_version, "", "");
KSYMTAB_FUNC(hostap_handle_sta_tx_exc, "", "");
KSYMTAB_FUNC(hostap_info_init, "", "");
KSYMTAB_FUNC(hostap_info_process, "", "");
KSYMTAB_DATA(hostap_80211_ops, "", "");
KSYMTAB_FUNC(hostap_set_word, "", "");
KSYMTAB_FUNC(hostap_set_string, "", "");
KSYMTAB_FUNC(hostap_get_porttype, "", "");
KSYMTAB_FUNC(hostap_set_encryption, "", "");
KSYMTAB_FUNC(hostap_set_antsel, "", "");
KSYMTAB_FUNC(hostap_set_roaming, "", "");
KSYMTAB_FUNC(hostap_set_auth_algs, "", "");
KSYMTAB_FUNC(hostap_dump_rx_header, "", "");
KSYMTAB_FUNC(hostap_dump_tx_header, "", "");
KSYMTAB_FUNC(hostap_80211_get_hdrlen, "", "");
KSYMTAB_FUNC(hostap_setup_dev, "", "");
KSYMTAB_FUNC(hostap_set_multicast_list_queue, "", "");
KSYMTAB_FUNC(hostap_set_hostapd, "", "");
KSYMTAB_FUNC(hostap_set_hostapd_sta, "", "");
KSYMTAB_FUNC(hostap_add_interface, "", "");
KSYMTAB_FUNC(hostap_remove_interface, "", "");
KSYMTAB_FUNC(prism2_update_comms_qual, "", "");
KSYMTAB_FUNC(hostap_init_proc, "", "");
KSYMTAB_FUNC(hostap_remove_proc, "", "");

SYMBOL_CRC(hostap_80211_rx, 0x54d2a7e6, "");
SYMBOL_CRC(hostap_master_start_xmit, 0xba8a52e0, "");
SYMBOL_CRC(hostap_init_data, 0xecc35ab7, "");
SYMBOL_CRC(hostap_init_ap_proc, 0xb0b30f59, "");
SYMBOL_CRC(hostap_free_data, 0xa7cb6c55, "");
SYMBOL_CRC(hostap_check_sta_fw_version, 0x70a72c2d, "");
SYMBOL_CRC(hostap_handle_sta_tx_exc, 0xcde97f2d, "");
SYMBOL_CRC(hostap_info_init, 0x01a15d8a, "");
SYMBOL_CRC(hostap_info_process, 0x10422c77, "");
SYMBOL_CRC(hostap_80211_ops, 0x0aba2fd4, "");
SYMBOL_CRC(hostap_set_word, 0x32e7d293, "");
SYMBOL_CRC(hostap_set_string, 0x3420282d, "");
SYMBOL_CRC(hostap_get_porttype, 0x4764fa66, "");
SYMBOL_CRC(hostap_set_encryption, 0x59dcdf71, "");
SYMBOL_CRC(hostap_set_antsel, 0x016922e8, "");
SYMBOL_CRC(hostap_set_roaming, 0xfe332896, "");
SYMBOL_CRC(hostap_set_auth_algs, 0xa7314801, "");
SYMBOL_CRC(hostap_dump_rx_header, 0x7fb75891, "");
SYMBOL_CRC(hostap_dump_tx_header, 0xf91c03e2, "");
SYMBOL_CRC(hostap_80211_get_hdrlen, 0xb4b77c8b, "");
SYMBOL_CRC(hostap_setup_dev, 0x0d774172, "");
SYMBOL_CRC(hostap_set_multicast_list_queue, 0x75934c58, "");
SYMBOL_CRC(hostap_set_hostapd, 0x31994166, "");
SYMBOL_CRC(hostap_set_hostapd_sta, 0xd0d96b03, "");
SYMBOL_CRC(hostap_add_interface, 0x9be8ae0b, "");
SYMBOL_CRC(hostap_remove_interface, 0x5eaf30fe, "");
SYMBOL_CRC(prism2_update_comms_qual, 0x4add09a9, "");
SYMBOL_CRC(hostap_init_proc, 0x9476c479, "");
SYMBOL_CRC(hostap_remove_proc, 0xf9821034, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb0650e99, "default_llseek" },
	{ 0x59b4f65d, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd91b0318, "wireless_spy_update" },
	{ 0xd4d6d902, "netif_rx" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0x8329af8a, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfff43ae8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32cf0b58, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xee97ae70, "__dev_queue_xmit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5c191de0, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0x3286759b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x234911bd, "lib80211_crypt_delayed_deinit" },
	{ 0x6bd501e5, "skb_copy" },
	{ 0x33514ab2, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x4b2850db, "proc_create_single_data" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x6a9b2f72, "proc_create_seq_private" },
	{ 0x301aedd5, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x212b92eb, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xce95ea0b, "register_netdevice" },
	{ 0xae5f8778, "alloc_etherdev_mqs" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x8be236f5, "eth_header" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xed1cd8c2, "skb_dequeue" },
	{ 0xc0426fcf, "param_array_ops" },
	{ 0x4c78d012, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x69a7dbe4, "iw_handler_set_spy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xf168149d, "eth_validate_addr" },
	{ 0x64450c39, "proc_create_data" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5414321a, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x93aa3e1f, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc00b3004, "pskb_expand_head" },
	{ 0x28812f91, "skb_queue_purge_reason" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7c4d83e3, "iw_handler_get_thrspy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3679d761, "eth_header_cache_update" },
	{ 0xa916b694, "strnlen" },
	{ 0x84ab5ea6, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xacabad65, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x553e1a71, "skb_queue_tail" },
	{ 0x98aa17b5, "lib80211_get_crypto_ops" },
	{ 0x40acce40, "module_put" },
	{ 0x1b87ab4d, "dev_open" },
	{ 0x5bb4d42, "init_net" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0x2b00044f, "dev_close" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xd3a7d8a8, "wireless_send_event" },
	{ 0xe5cf74b7, "seq_putc" },
	{ 0xe0917015, "free_netdev" },
	{ 0x50082240, "iw_handler_get_spy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "B736C4DA17B3757FC8B81A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
