#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtw89_pci_recognize_intrs, "", "");
KSYMTAB_FUNC(rtw89_pci_recognize_intrs_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr, "", "");
KSYMTAB_FUNC(rtw89_pci_enable_intr_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_disable_intr_v1, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set, "", "");
KSYMTAB_DATA(rtw89_pci_ch_dma_addr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info, "", "");
KSYMTAB_FUNC(rtw89_pci_fill_txaddr_info_v1, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_dual, "", "");
KSYMTAB_DATA(rtw89_bd_ram_table_single, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set, "", "");
KSYMTAB_FUNC(rtw89_pci_ltr_set_v1, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask, "", "");
KSYMTAB_FUNC(rtw89_pci_config_intr_mask_v1, "", "");
KSYMTAB_DATA(rtw89_pm_ops, "", "");
KSYMTAB_FUNC(rtw89_pci_probe, "", "");
KSYMTAB_FUNC(rtw89_pci_remove, "", "");

SYMBOL_CRC(rtw89_pci_recognize_intrs, 0x516796ea, "");
SYMBOL_CRC(rtw89_pci_recognize_intrs_v1, 0xd46a5c03, "");
SYMBOL_CRC(rtw89_pci_enable_intr, 0x2d13de3a, "");
SYMBOL_CRC(rtw89_pci_disable_intr, 0x8401596b, "");
SYMBOL_CRC(rtw89_pci_enable_intr_v1, 0x9c9e7be8, "");
SYMBOL_CRC(rtw89_pci_disable_intr_v1, 0x769b4002, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set, 0x9ce0961b, "");
SYMBOL_CRC(rtw89_pci_ch_dma_addr_set_v1, 0xf630d9a9, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info, 0x7e5b12d3, "");
SYMBOL_CRC(rtw89_pci_fill_txaddr_info_v1, 0x2746b230, "");
SYMBOL_CRC(rtw89_bd_ram_table_dual, 0x6efd9f2c, "");
SYMBOL_CRC(rtw89_bd_ram_table_single, 0x71162055, "");
SYMBOL_CRC(rtw89_pci_ltr_set, 0x2c758df5, "");
SYMBOL_CRC(rtw89_pci_ltr_set_v1, 0x148f64d9, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask, 0x24705469, "");
SYMBOL_CRC(rtw89_pci_config_intr_mask_v1, 0xf1dc05df, "");
SYMBOL_CRC(rtw89_pm_ops, 0xfa71bfc7, "");
SYMBOL_CRC(rtw89_pci_probe, 0x30a9e977, "");
SYMBOL_CRC(rtw89_pci_remove, 0x500c937c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef7f402c, "rtw89_free_ieee80211_hw" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x500ce97c, "rtw89_core_napi_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5222d5c6, "pci_iounmap" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2a600910, "ieee80211_tx_status" },
	{ 0xe4f3961, "rtw89_ser_notify" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0xd81731a9, "skb_unlink" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x2e99b1ed, "rtw89_core_register" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x3a9543bc, "rtw89_core_rx" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x8b54ea6d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd3bf4b7f, "rtw89_core_deinit" },
	{ 0x4edc5169, "pci_write_config_byte" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0xd990f5f1, "pci_read_config_byte" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0x566f67b6, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x8184760f, "rtw89_core_napi_stop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x49822a07, "rtw89_chip_info_setup" },
	{ 0x6afef2df, "rtw89_mac_get_err_status" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe6e7a967, "pcie_capability_read_word" },
	{ 0xa8e68ccc, "pci_find_ext_capability" },
	{ 0x805dabd1, "rtw89_alloc_ieee80211_hw" },
	{ 0x5428e2f2, "devm_request_threaded_irq" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0x1da81562, "pci_iomap" },
	{ 0x695fda7e, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xed1cd8c2, "skb_dequeue" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0xee0537fe, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c280e3, "rtw89_core_napi_init" },
	{ 0xdfbc7ee9, "rtw89_core_unregister" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x4c1d1283, "pci_read_config_dword" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0xf741ba, "napi_complete_done" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9cfacb6b, "devm_free_irq" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x553e1a71, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x346f05e2, "rtw89_core_init" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x83b599ec, "rtw89_core_napi_deinit" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "rtw89_core,mac80211");


MODULE_INFO(srcversion, "9AA8EFB7B61C17965C16C0E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
