#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xb9bab1a3, "sysfs_notify" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x902729c4, "device_add_groups" },
	{ 0xcdb9e148, "debugfs_create_dir" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0x7fec9887, "input_allocate_device" },
	{ 0x7bde39ab, "sparse_keymap_setup" },
	{ 0x238f86ad, "input_register_device" },
	{ 0x2795c44b, "led_classdev_register_ext" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x1cb7e3aa, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xfc271549, "input_free_device" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x51931b04, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5d02e3c9, "backlight_force_update" },
	{ 0x7a03be29, "led_classdev_notify_brightness_hw_changed" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x86414d44, "seq_read" },
	{ 0x633cee0c, "single_release" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xe9b4775d, "single_open" },
	{ 0x3286759b, "seq_printf" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0x955f3fba, "__wmi_driver_register" },
	{ 0x7c784add, "__platform_driver_register" },
	{ 0x38db5130, "wmi_driver_unregister" },
	{ 0xa6ba4cfe, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x46a21464, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xb62afee3, "led_classdev_unregister" },
	{ 0x1252d3c3, "input_unregister_device" },
	{ 0x24b1e5cb, "debugfs_remove" },
	{ 0xf52d6736, "device_remove_groups" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1000e51, "schedule" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x368000d0, "sparse_keymap_report_event" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "rfkill,sparse-keymap,platform_profile,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "70FC06770444ACFC6718C15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
