#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(set_required_buffer_size, "_gpl", "");
KSYMTAB_FUNC(wmi_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmidev_instance_count, "_gpl", "");
KSYMTAB_FUNC(wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmidev_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(wmi_query_block, "_gpl", "");
KSYMTAB_FUNC(wmidev_block_query, "_gpl", "");
KSYMTAB_FUNC(wmi_set_block, "_gpl", "");
KSYMTAB_FUNC(wmi_install_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_remove_notify_handler, "_gpl", "");
KSYMTAB_FUNC(wmi_get_event_data, "_gpl", "");
KSYMTAB_FUNC(wmi_has_guid, "_gpl", "");
KSYMTAB_FUNC(wmi_get_acpi_device_uid, "_gpl", "");
KSYMTAB_FUNC(__wmi_driver_register, "", "");
KSYMTAB_FUNC(wmi_driver_unregister, "", "");

SYMBOL_CRC(set_required_buffer_size, 0x0c87de40, "_gpl");
SYMBOL_CRC(wmi_instance_count, 0xd5bf6c16, "_gpl");
SYMBOL_CRC(wmidev_instance_count, 0xe892d458, "_gpl");
SYMBOL_CRC(wmi_evaluate_method, 0x6068bedf, "_gpl");
SYMBOL_CRC(wmidev_evaluate_method, 0xf970854f, "_gpl");
SYMBOL_CRC(wmi_query_block, 0xaba842fe, "_gpl");
SYMBOL_CRC(wmidev_block_query, 0xc8af1fbb, "_gpl");
SYMBOL_CRC(wmi_set_block, 0xd7752b86, "_gpl");
SYMBOL_CRC(wmi_install_notify_handler, 0xf18bdd75, "_gpl");
SYMBOL_CRC(wmi_remove_notify_handler, 0x76ae31fd, "_gpl");
SYMBOL_CRC(wmi_get_event_data, 0x17b0f8ca, "_gpl");
SYMBOL_CRC(wmi_has_guid, 0xc9d4d6d1, "_gpl");
SYMBOL_CRC(wmi_get_acpi_device_uid, 0x065b4695, "_gpl");
SYMBOL_CRC(__wmi_driver_register, 0x955f3fba, "");
SYMBOL_CRC(wmi_driver_unregister, 0x38db5130, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d334118, "__get_user_8" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40acce40, "module_put" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x7b91d4e, "class_register" },
	{ 0x5051d10, "bus_register" },
	{ 0x7c784add, "__platform_driver_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x53913146, "bus_unregister" },
	{ 0x380c8964, "class_unregister" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0xc708f1fe, "ec_write" },
	{ 0xfc4152fc, "ec_read" },
	{ 0xa6ba4cfe, "platform_driver_unregister" },
	{ 0x74754435, "acpi_bus_generate_netlink_event" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdc2949a8, "misc_deregister" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xd05b04de, "device_create" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x72f14ff7, "acpi_get_object_info" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x3c718401, "device_add" },
	{ 0x77dc14ac, "put_device" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0xb63301e4, "device_initialize" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa2cde9d4, "misc_register" },
	{ 0x95082fed, "compat_ptr_ioctl" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x37a0cba, "kfree" },
	{ 0xe28c510b, "driver_register" },
	{ 0x2fac3241, "nonseekable_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("acpi*:PNP0C14:*");
MODULE_ALIAS("acpi*:pnp0c14:*");

MODULE_INFO(srcversion, "0D38838D931CB7BD054E424");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
