#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(w1_add_master_device, "", "");
KSYMTAB_FUNC(w1_remove_master_device, "", "");
KSYMTAB_FUNC(w1_register_family, "", "");
KSYMTAB_FUNC(w1_unregister_family, "", "");
KSYMTAB_FUNC(w1_touch_bit, "_gpl", "");
KSYMTAB_FUNC(w1_write_8, "_gpl", "");
KSYMTAB_FUNC(w1_triplet, "_gpl", "");
KSYMTAB_FUNC(w1_read_8, "_gpl", "");
KSYMTAB_FUNC(w1_write_block, "_gpl", "");
KSYMTAB_FUNC(w1_touch_block, "_gpl", "");
KSYMTAB_FUNC(w1_read_block, "_gpl", "");
KSYMTAB_FUNC(w1_reset_bus, "_gpl", "");
KSYMTAB_FUNC(w1_calc_crc8, "_gpl", "");
KSYMTAB_FUNC(w1_reset_select_slave, "_gpl", "");
KSYMTAB_FUNC(w1_reset_resume_command, "_gpl", "");
KSYMTAB_FUNC(w1_next_pullup, "_gpl", "");

SYMBOL_CRC(w1_add_master_device, 0xdee9212d, "");
SYMBOL_CRC(w1_remove_master_device, 0xbf078a17, "");
SYMBOL_CRC(w1_register_family, 0x7b248075, "");
SYMBOL_CRC(w1_unregister_family, 0xa9fcbe6c, "");
SYMBOL_CRC(w1_touch_bit, 0xa95ad8cf, "_gpl");
SYMBOL_CRC(w1_write_8, 0x8e5d2f02, "_gpl");
SYMBOL_CRC(w1_triplet, 0x4ac2cec9, "_gpl");
SYMBOL_CRC(w1_read_8, 0xc445f18a, "_gpl");
SYMBOL_CRC(w1_write_block, 0x455fc800, "_gpl");
SYMBOL_CRC(w1_touch_block, 0x86fc32e7, "_gpl");
SYMBOL_CRC(w1_read_block, 0x0a0d5474, "_gpl");
SYMBOL_CRC(w1_reset_bus, 0x2405cd70, "_gpl");
SYMBOL_CRC(w1_calc_crc8, 0x63757e92, "_gpl");
SYMBOL_CRC(w1_reset_select_slave, 0xf5c8975e, "_gpl");
SYMBOL_CRC(w1_reset_resume_command, 0x898f8f06, "_gpl");
SYMBOL_CRC(w1_next_pullup, 0xf1331d74, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1b8c92f7, "cn_netlink_send_mult" },
	{ 0x77dc14ac, "put_device" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xb044f905, "flush_signals" },
	{ 0xe8bc40c5, "cn_netlink_send" },
	{ 0x53913146, "bus_unregister" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xb10a7a58, "hwmon_device_register_with_info" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0xbb3680b1, "sysfs_create_group" },
	{ 0xbb5c3a99, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5be74004, "device_register" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7483e13, "cn_del_callback" },
	{ 0x8fda7168, "kthread_create_on_node" },
	{ 0x10c79f33, "pv_ops" },
	{ 0x7fff2e8d, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x86fdde79, "kobject_uevent" },
	{ 0x8d310aec, "hwmon_device_unregister" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe28c510b, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x96b29694, "cn_add_callback" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5051d10, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0x7bff790c, "sysfs_remove_groups" },
	{ 0x84b28e4f, "sysfs_create_groups" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "209C80244BDFC77A7FAAFCD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
