#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xec464d8c, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xea4b86e8, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0xa42f7d0c, "_gpl");
SYMBOL_CRC(fat_scan, 0xa2808a16, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xd6cb3a0f, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x606163f7, "_gpl");
SYMBOL_CRC(fat_add_entries, 0x2325e45d, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0x97296e19, "_gpl");
SYMBOL_CRC(fat_getattr, 0x2649d29d, "_gpl");
SYMBOL_CRC(fat_setattr, 0xfa382765, "_gpl");
SYMBOL_CRC(fat_attach, 0x6df5d193, "_gpl");
SYMBOL_CRC(fat_detach, 0xf4a72906, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x77e38221, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x4c627e48, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xeead1b8e, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x55a43ec2, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x1eb496e2, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xa677d8a3, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x540d7312, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x56486f79, "_gpl");
SYMBOL_CRC(fat_update_time, 0xbd110ff0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c252f0f, "load_nls" },
	{ 0x812667ed, "generic_cont_expand_simple" },
	{ 0x33f4536e, "make_kuid" },
	{ 0x354457cb, "truncate_inode_pages_final" },
	{ 0x9bf1f193, "generic_file_mmap" },
	{ 0x52e0494e, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5310386d, "ilookup" },
	{ 0xca1cacc4, "kmem_cache_alloc" },
	{ 0x74b032a9, "invalidate_inode_buffers" },
	{ 0x78cfa5b0, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x41ce134, "mnt_drop_write_file" },
	{ 0xee63e9f0, "inode_init_once" },
	{ 0x95082fed, "compat_ptr_ioctl" },
	{ 0xb61522e3, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xc54aee69, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xadd3766a, "generic_file_read_iter" },
	{ 0x3215959e, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xb8d5f80b, "truncate_pagecache" },
	{ 0x3da46224, "sync_dirty_buffer" },
	{ 0x7b827ac3, "setattr_copy" },
	{ 0x9ba783df, "__wait_on_buffer" },
	{ 0x30bc0cd3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x96641b8a, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x2b0b874, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x28bf0bba, "from_vfsgid" },
	{ 0x1d341afe, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x94332807, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9f2fa659, "__bread_gfp" },
	{ 0x4c3d7c32, "block_dirty_folio" },
	{ 0xa09f110b, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x823c061c, "__insert_inode_hash" },
	{ 0x34b942f9, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61a48d0d, "make_kgid" },
	{ 0x529b01a, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0x4040582, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x681b0e67, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf68f1d73, "igrab" },
	{ 0xdd26a73, "__getblk_gfp" },
	{ 0xd54fc60d, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeda5d00f, "mpage_readahead" },
	{ 0xec6211f2, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xa7671f0b, "init_user_ns" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3286759b, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1969554c, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xacf4d843, "match_strdup" },
	{ 0x23e792b3, "blkdev_issue_flush" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0x1d94069a, "generic_fh_to_parent" },
	{ 0x8441fd40, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x32811dad, "from_kuid_munged" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x51edff33, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x1f899f85, "kmem_cache_alloc_lru" },
	{ 0xbd2f96f7, "__mark_inode_dirty" },
	{ 0x301aedd5, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb1a6aa28, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0x821c74b8, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa0dc3f65, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xeceed094, "kmem_cache_destroy" },
	{ 0x889fe43f, "blkdev_issue_discard" },
	{ 0x2a380106, "filemap_fdatawrite" },
	{ 0xdad1b175, "generic_fillattr" },
	{ 0x34570233, "setattr_prepare" },
	{ 0x80349fd4, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xb4d20688, "sync_blockdev_nowait" },
	{ 0xccc8a14c, "make_vfsgid" },
	{ 0x2f72c7ef, "blk_start_plug" },
	{ 0xf4105867, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbdf27ea3, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x47fb64ed, "new_inode" },
	{ 0x8dde977c, "mark_buffer_dirty" },
	{ 0xb68399d8, "security_inode_setattr" },
	{ 0xe895c1d3, "__find_get_block" },
	{ 0xb50532d2, "filemap_fdatawrite_range" },
	{ 0x1d071213, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x64553baf, "__blockdev_direct_IO" },
	{ 0xec2f849, "d_make_root" },
	{ 0x66c7ba23, "__bforget" },
	{ 0xf6529f2, "sb_set_blocksize" },
	{ 0xe1a3cf98, "block_truncate_page" },
	{ 0x917db21, "write_dirty_buffer" },
	{ 0x569def18, "sync_filesystem" },
	{ 0x2ef4105a, "fsnotify" },
	{ 0xd3e6e034, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7023207f, "from_vfsuid" },
	{ 0x55de9533, "inode_dio_wait" },
	{ 0x769e7781, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x39d0133, "cont_write_begin" },
	{ 0xfe953fd6, "iput" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x2f752751, "iter_file_splice_write" },
	{ 0x7f3168a6, "generic_file_write_iter" },
	{ 0xe771883e, "kmem_cache_create" },
	{ 0x74ca26b4, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf9995154, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xfcecf443, "mnt_want_write_file" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf08d954f, "block_invalidate_folio" },
	{ 0xc92689c8, "__breadahead" },
	{ 0xdf7b149d, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9410C7029DFD418F3FB2DEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
