#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dsa_devlink_param_get, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_param_set, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_params_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resources_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_register, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_resource_occ_get_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_port_region_create, "_gpl", "");
KSYMTAB_FUNC(dsa_devlink_region_destroy, "_gpl", "");
KSYMTAB_FUNC(dsa_flush_workqueue, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_find, "_gpl", "");
KSYMTAB_FUNC(dsa_register_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_unregister_switch, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_shutdown, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_suspend, "_gpl", "");
KSYMTAB_FUNC(dsa_switch_resume, "_gpl", "");
KSYMTAB_FUNC(dsa_port_from_netdev, "_gpl", "");
KSYMTAB_FUNC(dsa_fdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_mdb_present_in_other_db, "_gpl", "");
KSYMTAB_FUNC(dsa_enqueue_skb, "_gpl", "");
KSYMTAB_FUNC(dsa_port_phylink_mac_change, "_gpl", "");
KSYMTAB_FUNC(dsa_slave_dev_check, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_drivers_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_standalone_vid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_switch_id, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rx_source_port, "_gpl", "");
KSYMTAB_FUNC(vid_is_dsa_8021q, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_join, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_bridge_leave, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_register, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_unregister, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_xmit, "_gpl", "");
KSYMTAB_FUNC(dsa_tag_8021q_find_port_by_vbid, "_gpl", "");
KSYMTAB_FUNC(dsa_8021q_rcv, "_gpl", "");

SYMBOL_CRC(dsa_devlink_param_get, 0xd077e855, "_gpl");
SYMBOL_CRC(dsa_devlink_param_set, 0xfd3e2b67, "_gpl");
SYMBOL_CRC(dsa_devlink_params_register, 0x3a843318, "_gpl");
SYMBOL_CRC(dsa_devlink_params_unregister, 0xe4d3b4d2, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_register, 0x2ec8de20, "_gpl");
SYMBOL_CRC(dsa_devlink_resources_unregister, 0xdf3968ea, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_register, 0x9d48addc, "_gpl");
SYMBOL_CRC(dsa_devlink_resource_occ_get_unregister, 0x8430924c, "_gpl");
SYMBOL_CRC(dsa_devlink_region_create, 0xa1abadad, "_gpl");
SYMBOL_CRC(dsa_devlink_port_region_create, 0xa01e2a8d, "_gpl");
SYMBOL_CRC(dsa_devlink_region_destroy, 0xc23e8d5f, "_gpl");
SYMBOL_CRC(dsa_flush_workqueue, 0x0c6039ac, "_gpl");
SYMBOL_CRC(dsa_switch_find, 0xdede06d3, "_gpl");
SYMBOL_CRC(dsa_register_switch, 0xc3beeed0, "_gpl");
SYMBOL_CRC(dsa_unregister_switch, 0xad2b2203, "_gpl");
SYMBOL_CRC(dsa_switch_shutdown, 0xaf050bd9, "_gpl");
SYMBOL_CRC(dsa_switch_suspend, 0x573077f6, "_gpl");
SYMBOL_CRC(dsa_switch_resume, 0x438147a1, "_gpl");
SYMBOL_CRC(dsa_port_from_netdev, 0xac2337e2, "_gpl");
SYMBOL_CRC(dsa_fdb_present_in_other_db, 0xe16bfff0, "_gpl");
SYMBOL_CRC(dsa_mdb_present_in_other_db, 0x693f9762, "_gpl");
SYMBOL_CRC(dsa_enqueue_skb, 0x9f013d77, "_gpl");
SYMBOL_CRC(dsa_port_phylink_mac_change, 0xad1c7716, "_gpl");
SYMBOL_CRC(dsa_slave_dev_check, 0x83d43797, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_register, 0x2ee8a698, "_gpl");
SYMBOL_CRC(dsa_tag_drivers_unregister, 0xdda40fb4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_vid, 0x45ca5090, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_standalone_vid, 0x566562fc, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_switch_id, 0x417d1fed, "_gpl");
SYMBOL_CRC(dsa_8021q_rx_source_port, 0x9e59271d, "_gpl");
SYMBOL_CRC(vid_is_dsa_8021q, 0xf13e1803, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_join, 0x246dd550, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_bridge_leave, 0x71bf776d, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_register, 0x344af4d4, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_unregister, 0x50a1e4a9, "_gpl");
SYMBOL_CRC(dsa_8021q_xmit, 0xf7aee7c9, "_gpl");
SYMBOL_CRC(dsa_tag_8021q_find_port_by_vbid, 0xfaa5582e, "_gpl");
SYMBOL_CRC(dsa_8021q_rcv, 0x21896a93, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x77dc14ac, "put_device" },
	{ 0x2f13277a, "devlink_resource_register" },
	{ 0xaa077e78, "netdev_upper_get_next_dev_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x84ab5ea6, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8d9f6a14, "switchdev_bridge_port_offload" },
	{ 0xacabad65, "netif_device_attach" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x40acce40, "module_put" },
	{ 0x7cc04ac, "ptp_classify_raw" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x1b87ab4d, "dev_open" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xba03b5c0, "devlink_region_create" },
	{ 0x11f2b392, "vlan_dev_real_dev" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xcd382bbe, "__dev_get_by_index" },
	{ 0x175f7718, "rtnl_link_unregister" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x23f8a70f, "devlink_port_unregister" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x5bb4d42, "init_net" },
	{ 0x44a4e899, "noop_qdisc" },
	{ 0x8643a9e4, "phy_ethtool_get_strings" },
	{ 0x9eee6f55, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x1eae48ae, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x95d0f914, "dev_remove_pack" },
	{ 0x5c09359c, "bpf_trace_run5" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xefc56275, "gro_cells_receive" },
	{ 0x21526cb6, "switchdev_handle_port_obj_del_foreign" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xbbe24e0b, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x717fe598, "dev_mc_del" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x6569868, "br_vlan_get_info" },
	{ 0xe0917015, "free_netdev" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4040f30a, "mdiobus_free" },
	{ 0xe2cd468e, "phylink_generic_validate" },
	{ 0xbb3680b1, "sysfs_create_group" },
	{ 0xa46261ad, "devlink_resource_occ_get_register" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x3dabf86c, "device_find_child" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x9d94ec94, "devlink_port_fini" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x785b9b36, "switchdev_bridge_port_unoffload" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb3b7fcd, "phy_ethtool_get_stats" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xdfd8110c, "flow_block_cb_is_busy" },
	{ 0xab91c289, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xd4d6d902, "netif_rx" },
	{ 0xc138fe38, "dev_mc_add" },
	{ 0x6306347f, "flow_block_cb_alloc" },
	{ 0x2016bdf4, "br_vlan_get_pvid_rcu" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfff43ae8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4c8aa5c4, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x10c79f33, "pv_ops" },
	{ 0x7fff2e8d, "sysfs_remove_group" },
	{ 0x40b4f42c, "net_selftest" },
	{ 0xbd258125, "bpf_trace_run3" },
	{ 0x92458b77, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0x9a18b1f2, "devlink_port_init" },
	{ 0x34d47706, "__netpoll_setup" },
	{ 0xee97ae70, "__dev_queue_xmit" },
	{ 0xb7605812, "vlan_vid_add" },
	{ 0x9a79c3da, "devlink_params_register" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x12135396, "phylink_mac_change" },
	{ 0xfbfb02dc, "vlan_vid_del" },
	{ 0xce6d8443, "dev_set_allmulti" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x16d058da, "devlink_resources_unregister" },
	{ 0x8e8f19f8, "netdev_master_upper_dev_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x137cf9f7, "__vlan_find_dev_deep_rcu" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2dddd6d6, "devlink_port_region_create" },
	{ 0xed3ce80c, "devlink_priv" },
	{ 0x6bd501e5, "skb_copy" },
	{ 0x8d4588cc, "__hw_addr_sync_dev" },
	{ 0x9f9d1885, "devlink_port_register_with_ops" },
	{ 0xf5b2372c, "mdiobus_get_phy" },
	{ 0xd8dac60d, "dst_release" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x249ec878, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd941cae1, "dev_uc_add" },
	{ 0x5d82f073, "vlan_dev_vlan_id" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x7eced88, "br_mst_enabled" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5823a618, "phylink_of_phy_connect" },
	{ 0x754d539c, "strlen" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0x66847713, "dcb_ieee_delapp" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5d47eef3, "device_link_add" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xebfd82c4, "dsa_stubs" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x73e67588, "dcb_ieee_setapp" },
	{ 0x7a2823ea, "phy_ethtool_get_sset_count" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x16b3362e, "__skb_vlan_pop" },
	{ 0xfacbbcfc, "phylink_connect_phy" },
	{ 0xbbd308, "br_get_ageing_time" },
	{ 0xce95ea0b, "register_netdevice" },
	{ 0x2fe36af, "mdiobus_alloc_size" },
	{ 0xd06524ba, "raw_notifier_chain_unregister" },
	{ 0x2e950334, "netdev_lower_get_next" },
	{ 0xdc2f2226, "flow_block_cb_lookup" },
	{ 0x26a1cc5e, "switchdev_handle_port_obj_add_foreign" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb85442b2, "devlink_resource_occ_get_unregister" },
	{ 0x5fb1069d, "dev_set_mtu" },
	{ 0x274dd977, "br_vlan_enabled" },
	{ 0xd64a122, "__skb_pad" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7bd9c224, "bpf_trace_run4" },
	{ 0x66ca34c3, "devlink_unregister" },
	{ 0x85314402, "__nlmsg_put" },
	{ 0xa851973a, "raw_notifier_call_chain" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x877957e4, "br_port_flag_is_set" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x57f5435c, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc66f0d2a, "br_port_get_stp_state" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xaced254f, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x14aa27e6, "is_hsr_master" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdaff8c58, "__netpoll_free" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0xb39b68ab, "br_vlan_get_proto" },
	{ 0x41985fae, "br_mst_get_state" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x6906d141, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6a8f5fba, "netpoll_send_skb" },
	{ 0xe29ff3b3, "rtnl_link_register" },
	{ 0x58b4645c, "dev_close_many" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9e08d495, "devlink_params_unregister" },
	{ 0x2a90f224, "devlink_port_attrs_set" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xba3b6ce9, "devlink_alloc_ns" },
	{ 0x352182d2, "dev_set_promiscuity" },
	{ 0x5e23d876, "devlink_register" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x42c9dfd, "devlink_free" },
	{ 0xe28e2f67, "gro_cells_init" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0x339a7481, "netdev_warn" },
	{ 0x5414321a, "unregister_netdevice_queue" },
	{ 0x67b7305d, "get_device" },
	{ 0xce33272, "skb_pull_rcsum" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x93aa3e1f, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdc9fa232, "raw_notifier_chain_register" },
	{ 0x625d10d1, "switchdev_handle_fdb_event_to_device" },
	{ 0xb383ba09, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd4f7085, "netdev_upper_dev_link" },
	{ 0xc00b3004, "pskb_expand_head" },
	{ 0x991f9285, "switchdev_handle_port_attr_set" },
	{ 0x14122b97, "phylink_create" },
	{ 0xd525e2dd, "vlan_for_each" },
	{ 0x1258703, "netdev_port_same_parent_id" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8d9297ed, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb311be00, "br_mst_get_info" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd4af3230, "vlan_dev_vlan_proto" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "phylink,libphy,bridge,selftests,hsr");


MODULE_INFO(srcversion, "00E924AB21FA4957EACC4F8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
