#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x37038788, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x23d7d6cf, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x3c8c1fc3, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x64020783, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x086e19e1, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xad81e490, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x454f1eb0, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xe6505feb, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x5e300247, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x244ea714, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x5dd4f202, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xba2c44b4, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x83433e15, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x5e8999b9, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x1108481e, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xe9476cd6, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x21c78ac2, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xb39356f5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xa40d5c5d, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x9d99396f, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x563a6068, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xa1981c8d, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x97459614, "_gpl");
SYMBOL_CRC(print_tuple, 0xe01b6632, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x78f096e2, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x8b51ef7f, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x62cae484, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x68d967ce, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0xd6428290, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xc45af0df, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x7f2b2216, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x2eb794c0, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xdac69a0b, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x95e92e01, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x68a1e0cf, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x70e8eda6, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xe549bf0b, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x99713eb4, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x53e0d598, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xa9b441cc, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x5bf00cf9, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x8e178d0d, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x51160c73, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x04a865ea, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x10f2e025, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x0e250058, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x629aa0f4, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x2c935363, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xeb7b6533, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xaf157b29, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x2c798900, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x159c7c37, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x2a91e4b4, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x3ae2e539, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x104400ad, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x19d1dc00, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xe467a0a2, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xf54a851e, "_gpl");
SYMBOL_CRC(nf_confirm, 0xb58e1c61, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x0f7ad44d, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x348441c0, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x94990140, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x7e2e35a1, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x4b2b0fd6, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x009f9c43, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x23c03d6b, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x961ab7b7, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x0c21a5a8, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x3af2bc56, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x2b1c0707, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0x0addec8f, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0xbeb7909b, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x392932e2, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x59ee8d49, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x7449059c, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x922414e1, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x3ee6b1da, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x19cf04c4, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xb28bdbda, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x89565ba7, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x02845e6c, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0xe56f581b, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0xb2e71221, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x5ca1bb04, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x305e5b07, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xd915d147, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xb91ae5aa, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x91a19b21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1980864d, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x33f4536e, "make_kuid" },
	{ 0xf815b273, "nf_defrag_ipv6_disable" },
	{ 0x22cddc52, "ipv6_skip_exthdr" },
	{ 0xdaaa3f57, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xca1cacc4, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x40acce40, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x1216d430, "nf_checksum" },
	{ 0x5bb4d42, "init_net" },
	{ 0x8b5d48d1, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x96641b8a, "kmem_cache_free" },
	{ 0xe5cf74b7, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x71692d4d, "nf_checksum_partial" },
	{ 0xe69d51c3, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x7160469c, "nf_unregister_net_hooks" },
	{ 0x94a3e595, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x58e05a25, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x59f41fce, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1f12fb88, "nf_log_packet" },
	{ 0x61a48d0d, "make_kgid" },
	{ 0xeb882bcc, "nf_ip_checksum" },
	{ 0xa4a7f458, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe8d285b2, "nla_policy_len" },
	{ 0x8d55be2c, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x676174dd, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x80648230, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x41cd5c01, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5c191de0, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3286759b, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xced11f7a, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0xd70f9530, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x47ad2289, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xa7353931, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xeceed094, "kmem_cache_destroy" },
	{ 0xaa08bae7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb36dcc46, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x4de855b, "nf_defrag_ipv4_disable" },
	{ 0x5386fd6f, "nf_ip6_checksum" },
	{ 0x1afaa2fd, "proc_dou8vec_minmax" },
	{ 0xc81d4ca8, "skb_copy_bits" },
	{ 0x62f546fe, "param_ops_uint" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x80f867a9, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x4876bfb3, "nfct_btf_struct_access" },
	{ 0x4161d434, "param_set_uint" },
	{ 0x4cac2696, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x3849b1b1, "nf_ct_frag6_gather" },
	{ 0xbf9c98ea, "get_net_ns_by_id" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe771883e, "kmem_cache_create" },
	{ 0xb87f7de5, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf9472ec8, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xab36bffc, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x2e75c3c1, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xeab7527b, "nf_unregister_sockopt" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "3FEA17C01257C3E5839325B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
