#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0xb116536e, "");
SYMBOL_CRC(pn_sock_unhash, 0x00d8779b, "");
SYMBOL_CRC(phonet_stream_ops, 0x720e1801, "");
SYMBOL_CRC(pn_sock_get_port, 0x9b446edf, "");
SYMBOL_CRC(phonet_header_ops, 0x1c44b424, "");
SYMBOL_CRC(pn_skb_send, 0x15ecb794, "");
SYMBOL_CRC(phonet_proto_register, 0x8033e656, "");
SYMBOL_CRC(phonet_proto_unregister, 0x9c8f73bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2e75c3c1, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x49b311cb, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb35ffaf8, "sock_register" },
	{ 0x2f2f6d49, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd91c033f, "__alloc_skb" },
	{ 0x16751434, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xecb5b2f9, "rtnl_set_sk_err" },
	{ 0x86bd50fe, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x40acce40, "module_put" },
	{ 0x5a998d07, "__sk_receive_skb" },
	{ 0x9122436c, "sock_no_shutdown" },
	{ 0xcd382bbe, "__dev_get_by_index" },
	{ 0x5bb4d42, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x95d0f914, "dev_remove_pack" },
	{ 0xb4f287b7, "dev_get_by_index" },
	{ 0xfb7963a6, "sk_free" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0xe7df02ad, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xfd856d2e, "sock_no_listen" },
	{ 0xd5a43273, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x958252f3, "__rtnl_register_many" },
	{ 0x94a3e595, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x99cc2921, "skb_copy_datagram_iter" },
	{ 0x809aa376, "sk_alloc" },
	{ 0x58e05a25, "unregister_pernet_subsys" },
	{ 0x62e6d81e, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40bb7131, "sock_no_mmap" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0xd4d6d902, "netif_rx" },
	{ 0x1909386b, "sock_common_recvmsg" },
	{ 0xfff43ae8, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3bd9216d, "sk_common_release" },
	{ 0xff599124, "seq_pad" },
	{ 0xa8ebb060, "sock_i_ino" },
	{ 0xee97ae70, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0x5244891f, "skb_recv_datagram" },
	{ 0x507112dc, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5c191de0, "remove_proc_entry" },
	{ 0x4c7364da, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3286759b, "seq_printf" },
	{ 0x33514ab2, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x491e1fed, "_copy_from_iter" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x32811dad, "from_kuid_munged" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x8944114f, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa6037bac, "sock_init_data" },
	{ 0x45556a85, "sk_ioctl" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xaa08bae7, "release_sock" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x2c8cf6ef, "skb_free_datagram" },
	{ 0xd3791dd2, "sock_queue_rcv_skb_reason" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0xd3b73237, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x85314402, "__nlmsg_put" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xaced254f, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xb3b449f5, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x52a25eab, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x511193ca, "sock_no_connect" },
	{ 0xd1def94f, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf9472ec8, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc00b3004, "pskb_expand_head" },
	{ 0xab36bffc, "register_pernet_subsys" },
	{ 0x28812f91, "skb_queue_purge_reason" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "917088DB62388FA8FA6E577");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
