#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x4e5d31ee, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x7ad4bf5e, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x9cafc38a, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x5d816522, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x7688bc5c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3dfc3256, "inet_ctl_sock_create" },
	{ 0x9d3d5068, "inet_ioctl" },
	{ 0xa2487f3d, "reuseport_add_sock" },
	{ 0xa9475040, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x520e97c4, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd28f23b, "sk_filter_trim_cap" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x58c584e9, "fput" },
	{ 0xca505c75, "inet_accept" },
	{ 0x5bb4d42, "init_net" },
	{ 0xa68dc2fb, "crypto_shash_setkey" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0xc6097549, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x546a439, "ip6_mtu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbfb20578, "__SCK__tp_func_sk_data_ready" },
	{ 0x285587fe, "inet_add_protocol" },
	{ 0xe3d2dd12, "inet_shutdown" },
	{ 0xfb7963a6, "sk_free" },
	{ 0xded71415, "sock_wake_async" },
	{ 0xd00e71e4, "dev_get_by_index_rcu" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0xcacf99cf, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x6abfd47c, "skb_push" },
	{ 0x352bc80b, "__ip_queue_xmit" },
	{ 0x96641b8a, "kmem_cache_free" },
	{ 0x40ca0911, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x19661d52, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x94a3e595, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x137b0046, "inet6_ioctl" },
	{ 0x99cc2921, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0x809aa376, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x58e05a25, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe8ef36a5, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x62e6d81e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x550e4e57, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x40bb7131, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0xed4af6da, "setup_udp_tunnel_sock" },
	{ 0x59160045, "udp_sock_create6" },
	{ 0xfff43ae8, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3bd9216d, "sk_common_release" },
	{ 0x10c79f33, "pv_ops" },
	{ 0xbd258125, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xb00bae3d, "inet6_getname" },
	{ 0xa8ebb060, "sock_i_ino" },
	{ 0x4f312812, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6ff10f40, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0xaad2c78d, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf1e843e1, "ipv4_mtu" },
	{ 0xba3d3fbd, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x676174dd, "__skb_checksum" },
	{ 0x43e3136b, "reuseport_alloc" },
	{ 0x937fb515, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x92726a40, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xe8b7f85f, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x8344da1d, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3ac3feba, "rhltable_init" },
	{ 0x50c77959, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3286759b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf570b395, "proc_create_net_single" },
	{ 0x6bd501e5, "skb_copy" },
	{ 0x33514ab2, "skb_clone" },
	{ 0xd0973a05, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd8dac60d, "dst_release" },
	{ 0x491e1fed, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xca104397, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5e97b329, "inet_recv_error" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0xdd4725a7, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x83d0fcc9, "_proc_mkdir" },
	{ 0xe6233fe4, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2b299fef, "send_sig" },
	{ 0x8d831f0, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x5e40021e, "inet6_add_protocol" },
	{ 0x32811dad, "from_kuid_munged" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xef0f9f4c, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x608e0558, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x70d99b59, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xf937d74f, "reuseport_detach_sock" },
	{ 0xf64fac7c, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x8944114f, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe5e4d120, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0x7745a7f1, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa6037bac, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xeceed094, "kmem_cache_destroy" },
	{ 0xaa08bae7, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5fbba3bc, "skb_queue_head" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x32807783, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd3b73237, "sock_i_uid" },
	{ 0x7fa63783, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x601b74c1, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc81d4ca8, "skb_copy_bits" },
	{ 0x70b768f, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xba30bda1, "sock_wfree" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xd84f7370, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfde51f30, "ip6_dst_hoplimit" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0x733cecd5, "inet6_add_offload" },
	{ 0x70c828c6, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x190e3093, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x752e5e66, "l3mdev_fib_table_by_index" },
	{ 0x4b0e7019, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xed1cd8c2, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd3582bb8, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x82366e, "skb_segment" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0xeb33164e, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x19771024, "udp_tunnel6_xmit_skb" },
	{ 0xb3b449f5, "sock_common_getsockopt" },
	{ 0xc48a241d, "inet_bind" },
	{ 0x63ba06a9, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x1f28e604, "fd_install" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x63571580, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x82540842, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0x880ce9f9, "__tracepoint_sk_data_ready" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0xd1def94f, "sock_common_setsockopt" },
	{ 0xae38c50e, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xbe0342bc, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xe771883e, "kmem_cache_create" },
	{ 0xae8c4a79, "__sk_mem_schedule" },
	{ 0x55d8c1fe, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa8b934a4, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf9472ec8, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5d440d35, "sk_error_report" },
	{ 0xab36bffc, "register_pernet_subsys" },
	{ 0xd1d691c7, "put_cmsg" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x2e75c3c1, "register_net_sysctl_sz" },
	{ 0x582b3d4e, "inet_sock_destruct" },
	{ 0xb488308f, "crypto_destroy_tfm" },
	{ 0x69316c30, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c30bc6a, "inet_sk_get_local_port_range" },
	{ 0x55ee563, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x122c3a7e, "_printk" },
	{ 0x74c72525, "inet_getname" },
	{ 0x49b311cb, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xe7b34f19, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xd91c033f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x33916260, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xca1cacc4, "kmem_cache_alloc" },
	{ 0x86bd50fe, "proto_register" },
	{ 0xe8e0b83f, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x674798c5, "inet6_compat_ioctl" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "4DEF1D5AD3CBBD993E4EFFE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
