#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_fw_transaction, "", "");
KSYMTAB_FUNC(fw_iso_resources_init, "", "");
KSYMTAB_FUNC(fw_iso_resources_destroy, "", "");
KSYMTAB_FUNC(fw_iso_resources_allocate, "", "");
KSYMTAB_FUNC(fw_iso_resources_update, "", "");
KSYMTAB_FUNC(fw_iso_resources_free, "", "");
KSYMTAB_FUNC(iso_packets_buffer_init, "", "");
KSYMTAB_FUNC(iso_packets_buffer_destroy, "", "");
KSYMTAB_FUNC(avc_general_set_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_sig_fmt, "", "");
KSYMTAB_FUNC(avc_general_get_plug_info, "", "");
KSYMTAB_FUNC(fcp_avc_transaction, "", "");
KSYMTAB_FUNC(fcp_bus_reset, "", "");
KSYMTAB_FUNC(cmp_connection_init, "", "");
KSYMTAB_FUNC(cmp_connection_check_used, "", "");
KSYMTAB_FUNC(cmp_connection_destroy, "", "");
KSYMTAB_FUNC(cmp_connection_reserve, "", "");
KSYMTAB_FUNC(cmp_connection_release, "", "");
KSYMTAB_FUNC(cmp_connection_establish, "", "");
KSYMTAB_FUNC(cmp_connection_update, "", "");
KSYMTAB_FUNC(cmp_connection_break, "", "");
KSYMTAB_FUNC(amdtp_stream_init, "", "");
KSYMTAB_FUNC(amdtp_stream_destroy, "", "");
KSYMTAB_DATA(amdtp_syt_intervals, "", "");
KSYMTAB_DATA(amdtp_rate_table, "", "");
KSYMTAB_FUNC(amdtp_stream_add_pcm_hw_constraints, "", "");
KSYMTAB_FUNC(amdtp_stream_set_parameters, "", "");
KSYMTAB_FUNC(amdtp_stream_get_max_payload, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_prepare, "", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_pointer, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stream_pcm_ack, "_gpl", "");
KSYMTAB_FUNC(amdtp_stream_update, "", "");
KSYMTAB_FUNC(amdtp_stream_pcm_abort, "", "");
KSYMTAB_FUNC(amdtp_domain_init, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_destroy, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_add_stream, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_start, "_gpl", "");
KSYMTAB_FUNC(amdtp_domain_stop, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_parameters, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_pcm_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_set_midi_position, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_add_pcm_hw_constraints, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_midi_trigger, "_gpl", "");
KSYMTAB_FUNC(amdtp_am824_init, "_gpl", "");

SYMBOL_CRC(snd_fw_transaction, 0xfbf11758, "");
SYMBOL_CRC(fw_iso_resources_init, 0xe62ec57e, "");
SYMBOL_CRC(fw_iso_resources_destroy, 0xb5d1e358, "");
SYMBOL_CRC(fw_iso_resources_allocate, 0xdfd885aa, "");
SYMBOL_CRC(fw_iso_resources_update, 0x70c06b01, "");
SYMBOL_CRC(fw_iso_resources_free, 0x21ddee6e, "");
SYMBOL_CRC(iso_packets_buffer_init, 0x7aabdfb1, "");
SYMBOL_CRC(iso_packets_buffer_destroy, 0x9a7aad8c, "");
SYMBOL_CRC(avc_general_set_sig_fmt, 0x7e2db8f4, "");
SYMBOL_CRC(avc_general_get_sig_fmt, 0x7706ef14, "");
SYMBOL_CRC(avc_general_get_plug_info, 0x146e1e12, "");
SYMBOL_CRC(fcp_avc_transaction, 0x75f21180, "");
SYMBOL_CRC(fcp_bus_reset, 0xc28ab6d6, "");
SYMBOL_CRC(cmp_connection_init, 0xc1212d94, "");
SYMBOL_CRC(cmp_connection_check_used, 0xa06e8f3a, "");
SYMBOL_CRC(cmp_connection_destroy, 0x5a2266fd, "");
SYMBOL_CRC(cmp_connection_reserve, 0x748dae64, "");
SYMBOL_CRC(cmp_connection_release, 0x14033170, "");
SYMBOL_CRC(cmp_connection_establish, 0xe5e19b5b, "");
SYMBOL_CRC(cmp_connection_update, 0x71255623, "");
SYMBOL_CRC(cmp_connection_break, 0xb1a3c650, "");
SYMBOL_CRC(amdtp_stream_init, 0xdf1b8bdf, "");
SYMBOL_CRC(amdtp_stream_destroy, 0x571ab953, "");
SYMBOL_CRC(amdtp_syt_intervals, 0x20254e45, "");
SYMBOL_CRC(amdtp_rate_table, 0x53ca18e8, "");
SYMBOL_CRC(amdtp_stream_add_pcm_hw_constraints, 0xf39509d5, "");
SYMBOL_CRC(amdtp_stream_set_parameters, 0x5f1c7f18, "");
SYMBOL_CRC(amdtp_stream_get_max_payload, 0x75ebcd00, "");
SYMBOL_CRC(amdtp_stream_pcm_prepare, 0xc09bec29, "");
SYMBOL_CRC(amdtp_domain_stream_pcm_pointer, 0xe1877405, "_gpl");
SYMBOL_CRC(amdtp_domain_stream_pcm_ack, 0xb10c81b9, "_gpl");
SYMBOL_CRC(amdtp_stream_update, 0xb066f3e0, "");
SYMBOL_CRC(amdtp_stream_pcm_abort, 0x417e4eaf, "");
SYMBOL_CRC(amdtp_domain_init, 0x3acb36a7, "_gpl");
SYMBOL_CRC(amdtp_domain_destroy, 0x108f9133, "_gpl");
SYMBOL_CRC(amdtp_domain_add_stream, 0x27ea8bfc, "_gpl");
SYMBOL_CRC(amdtp_domain_start, 0x0e3b0788, "_gpl");
SYMBOL_CRC(amdtp_domain_stop, 0xfd8bfc64, "_gpl");
SYMBOL_CRC(amdtp_am824_set_parameters, 0xfe77960b, "_gpl");
SYMBOL_CRC(amdtp_am824_set_pcm_position, 0xa08e76d3, "_gpl");
SYMBOL_CRC(amdtp_am824_set_midi_position, 0x7fa6ca4c, "_gpl");
SYMBOL_CRC(amdtp_am824_add_pcm_hw_constraints, 0xc8733fcc, "_gpl");
SYMBOL_CRC(amdtp_am824_midi_trigger, 0xbf57246b, "_gpl");
SYMBOL_CRC(amdtp_am824_init, 0x015494bd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcef35499, "fw_iso_context_create" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x9ffd612e, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xa62e641c, "fw_iso_context_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49d7d8ae, "fw_core_add_address_handler" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa275a48e, "snd_pcm_hw_rule_add" },
	{ 0x83d0adb2, "fw_iso_context_queue" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xa5921b4c, "fw_card_read_cycle_time" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x225d028d, "fw_iso_buffer_destroy" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x86468d44, "fw_rcode_string" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x698584cf, "fw_iso_resource_manage" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x51c6e9c4, "bpf_trace_run9" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1bfff370, "fw_iso_context_start" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0435e0b, "snd_pcm_stop_xrun" },
	{ 0xe299ac44, "snd_pcm_hw_constraint_msbits" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x43b4b70c, "snd_pcm_period_elapsed" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x793a58bd, "fw_iso_context_flush_completions" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x34ba593f, "fw_iso_context_destroy" },
	{ 0xc3bc72ad, "trace_print_array_seq" },
	{ 0xe770d042, "fw_run_transaction" },
	{ 0x468ed9d4, "snd_rawmidi_receive" },
	{ 0x3144fc6c, "fw_iso_buffer_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8e5ce9bb, "snd_rawmidi_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x16b39d92, "snd_pcm_hw_constraint_minmax" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-pcm,snd-rawmidi");


MODULE_INFO(srcversion, "7C93D8006085971F696EFA7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
