#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x6702c083, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x461d3c98, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x205edc53, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x32fbf2cc, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0x962822d2, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xb12755e9, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x488f1b1a, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x9eff0e81, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xec2ca1e1, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x102b9b72, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x91e463b4, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x85ee2239, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0xeaf2b224, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x2b840963, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x9dd10fbc, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x52bf3bcf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1a892b39, "regmap_write" },
	{ 0x5428e2f2, "devm_request_threaded_irq" },
	{ 0xf1765dc3, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x707c12f8, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x571b188a, "regmap_multi_reg_write_bypassed" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xb7c689d5, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9882a13e, "regmap_read" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xac79f343, "_dev_crit" },
	{ 0xda8f1fb1, "regmap_update_bits_base" },
	{ 0x7a8e380f, "dev_err_probe" },
	{ 0xaad1e4b1, "__pm_runtime_suspend" },
	{ 0xe4e94a98, "regmap_register_patch" },
	{ 0x38c8bf59, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66e735f6, "gpiod_get_value_cansleep" },
	{ 0x3df5f96d, "regcache_cache_only" },
	{ 0xf21bdee6, "regcache_sync" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B62AE9DDEE314484198D023");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
