#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0x3d9fa5a9, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0xcb72cf81, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x6c1a5b03, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0xfcb932c3, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x5e675443, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x886639bb, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0x093e8125, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0xcb092df7, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0xe395b629, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x1578dc01, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xaa0a0da8, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0x3fbfad1f, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0x49815e34, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0xdeaef2c1, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x67f74af9, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0x994d53ec, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0x7ddf8fd9, "_gpl");
SYMBOL_CRC(wm_halo_init, 0x6838aed7, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x6a16257a, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0x8a9220f4, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xa15a6f60, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xf8c1da43, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x22f15b5f, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xf3cf1964, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0xfa92241b, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0xb250efe6, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x3a969687, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x7079d5ea, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf2290cd5, "cs_dsp_init_debugfs" },
	{ 0xe2964344, "__wake_up" },
	{ 0x62606553, "cs_dsp_halo_bus_error" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3ead6d74, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x558e9f0c, "cs_dsp_find_alg_region" },
	{ 0xbae769e5, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x26fcfa57, "cs_dsp_get_ctl" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x700eff1b, "cs_dsp_halo_init" },
	{ 0x7ea90b83, "cs_dsp_power_down" },
	{ 0xe043b6c1, "cs_dsp_adsp2_init" },
	{ 0x24ab32b7, "snd_soc_add_component_controls" },
	{ 0xe3bf44c8, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0xea16b3b2, "cs_dsp_set_dspclk" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa8f0fe2f, "cs_dsp_power_up" },
	{ 0x8290c25b, "snd_soc_component_notify_control" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xe1a2826a, "cs_dsp_run" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9b6139ee, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x88d8d714, "cs_dsp_halo_wdt_expire" },
	{ 0x69278cde, "snd_soc_component_disable_pin" },
	{ 0xcb7a3532, "snd_soc_bytes_tlv_callback" },
	{ 0x701ffbd2, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x5a63d1bc, "cs_dsp_read_raw_data_block" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x9129ed6f, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8ba0f0ec, "snd_soc_component_force_enable_pin" },
	{ 0x79f4737a, "firmware_request_nowarn" },
	{ 0x99992c60, "cs_dsp_cleanup_debugfs" },
	{ 0x5b44ca37, "cs_dsp_coeff_read_ctrl" },
	{ 0x47b3b458, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x779d11c, "cs_dsp_stop" },
	{ 0x3ee1ab98, "cs_dsp_adsp1_power_up" },
	{ 0x1196c7b8, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x9f50ebce, "cs_dsp_adsp1_init" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "F30B2FAFA245C41784B38F7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
