#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x238f86ad, "input_register_device" },
	{ 0xab3787a7, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xd672a31e, "usb_submit_urb" },
	{ 0xfe94ec, "snd_card_new" },
	{ 0x18520bc8, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbd5db4fc, "snd_card_set_id" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x12d72e23, "usb_set_interface" },
	{ 0x1fb1c0e0, "snd_pcm_set_ops" },
	{ 0x37b3bece, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc56278dc, "usb_string" },
	{ 0xcb8269f1, "snd_pcm_set_managed_buffer_all" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xbdb11c9e, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x55491903, "input_event" },
	{ 0xf7b49891, "input_set_abs_params" },
	{ 0x5d299c4a, "snd_rawmidi_new" },
	{ 0x3db83f8a, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x1e193b2f, "snd_rawmidi_set_ops" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x1f8cd0a7, "usb_kill_urb" },
	{ 0xabeb5515, "usb_init_urb" },
	{ 0x43b4b70c, "snd_pcm_period_elapsed" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x7fec9887, "input_allocate_device" },
	{ 0x692261b5, "usb_alloc_urb" },
	{ 0x468ed9d4, "snd_rawmidi_receive" },
	{ 0x9355a431, "usb_free_urb" },
	{ 0x69255f54, "snd_pcm_hw_limit_rates" },
	{ 0x8e5ce9bb, "snd_rawmidi_transmit" },
	{ 0xa6736906, "snd_ctl_add" },
	{ 0x912956a4, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xad8d1c39, "snd_card_register" },
	{ 0x4763743a, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7224eaa7, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0426fcf, "param_array_ops" },
	{ 0x1252d3c3, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc271549, "input_free_device" },
	{ 0xe6534c5a, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb96021a9, "usb_bulk_msg" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-rawmidi");

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "1C35174CEC459936687656F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
