#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x132a7ed1, "crypto_aead_setkey" },
	{ 0xb488308f, "crypto_destroy_tfm" },
	{ 0x21cd536a, "crypto_put_default_null_skcipher" },
	{ 0x37a0cba, "kfree" },
	{ 0xff874ac0, "af_alg_unregister_type" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x6e6d690f, "crypto_alloc_aead" },
	{ 0xa1486b2b, "crypto_get_default_null_skcipher" },
	{ 0x94a3e595, "lock_sock_nested" },
	{ 0xaa08bae7, "release_sock" },
	{ 0x5c7a2c03, "af_alg_alloc_areq" },
	{ 0x89bfd9b9, "af_alg_get_rsgl" },
	{ 0xc565b59, "af_alg_free_resources" },
	{ 0x6908d4e4, "af_alg_wmem_wakeup" },
	{ 0xb8e5aa38, "af_alg_wait_for_data" },
	{ 0x27e92408, "af_alg_async_cb" },
	{ 0x63c91316, "crypto_aead_decrypt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x7e089bdb, "crypto_aead_encrypt" },
	{ 0x57bcfce1, "af_alg_count_tsgl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xfb7963a6, "sk_free" },
	{ 0xecaf6838, "af_alg_release" },
	{ 0xfb8d6538, "sock_no_bind" },
	{ 0x511193ca, "sock_no_connect" },
	{ 0x62e6d81e, "sock_no_socketpair" },
	{ 0xe7df02ad, "sock_no_accept" },
	{ 0x291d1187, "sock_no_getname" },
	{ 0x348ca3bc, "af_alg_poll" },
	{ 0xa5cd7c00, "sock_no_ioctl" },
	{ 0xfd856d2e, "sock_no_listen" },
	{ 0x9122436c, "sock_no_shutdown" },
	{ 0x40bb7131, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9b72681, "af_alg_register_type" },
	{ 0x12fb120, "crypto_skcipher_encrypt" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50c645ef, "af_alg_sendmsg" },
	{ 0xe2dccb3, "crypto_aead_setauthsize" },
	{ 0xd5d3c51c, "af_alg_pull_tsgl" },
	{ 0xb4a24de, "sock_kzfree_s" },
	{ 0x24f64a75, "sock_kfree_s" },
	{ 0x6ba020ef, "af_alg_release_parent" },
	{ 0x69316c30, "sock_kmalloc" },
	{ 0xfb578fc5, "memset" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "af_alg");


MODULE_INFO(srcversion, "6B9C2886D9915EB01BA8ECF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
