#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0x013c5515, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0x606d6375, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0xdda93179, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x7567c415, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xb7f3f0f1, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x3310112b, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xd9a6dabd, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0xcc51ebb2, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xef825421, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0x7d0ea8ee, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xb5fa8e44, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xfc8c700b, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x3238c348, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x12302ea0, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xc78840b6, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xdda1a759, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0xeea50730, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x2ad1a4ba, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x3afd4ded, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0xef3f2b5c, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0xdc73f6d2, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xc731267a, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0xd58fdb56, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x411a1dbf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0x2c9dc94f, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0x049e0e8e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x6772047f, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0xaff388bb, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0xf0188932, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x7cb627f6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x660eb248, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x77084210, "kthread_queue_work" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xafee5657, "kthread_create_worker" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xde90734c, "sched_set_fifo" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x5b6a0bd4, "kthread_destroy_worker" },
	{ 0x7705940b, "crypto_register_aead" },
	{ 0x4f0d2bed, "crypto_unregister_aead" },
	{ 0x182f47d5, "crypto_register_ahash" },
	{ 0xd07f40e9, "crypto_unregister_ahash" },
	{ 0x5304dbfc, "crypto_register_akcipher" },
	{ 0x95509b4f, "crypto_unregister_akcipher" },
	{ 0x2be6bae0, "crypto_register_kpp" },
	{ 0xf2e30e26, "crypto_unregister_kpp" },
	{ 0xcbc45fc7, "crypto_register_skcipher" },
	{ 0x93285280, "crypto_unregister_skcipher" },
	{ 0x7e7f4dd3, "crypto_enqueue_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x3a370eef, "crypto_dequeue_request" },
	{ 0x5d3145e, "crypto_enqueue_request_head" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "158C7FFEDA40E7C22A24121");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
