#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mipi_dbi_command_read, "", "");
KSYMTAB_FUNC(mipi_dbi_command_buf, "", "");
KSYMTAB_FUNC(mipi_dbi_command_stackbuf, "", "");
KSYMTAB_FUNC(mipi_dbi_buf_copy, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_mode_valid, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_update, "", "");
KSYMTAB_FUNC(mipi_dbi_enable_flush, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_disable, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_begin_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_end_fb_access, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_reset_plane, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_duplicate_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_pipe_destroy_plane_state, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init_with_formats, "", "");
KSYMTAB_FUNC(mipi_dbi_dev_init, "", "");
KSYMTAB_FUNC(mipi_dbi_hw_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_display_is_on, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_poweron_conditional_reset, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_cmd_max_speed, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_init, "", "");
KSYMTAB_FUNC(mipi_dbi_spi_transfer, "", "");
KSYMTAB_FUNC(mipi_dbi_debugfs_init, "", "");

SYMBOL_CRC(mipi_dbi_command_read, 0xc5f65f62, "");
SYMBOL_CRC(mipi_dbi_command_buf, 0x295043d2, "");
SYMBOL_CRC(mipi_dbi_command_stackbuf, 0xafa8ce7d, "");
SYMBOL_CRC(mipi_dbi_buf_copy, 0x3fa1fb42, "");
SYMBOL_CRC(mipi_dbi_pipe_mode_valid, 0xb14c8f5a, "");
SYMBOL_CRC(mipi_dbi_pipe_update, 0x52616b2a, "");
SYMBOL_CRC(mipi_dbi_enable_flush, 0x6db6c06b, "");
SYMBOL_CRC(mipi_dbi_pipe_disable, 0x1a1da607, "");
SYMBOL_CRC(mipi_dbi_pipe_begin_fb_access, 0x9ce871a8, "");
SYMBOL_CRC(mipi_dbi_pipe_end_fb_access, 0xee7e964c, "");
SYMBOL_CRC(mipi_dbi_pipe_reset_plane, 0x2dbc291e, "");
SYMBOL_CRC(mipi_dbi_pipe_duplicate_plane_state, 0xe4b4b971, "");
SYMBOL_CRC(mipi_dbi_pipe_destroy_plane_state, 0x114e5431, "");
SYMBOL_CRC(mipi_dbi_dev_init_with_formats, 0xd662f47f, "");
SYMBOL_CRC(mipi_dbi_dev_init, 0xd5cf205c, "");
SYMBOL_CRC(mipi_dbi_hw_reset, 0xb50ca988, "");
SYMBOL_CRC(mipi_dbi_display_is_on, 0xdab04624, "");
SYMBOL_CRC(mipi_dbi_poweron_reset, 0x41388985, "");
SYMBOL_CRC(mipi_dbi_poweron_conditional_reset, 0x6087776e, "");
SYMBOL_CRC(mipi_dbi_spi_cmd_max_speed, 0x53456011, "");
SYMBOL_CRC(mipi_dbi_spi_init, 0x239dc2a6, "");
SYMBOL_CRC(mipi_dbi_spi_transfer, 0xe01d208b, "");
SYMBOL_CRC(mipi_dbi_debugfs_init, 0xd94f53de, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0xda4b0950, "drm_gem_fb_get_obj" },
	{ 0x9e1192c0, "drm_gem_fb_begin_cpu_access" },
	{ 0x9fa831d1, "drm_fb_swab" },
	{ 0x96064f27, "drm_gem_fb_end_cpu_access" },
	{ 0xd032e645, "drm_fb_xrgb8888_to_rgb565" },
	{ 0x5836bc2e, "drm_fb_memcpy" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6bc9f57e, "drm_crtc_helper_mode_valid_fixed" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x69c293b1, "drm_dev_enter" },
	{ 0x97fa936, "drm_atomic_helper_damage_merged" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xab49beb, "drm_gem_begin_shadow_fb_access" },
	{ 0x217e1a4e, "drm_gem_end_shadow_fb_access" },
	{ 0xfce49286, "drm_gem_reset_shadow_plane" },
	{ 0x6705750b, "drm_gem_duplicate_shadow_plane_state" },
	{ 0x8267c38c, "drm_gem_destroy_shadow_plane_state" },
	{ 0x1183e0eb, "drmm_mode_config_init" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x9d3b6538, "drm_connector_init" },
	{ 0xd22ac6, "drm_simple_display_pipe_init" },
	{ 0x7305cd91, "drm_plane_enable_fb_damage_clips" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe53767c2, "drm_connector_helper_get_modes_fixed" },
	{ 0x91d6b19a, "gpiod_set_value_cansleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0xe9b4775d, "single_open" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x11089ac7, "_ctype" },
	{ 0x85df9b6c, "strsep" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0xb0cc103f, "regulator_disable" },
	{ 0xfb578fc5, "memset" },
	{ 0x3286759b, "seq_printf" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0x57ab8e15, "spi_sync_locked" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xaba56a96, "spi_bus_lock" },
	{ 0x25633e09, "spi_bus_unlock" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x89f85a89, "spi_sync" },
	{ 0x69353664, "__drm_debug" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xccac7fd9, "regulator_enable" },
	{ 0x2afa2310, "drm_dev_printk" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x86414d44, "seq_read" },
	{ 0x633cee0c, "single_release" },
	{ 0xcf6b70c7, "drm_gem_fb_create_with_dirty" },
	{ 0xc616be84, "drm_atomic_helper_check" },
	{ 0x3bb0296b, "drm_atomic_helper_commit" },
	{ 0x23ca6c08, "drm_atomic_helper_connector_reset" },
	{ 0x84edc0b, "drm_helper_probe_single_connector_modes" },
	{ 0x5b5f1e0f, "drm_connector_cleanup" },
	{ 0x1ed31d73, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xec8a8094, "drm_atomic_helper_connector_destroy_state" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D84C75406ED0EF5E95F924B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
