#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x6571ba96, "xen_front_pgdir_shbuf_map" },
	{ 0xb4406966, "xenbus_switch_state" },
	{ 0x8f3372a6, "drm_gem_object_init" },
	{ 0x1183e0eb, "drmm_mode_config_init" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x94093208, "drm_crtc_send_vblank_event" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3bb0296b, "drm_atomic_helper_commit" },
	{ 0xc616be84, "drm_atomic_helper_check" },
	{ 0xec8a8094, "drm_atomic_helper_connector_destroy_state" },
	{ 0x88ab94f8, "xen_front_pgdir_shbuf_free" },
	{ 0x5387b51f, "drm_gem_mmap" },
	{ 0x4ce6f8d5, "drm_mode_create" },
	{ 0x337b0472, "drm_ioctl" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xd5066e6d, "xenbus_alloc_evtchn" },
	{ 0xf41ee8ac, "xen_free_unpopulated_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x5f874357, "drm_gem_vm_close" },
	{ 0xfe2be9ea, "drm_gem_vm_open" },
	{ 0x6d2007f1, "drm_dev_unplug" },
	{ 0x9d3b6538, "drm_connector_init" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd540a876, "__xenbus_register_frontend" },
	{ 0xce807a25, "up_write" },
	{ 0x66cf2f64, "drm_display_mode_from_videomode" },
	{ 0xa416b71c, "noop_llseek" },
	{ 0x892f1d5, "drm_read" },
	{ 0x5e7bef0, "drm_gem_object_release" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x957cfac4, "xen_front_pgdir_shbuf_alloc" },
	{ 0xe3a759c8, "xenbus_unregister_driver" },
	{ 0x8bd33852, "xen_front_pgdir_shbuf_unmap" },
	{ 0x937c7b23, "vmap" },
	{ 0xcdb13b90, "drm_gem_handle_create" },
	{ 0x5854bc4d, "xenbus_free_evtchn" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x6516b0b6, "drm_prime_pages_to_sg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xacc6f1ab, "drm_dev_unregister" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfdc08ea1, "drm_dev_put" },
	{ 0xc83b2818, "drm_gem_fb_create_with_funcs" },
	{ 0x34eab46d, "bind_evtchn_to_irqhandler" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x1ed31d73, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xd22ac6, "drm_simple_display_pipe_init" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0x5b5f1e0f, "drm_connector_cleanup" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x983870db, "devm_kasprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2e0269e0, "vm_map_pages" },
	{ 0x9b651e51, "xenbus_teardown_ring" },
	{ 0x84edc0b, "drm_helper_probe_single_connector_modes" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3cc82fbf, "xen_alloc_unpopulated_pages" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0x23ca6c08, "drm_atomic_helper_connector_reset" },
	{ 0xe0a7ad69, "drm_mode_config_reset" },
	{ 0xd48ced7d, "xenbus_setup_ring" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x99da160, "drm_mode_config_cleanup" },
	{ 0xbaa61a44, "xenbus_dev_error" },
	{ 0x6c81d363, "xenbus_frontend_closed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x98ffd02d, "drm_dev_alloc" },
	{ 0xb6d73b33, "drm_gem_put_pages" },
	{ 0x13bd6082, "drm_compat_ioctl" },
	{ 0x8f53d16, "drm_dev_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x85cb2c45, "xen_has_pv_devices" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x6e8641e9, "drm_prime_gem_destroy" },
	{ 0x714e737d, "drm_release" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x3a467710, "drm_gem_fb_destroy" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xc3e2df71, "drm_kms_helper_poll_fini" },
	{ 0x6f5aadc, "drm_open" },
	{ 0x6c55b8b9, "drm_poll" },
	{ 0x69c293b1, "drm_dev_enter" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xb3115ae4, "drm_gem_get_pages" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xf005dd94, "drm_kms_helper_poll_init" },
	{ 0xa6257a2f, "complete" },
	{ 0x8360a18f, "drm_mode_probed_add" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x9937628b, "xenbus_dev_fatal" },
	{ 0x139ad6c2, "drm_atomic_helper_shutdown" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x3d9b5234, "xen_front_pgdir_shbuf_get_dir_start" },
	{ 0xb3e25fab, "drm_prime_sg_to_page_array" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "xen-front-pgdir-shbuf");


MODULE_INFO(srcversion, "F8249050135F814EE237FBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
