#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_init_writes_pending, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0xc27c013a, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0x179122d1, "");
SYMBOL_CRC(mddev_suspend, 0xbf820372, "_gpl");
SYMBOL_CRC(mddev_resume, 0xdfac4fa8, "_gpl");
SYMBOL_CRC(md_flush_request, 0xdc642f08, "");
SYMBOL_CRC(mddev_init, 0x09464ba8, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x24975580, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xdf4901c0, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xf20f3477, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x262d019c, "_gpl");
SYMBOL_CRC(sync_page_io, 0xbed0a641, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x89a3e591, "");
SYMBOL_CRC(md_integrity_register, 0x61870658, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x7a1566c2, "");
SYMBOL_CRC(md_update_sb, 0x8e4ad6e6, "");
SYMBOL_CRC(md_rdev_init, 0x57308d18, "_gpl");
SYMBOL_CRC(mddev_init_writes_pending, 0x10520a67, "_gpl");
SYMBOL_CRC(md_run, 0xd186938d, "_gpl");
SYMBOL_CRC(md_start, 0xc4ece4ae, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x9f367da5, "_gpl");
SYMBOL_CRC(md_stop, 0x67e28af7, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x6a9e764f, "");
SYMBOL_CRC(md_wakeup_thread, 0xddf35ff0, "");
SYMBOL_CRC(md_register_thread, 0x195a7324, "");
SYMBOL_CRC(md_unregister_thread, 0xd37dfdef, "");
SYMBOL_CRC(md_error, 0x9e8ed7f8, "");
SYMBOL_CRC(register_md_personality, 0x8b45c2a1, "");
SYMBOL_CRC(unregister_md_personality, 0x737c9f25, "");
SYMBOL_CRC(register_md_cluster_operations, 0xf344c633, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0x6e700cf3, "");
SYMBOL_CRC(md_write_start, 0xaac2a9e9, "");
SYMBOL_CRC(md_write_inc, 0x4e6f9ca5, "");
SYMBOL_CRC(md_write_end, 0x87aab145, "");
SYMBOL_CRC(md_submit_discard_bio, 0x0a1900ee, "_gpl");
SYMBOL_CRC(md_account_bio, 0x1f916a48, "_gpl");
SYMBOL_CRC(md_allow_write, 0xe3ea4b9e, "_gpl");
SYMBOL_CRC(md_do_sync, 0xe46414b9, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x8927c96b, "");
SYMBOL_CRC(md_reap_sync_thread, 0x1fe5ef5c, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0xa1ed113f, "");
SYMBOL_CRC(md_finish_reshape, 0x52cfd561, "");
SYMBOL_CRC(rdev_set_badblocks, 0xeda17c3c, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0xf2d05165, "_gpl");
SYMBOL_CRC(md_reload_sb, 0xa92427f2, "");
SYMBOL_CRC(md_bitmap_update_sb, 0x74234d0d, "");
SYMBOL_CRC(md_bitmap_unplug, 0x928edca0, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x3f6436e2, "");
SYMBOL_CRC(md_bitmap_startwrite, 0xc4a55136, "");
SYMBOL_CRC(md_bitmap_endwrite, 0xf3913f8f, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xe8a897e6, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x29687af5, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x6f691bea, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x63bf80e9, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0x9fbe9eac, "");
SYMBOL_CRC(md_bitmap_free, 0x4b8c371a, "");
SYMBOL_CRC(md_bitmap_load, 0xb2b38f81, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0xc31ff267, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0x5c90d0e2, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x4c0fce1a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdba20e12, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x8da8351a, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe9b8ca7e, "bio_init" },
	{ 0xe2c4106c, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0xa59abc16, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xa89f1353, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fda7168, "kthread_create_on_node" },
	{ 0x7fff2e8d, "sysfs_remove_group" },
	{ 0x86414d44, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe7393c6a, "kobject_del" },
	{ 0xfa73ef75, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x546c81c7, "bioset_init" },
	{ 0xdece0a06, "file_path" },
	{ 0x25cd0437, "kernfs_put" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0xab94ef40, "sysfs_break_active_protection" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xd03da477, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5c191de0, "remove_proc_entry" },
	{ 0x2ca40f11, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3286759b, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x86fdde79, "kobject_uevent" },
	{ 0xd5f0438, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xff5b4b86, "bd_link_disk_holder" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x467d856e, "seq_open" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x52148323, "badblocks_clear" },
	{ 0xef023636, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6acae6e4, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1e569fa7, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2155863f, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x67d6dab5, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xad14733b, "kobject_put" },
	{ 0x99c663db, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x2b21714c, "set_disk_ro" },
	{ 0xac049545, "__blk_alloc_disk" },
	{ 0xd4f52788, "blk_integrity_register" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x83fc3eed, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x3093157e, "__bio_add_page" },
	{ 0x2f72c7ef, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5b146560, "proc_create" },
	{ 0x573d5107, "bio_split_to_limits" },
	{ 0xb0e602eb, "memmove" },
	{ 0x6fa512ab, "seq_release" },
	{ 0x547aa128, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x9f5d7191, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1248a668, "fget" },
	{ 0x5646c84e, "sysfs_unbreak_active_protection" },
	{ 0xa4f37816, "invalidate_mapping_pages" },
	{ 0xeeae060a, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x78a8d221, "badblocks_exit" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xf35a5eec, "blk_queue_write_cache" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xbaf13d2c, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xed4f4ba3, "kernfs_notify" },
	{ 0xe8a05c2, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x959b930c, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0x924ae1fe, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf2c6d67a, "bioset_integrity_create" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1953c958, "mempool_create" },
	{ 0xb5fcce53, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8174157f, "badblocks_init" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe090e9de, "unregister_sysctl_table" },
	{ 0xdc7e501, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x9d2ab83c, "sync_blockdev" },
	{ 0x75abdd7e, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0xea064167, "blk_queue_flag_set" },
	{ 0x4e0bb620, "blkdev_put" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x78cfa5b0, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1c4209ea, "submit_bio" },
	{ 0xcd742f95, "blk_queue_flag_clear" },
	{ 0x40acce40, "module_put" },
	{ 0xa05445d9, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x10684e5c, "sysfs_create_link" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x5d660ad6, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xb044f905, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x435f34ba, "bio_put" },
	{ 0x5b9b0af0, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x80f89e0, "__SCK__tp_func_block_bio_remap" },
	{ 0x58c584e9, "fput" },
	{ 0x7446f92a, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd40783d4, "sysfs_remove_link" },
	{ 0xfe810506, "blkdev_get_by_dev" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xfc27dd00, "submit_bio_noacct" },
	{ 0xa9621ffc, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x72a7ca59, "blk_sync_queue" },
	{ 0xe829e0a, "seq_file_path" },
	{ 0x66dc0f74, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x9de92c45, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x492f6967, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x913abf99, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbb3680b1, "sysfs_create_group" },
	{ 0xbb5c3a99, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "44CCED3E0ABC5154F42151B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
