#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xfb085b73, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0xde9b2735, "");
SYMBOL_CRC(ivtv_api, 0x93e1378b, "");
SYMBOL_CRC(ivtv_vapi, 0xa62480bf, "");
SYMBOL_CRC(ivtv_vapi_result, 0x6f513f41, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x912de539, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xe06b4638, "");
SYMBOL_CRC(ivtv_udma_setup, 0xb9bd9691, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x19eb1209, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x4b76e4d6, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xf1c5acbd, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x0b06944a, "");
SYMBOL_CRC(ivtv_firmware_check, 0x1b6f8b1d, "");
SYMBOL_CRC(ivtv_claim_stream, 0x41359f4b, "");
SYMBOL_CRC(ivtv_release_stream, 0xa910d1f2, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0xf89c9e16, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0xfc020d42, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x1879f54f, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x8a346628, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9f228d81, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8ec8797, "pci_read_config_word" },
	{ 0x90c11984, "v4l2_ctrl_subscribe_event" },
	{ 0xc247d888, "v4l2_fh_init" },
	{ 0xf1b7d62c, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x33114304, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0xb9e2de8a, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xbb5c3a99, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbe2d5f67, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x7f485819, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc115a60, "v4l2_device_register" },
	{ 0xe474f440, "param_ops_string" },
	{ 0x4df58344, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8fda7168, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8ffda9da, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4edc5169, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x7c2633ab, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8e332ab4, "v4l2_ctrl_new_std" },
	{ 0x828b3d66, "v4l2_ctrl_g_ctrl" },
	{ 0xf5434b99, "cx2341x_handler_init" },
	{ 0x3aec1860, "cx2341x_handler_set_50hz" },
	{ 0xb6d47af5, "v4l2_ctrl_handler_free" },
	{ 0x8c395f84, "v4l2_device_unregister" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0xde90734c, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd12e3f2c, "v4l2_subdev_call_wrappers" },
	{ 0xc49eca5, "dma_unmap_sg_attrs" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x203eaca7, "v4l2_event_queue" },
	{ 0x6842e3c9, "v4l2_i2c_new_subdev" },
	{ 0xd990f5f1, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xae5adea8, "video_device_release_empty" },
	{ 0x160a7d8d, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa046a295, "pci_write_config_dword" },
	{ 0x7b476478, "v4l2_event_unsubscribe" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x203f5ff1, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7f6ef3b6, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x13d8cb13, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3392794a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9fb5f855, "i2c_bit_add_bus" },
	{ 0x8961bead, "v4l2_fh_del" },
	{ 0xc1526a70, "v4l2_i2c_new_subdev_board" },
	{ 0x2c486a66, "kthread_flush_worker" },
	{ 0x8134e47b, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0xe0e617bf, "v4l2_ctrl_handler_init_class" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x50a943eb, "unpin_user_pages" },
	{ 0xc0426fcf, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xde719671, "i2c_transfer_buffer_flags" },
	{ 0xea382494, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x18cfa1ae, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9bf4c88f, "v4l2_ctrl_handler_log_status" },
	{ 0x3ae4c19f, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9ada400, "video_devdata" },
	{ 0xfd03b6db, "i2c_new_scanned_device" },
	{ 0x9614c66e, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x77084210, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x923d94c3, "__free_pages" },
	{ 0x7be06c8b, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xaefae025, "__v4l2_ctrl_s_ctrl" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
