#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd64e639, "strscpy" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9355a431, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x37b3bece, "usb_deregister" },
	{ 0x55491903, "input_event" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x677a7cca, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xea1fdf92, "usb_get_dev" },
	{ 0xff2911dc, "usb_ifnum_to_if" },
	{ 0x692261b5, "usb_alloc_urb" },
	{ 0x3157f2fa, "usb_put_dev" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x7fec9887, "input_allocate_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x238f86ad, "input_register_device" },
	{ 0x68188848, "rc_allocate_device" },
	{ 0xd8621571, "rc_register_device" },
	{ 0xbb3680b1, "sysfs_create_group" },
	{ 0x4ff43219, "usb_register_dev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf7b49891, "input_set_abs_params" },
	{ 0xfc271549, "input_free_device" },
	{ 0x1252d3c3, "input_unregister_device" },
	{ 0xab5f2408, "rc_free_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b92dc0d, "rc_g_keycode_from_table" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1df93b5b, "rc_keyup" },
	{ 0x2718623, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7fff2e8d, "sysfs_remove_group" },
	{ 0x60e6dc1c, "rc_unregister_device" },
	{ 0xb931886f, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xa416b71c, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7224eaa7, "usb_register_driver" },
	{ 0xd672a31e, "usb_submit_urb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1f8cd0a7, "usb_kill_urb" },
	{ 0xa6257a2f, "complete" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x37a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "A3DCA9B273EA8D0AB2ACB45");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
