#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0x17e8b16d, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x15e3110b, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0xaa1d3694, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xc2ef2022, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x610c4ced, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x616c8414, "_gpl");
SYMBOL_CRC(is_fw_load, 0xa6048970, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x117b0b75, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0x5b70436d, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x5c4a727e, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x780d7370, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xb5f53bc0, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0x6833810c, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x236800d3, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x7031a3a8, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x6f89d54a, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xb47685a6, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x5a51817f, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x1b123d03, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x96ff63da, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x3448bf7f, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x266a1dcb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa547277d, "usb_clear_halt" },
	{ 0x3157f2fa, "usb_put_dev" },
	{ 0xb96021a9, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9ada400, "video_devdata" },
	{ 0xd318fed8, "vb2_fop_release" },
	{ 0x9614c66e, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xea1fdf92, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd672a31e, "usb_submit_urb" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x7be06c8b, "i2c_del_adapter" },
	{ 0x602674d, "media_device_register_entity" },
	{ 0x3ce9d508, "media_device_cleanup" },
	{ 0xda241232, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xcd556021, "i2c_unregister_device" },
	{ 0x7b6a14ef, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4cca7c7, "usb_control_msg" },
	{ 0x92fe774e, "vb2_buffer_done" },
	{ 0x96128e13, "vb2_plane_vaddr" },
	{ 0x90c11984, "v4l2_ctrl_subscribe_event" },
	{ 0x12d72e23, "usb_set_interface" },
	{ 0xe1314eb6, "media_entity_pads_init" },
	{ 0xb9e2de8a, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7d05377c, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37b3bece, "usb_deregister" },
	{ 0x8430ab83, "vb2_ioctl_qbuf" },
	{ 0xa5514c27, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe0810790, "v4l2_s_ctrl" },
	{ 0x900d7e2e, "i2c_mux_alloc" },
	{ 0xb7681a30, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ce8b8b9, "vb2_fop_read" },
	{ 0xc115a60, "v4l2_device_register" },
	{ 0x4df58344, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68188848, "rc_allocate_device" },
	{ 0x10c79f33, "pv_ops" },
	{ 0x33f1574b, "usb_unlink_urb" },
	{ 0xe0a54e4d, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8ffda9da, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7d93bf00, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x1f8cd0a7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x1fe9cc1b, "vb2_ioctl_streamon" },
	{ 0x7e7623aa, "v4l2_mc_create_media_graph" },
	{ 0x9c6caa22, "vb2_fop_poll" },
	{ 0xf5434b99, "cx2341x_handler_init" },
	{ 0x3aec1860, "cx2341x_handler_set_50hz" },
	{ 0xed49282d, "__media_device_usb_init" },
	{ 0xb6d47af5, "v4l2_ctrl_handler_free" },
	{ 0x10f100c1, "i2c_transfer" },
	{ 0x8c395f84, "v4l2_device_unregister" },
	{ 0x18ace563, "usb_reset_endpoint" },
	{ 0x5fe3920c, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xd12e3f2c, "v4l2_subdev_call_wrappers" },
	{ 0xc7ff0fa5, "v4l2_ctrl_log_status" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x6842e3c9, "v4l2_i2c_new_subdev" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xae5adea8, "video_device_release_empty" },
	{ 0xe986fa0d, "i2c_mux_add_adapter" },
	{ 0x4cff958d, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7b476478, "v4l2_event_unsubscribe" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf80ae0ce, "vb2_ioctl_reqbufs" },
	{ 0x909be320, "vb2_queue_init" },
	{ 0x692261b5, "usb_alloc_urb" },
	{ 0xd673c608, "v4l2_ctrl_poll" },
	{ 0x3392794a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5a5da7ee, "media_device_unregister" },
	{ 0x9355a431, "usb_free_urb" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x7b910b63, "vb2_ioctl_streamoff" },
	{ 0x825e5ac1, "v4l2_ctrl_radio_filter" },
	{ 0x36086e50, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf0555a4, "v4l2_ctrl_add_handler" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0xc472307a, "vb2_ops_wait_finish" },
	{ 0x7224eaa7, "usb_register_driver" },
	{ 0xe0e617bf, "v4l2_ctrl_handler_init_class" },
	{ 0xc0426fcf, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x9499427e, "__media_device_register" },
	{ 0x82786161, "vb2_ioctl_querybuf" },
	{ 0xde719671, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa5e78c71, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0830658BA95E1A247C60F4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
