#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x2edc8437, "");
SYMBOL_CRC(gspca_dev_probe2, 0x9ba34403, "");
SYMBOL_CRC(gspca_dev_probe, 0xf2b26f6c, "");
SYMBOL_CRC(gspca_disconnect, 0x78e0bf96, "");
SYMBOL_CRC(gspca_suspend, 0xd1f4ef82, "");
SYMBOL_CRC(gspca_resume, 0xf0482523, "");
SYMBOL_CRC(gspca_expo_autogain, 0xe2cbc1ae, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x9d85da5d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd318fed8, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd672a31e, "usb_submit_urb" },
	{ 0xaefae025, "__v4l2_ctrl_s_ctrl" },
	{ 0xda241232, "vb2_ioctl_dqbuf" },
	{ 0x7b6a14ef, "usb_free_coherent" },
	{ 0xaa26b7b, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x92fe774e, "vb2_buffer_done" },
	{ 0x96128e13, "vb2_plane_vaddr" },
	{ 0x90c11984, "v4l2_ctrl_subscribe_event" },
	{ 0x12d72e23, "usb_set_interface" },
	{ 0xb9e2de8a, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8430ab83, "vb2_ioctl_qbuf" },
	{ 0xa5514c27, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb7681a30, "vb2_vmalloc_memops" },
	{ 0x64f93f2e, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x2ce8b8b9, "vb2_fop_read" },
	{ 0xc115a60, "v4l2_device_register" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8ffda9da, "__video_register_device" },
	{ 0x7d93bf00, "vb2_ops_wait_prepare" },
	{ 0x1f8cd0a7, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1fe9cc1b, "vb2_ioctl_streamon" },
	{ 0x9c6caa22, "vb2_fop_poll" },
	{ 0x828b3d66, "v4l2_ctrl_g_ctrl" },
	{ 0xb6d47af5, "v4l2_ctrl_handler_free" },
	{ 0x8c395f84, "v4l2_device_unregister" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xae5adea8, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7b476478, "v4l2_event_unsubscribe" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xf80ae0ce, "vb2_ioctl_reqbufs" },
	{ 0x909be320, "vb2_queue_init" },
	{ 0x7fec9887, "input_allocate_device" },
	{ 0x692261b5, "usb_alloc_urb" },
	{ 0x3392794a, "video_ioctl2" },
	{ 0x9355a431, "usb_free_urb" },
	{ 0xb82616, "v4l2_device_put" },
	{ 0x7b910b63, "vb2_ioctl_streamoff" },
	{ 0x36086e50, "usb_alloc_coherent" },
	{ 0xe18a8c17, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xff2911dc, "usb_ifnum_to_if" },
	{ 0xc472307a, "vb2_ops_wait_finish" },
	{ 0x1252d3c3, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x82786161, "vb2_ioctl_querybuf" },
	{ 0xa5e78c71, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfc271549, "input_free_device" },
	{ 0x122c3a7e, "_printk" },
	{ 0xa547277d, "usb_clear_halt" },
	{ 0x3ae4c19f, "v4l2_ctrl_handler_setup" },
	{ 0x238f86ad, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9ada400, "video_devdata" },
	{ 0x7d980295, "vb2_queue_error" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "92526AC430C4F2C0BCBCF7F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
