#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xa484d785, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x597eeab8, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x2df17ec4, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x88147fd2, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x487153b8, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0x23ce34b0, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0xc915d9a5, "");
SYMBOL_CRC(mptscsih_remove, 0x0e41ea1a, "");
SYMBOL_CRC(mptscsih_shutdown, 0x8f90b74c, "");
SYMBOL_CRC(mptscsih_suspend, 0x85b147cd, "");
SYMBOL_CRC(mptscsih_resume, 0xfe310b3c, "");
SYMBOL_CRC(mptscsih_show_info, 0x3b0b60a6, "");
SYMBOL_CRC(mptscsih_info, 0x74318c7f, "");
SYMBOL_CRC(mptscsih_qcmd, 0x75a17485, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x30838488, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x6ef8bb7a, "");
SYMBOL_CRC(mptscsih_abort, 0x013fbfba, "");
SYMBOL_CRC(mptscsih_dev_reset, 0x659d85cb, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x42e8a764, "");
SYMBOL_CRC(mptscsih_host_reset, 0x84866839, "");
SYMBOL_CRC(mptscsih_bios_param, 0xf349fee4, "");
SYMBOL_CRC(mptscsih_io_done, 0x8f0d8a49, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x5887f2bd, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0x78950ab0, "");
SYMBOL_CRC(mptscsih_event_process, 0x9836d7dd, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0x9c416e06, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0x89938674, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0x591ae38c, "scsi_host_put" },
	{ 0x4d4de815, "mpt_detach" },
	{ 0x7ad6e26a, "scsi_block_requests" },
	{ 0x9cf5094c, "mpt_suspend" },
	{ 0xfc8af8ab, "mpt_resume" },
	{ 0xcfd3d28f, "scsi_unblock_requests" },
	{ 0x2d12920b, "mpt_print_ioc_summary" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3286759b, "seq_printf" },
	{ 0x7c845776, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6c05b036, "mpt_put_msg_frame" },
	{ 0x34cca8d6, "mpt_free_msg_frame" },
	{ 0xa9a4fe2f, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1092a0b9, "mpt_GetIocState" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x713bb9f7, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x333eeb74, "mpt_put_msg_frame_hi_pri" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xbdb0478a, "mpt_send_handshake_request" },
	{ 0xfb75f1f, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0xa83582bb, "mpt_HardResetHandler" },
	{ 0x34a71fca, "mpt_Soft_Hard_ResetHandler" },
	{ 0xe0fd15ae, "scsi_print_command" },
	{ 0xa6257a2f, "complete" },
	{ 0x86e01db5, "scsi_change_queue_depth" },
	{ 0xf6a4113, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x82492567, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x8667406a, "mpt_raid_phys_disk_pg1" },
	{ 0x99334e0a, "scsi_dma_unmap" },
	{ 0x95595281, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x381dd296, "mpt_halt_firmware" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "20BAD7D3CD0B8FCB0C5EFE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
