#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc256c044, "octeon_free_sc_buffer_pool" },
	{ 0xff692f1d, "octeon_allocate_ioq_vector" },
	{ 0x403a3b81, "octeon_init_dispatch_list" },
	{ 0x6f0d8347, "octeon_register_dispatch_fn" },
	{ 0xb23ea19, "octeon_delete_instr_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0x19cb4e69, "liquidio_link_ctrl_cmd_completion" },
	{ 0xbf1721d8, "__netif_napi_del" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0x753ed4ce, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x4c1d1283, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x666e80b1, "octeon_setup_response_list" },
	{ 0x35bad0fa, "octeon_get_rx_qsize" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x478af8ac, "octeon_allocate_device" },
	{ 0xeb306dd0, "octeon_free_ioq_vector" },
	{ 0x8ded534a, "octeon_setup_interrupt" },
	{ 0x84ab5ea6, "netif_device_detach" },
	{ 0xba4d7499, "lio_process_iq_request_list" },
	{ 0x76f1c1a0, "liquidio_setup_io_queues" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x9a15b5d1, "octeon_free_sc_done_list" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8887196a, "octeon_get_tx_qsize" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xd43297fb, "octeon_send_command" },
	{ 0xe0643c8d, "octeon_free_soft_command" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x75f4c736, "softnet_data" },
	{ 0x6dd213b1, "octeon_free_sc_zombie_list" },
	{ 0xb03c3e69, "octeon_alloc_soft_command" },
	{ 0x9a9f8374, "octeon_set_io_queues_off" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6d7ebdf2, "pcie_flr" },
	{ 0xc6425e62, "napi_enable" },
	{ 0x7ad9a0a, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe0917015, "free_netdev" },
	{ 0xa48b71b7, "liquidio_set_ethtool_ops" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1d68c9e9, "octeon_delete_droq" },
	{ 0xa4820df7, "octeon_delete_response_list" },
	{ 0x94db5687, "lio_process_ordered_list" },
	{ 0x6a1881e0, "pci_restore_state" },
	{ 0x690ef18e, "netif_tx_wake_queue" },
	{ 0xa56efa72, "octeon_delete_dispatch_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xca9ce990, "octeon_droq_check_hw_for_pkts" },
	{ 0x241a2a6c, "lio_fetch_stats" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xbe861367, "lio_wait_for_instr_fetch" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x19c6a0ca, "lio_setup_glists" },
	{ 0x59949e8d, "cn23xx_vf_ask_pf_to_do_flr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6e3da97f, "octeon_alloc_soft_command_resp" },
	{ 0xe48615c0, "octeon_prepare_soft_command" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf1a4ac61, "octeon_setup_instr_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd03da477, "__folio_put" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0x1b0db489, "octeon_unregister_droq_ops" },
	{ 0xd1e692fa, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x2c2f748a, "liquidio_change_mtu" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0xea85fd53, "netif_set_tso_max_size" },
	{ 0x6d0d28ef, "octeon_init_device_list" },
	{ 0xec7f00a5, "lio_get_state_string" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0xf31eee32, "napi_disable" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x36cca4e2, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdcfc94e4, "pci_release_region" },
	{ 0xc8cfc8e3, "octeon_setup_sc_buffer_pool" },
	{ 0xa046a295, "pci_write_config_dword" },
	{ 0x2af6572f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9191c5b1, "lio_delete_glists" },
	{ 0x339e3e88, "octnet_send_nic_ctrl_pkt" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xae5f8778, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xba98aca2, "pci_save_state" },
	{ 0x5fb1069d, "dev_set_mtu" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99d72cd5, "octeon_free_device_mem" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6662626d, "pci_cfg_access_unlock" },
	{ 0x96b46c6d, "octeon_send_soft_command" },
	{ 0x1854fe04, "pcie_reset_flr" },
	{ 0xa0e16d70, "cn23xx_setup_octeon_vf_device" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x53d621d8, "setup_rx_oom_poll_fn" },
	{ 0x1a26bd8a, "skb_tstamp_tx" },
	{ 0x48475b0b, "octnet_send_nic_data_pkt" },
	{ 0x1bc70724, "octeon_ring_doorbell_locked" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x26e5c2ee, "lio_wait_for_clean_oq" },
	{ 0x3f49817a, "octeon_setup_output_queues" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0x3f34a417, "octeon_register_reqtype_free_fn" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0xf916341d, "liquidio_set_feature" },
	{ 0x7f32a4c3, "cleanup_rx_oom_poll_fn" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0x5eda5406, "cn23xx_octeon_pfvf_handshake" },
	{ 0xedc03953, "iounmap" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "liquidio-core");

MODULE_ALIAS("pci:v0000177Dd00009712sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DA8FB1B92CB3B1EB545DC4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
