#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i40e_client_device_register, "_gpl", "");
KSYMTAB_FUNC(i40e_client_device_unregister, "_gpl", "");

SYMBOL_CRC(i40e_client_device_register, 0xc49d6beb, "_gpl");
SYMBOL_CRC(i40e_client_device_unregister, 0xab1d0a71, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf6b9128d, "netif_set_real_num_rx_queues" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0x24b1e5cb, "debugfs_remove" },
	{ 0xf8ec8797, "pci_read_config_word" },
	{ 0xc6425e62, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9228c8f5, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x242383d1, "dcbnl_ieee_notify" },
	{ 0x1ff4a257, "xsk_uses_need_wakeup" },
	{ 0x7ad9a0a, "register_netdev" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe0917015, "free_netdev" },
	{ 0x5729a25e, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0xde80cd09, "ioremap" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0x664df87b, "eth_platform_get_mac_address" },
	{ 0xccd3c80c, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5fa18590, "__SCK__tp_func_xdp_exception" },
	{ 0x636a16f3, "netif_tx_stop_all_queues" },
	{ 0x6a1881e0, "pci_restore_state" },
	{ 0x690ef18e, "netif_tx_wake_queue" },
	{ 0x8ab46459, "device_del" },
	{ 0xc4aa60a3, "netdev_set_sb_channel" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0x5b92cc29, "dcb_getapp" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xd417e35c, "flow_rule_match_ports" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9fb84bdd, "ptp_clock_event" },
	{ 0x43d754b5, "netif_schedule_queue" },
	{ 0x49b7fa74, "__alloc_pages" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x956cad0f, "flow_rule_match_ipv6_addrs" },
	{ 0x6561849f, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf695c6f, "ptp_clock_unregister" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0xb1b18ebf, "xp_dma_unmap" },
	{ 0x4c8aa5c4, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x23306b2d, "netdev_unbind_sb_channel" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0xbd258125, "bpf_trace_run3" },
	{ 0x3f0dcb32, "__page_frag_cache_drain" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xea1a1652, "ipv6_find_hdr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb772e275, "netdev_bind_sb_channel_queue" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0x6e5187a1, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd1d9fe27, "netdev_reset_tc" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5b78b089, "call_netdevice_notifiers" },
	{ 0xf2b5eed3, "xp_set_rxq_info" },
	{ 0x2e4f1541, "flow_rule_match_vlan" },
	{ 0x6adbc7cc, "xdp_rxq_info_unreg" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x75dde12d, "napi_build_skb" },
	{ 0xdc7036e5, "__xdp_rxq_info_reg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0x8d4588cc, "__hw_addr_sync_dev" },
	{ 0xc5cfa212, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0xf5d3486e, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xd1e692fa, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa0472cac, "dev_uc_add_excl" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0xa1bddfc3, "xp_free" },
	{ 0x82d095f4, "dev_mc_add_excl" },
	{ 0xd941cae1, "dev_uc_add" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xac79f343, "_dev_crit" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xefcbbe57, "xdp_master_redirect" },
	{ 0x412c9711, "__napi_schedule_irqoff" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0xdf673a86, "napi_consume_skb" },
	{ 0xd990f5f1, "pci_read_config_byte" },
	{ 0x521cd6fe, "xp_alloc_batch" },
	{ 0xf31eee32, "napi_disable" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0x66847713, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xcdb9e148, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4e29428, "flow_rule_match_control" },
	{ 0xd592cf7f, "pci_enable_sriov" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x73e67588, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdbc14ea6, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x2af6572f, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xe419254, "__tracepoint_xdp_exception" },
	{ 0x689ae35, "xsk_tx_completed" },
	{ 0xae5f8778, "alloc_etherdev_mqs" },
	{ 0xba98aca2, "pci_save_state" },
	{ 0x98e0282f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0xe6e7a967, "pcie_capability_read_word" },
	{ 0xbea4dece, "device_set_wakeup_enable" },
	{ 0xd64a122, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf91a18ae, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa8e68ccc, "pci_find_ext_capability" },
	{ 0xf5146c78, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7ae4fb2c, "xp_dma_map" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xc81d4ca8, "skb_copy_bits" },
	{ 0x62f546fe, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x380d66c1, "pci_request_selected_regions" },
	{ 0x4ea7163c, "pci_release_selected_regions" },
	{ 0xbdd9b3ba, "pci_wake_from_d3" },
	{ 0x1a26bd8a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaa0b23e8, "__napi_alloc_skb" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x54ef5eed, "auxiliary_device_init" },
	{ 0x5c1e56d2, "pci_enable_device_mem" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x1d73a2df, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8352c49a, "xsk_tx_peek_release_desc_batch" },
	{ 0xc9af4a93, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0xab0ec61a, "bpf_warn_invalid_xdp_action" },
	{ 0x28ea2478, "ndo_dflt_bridge_getlink" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0xd93a47a4, "xdp_convert_zc_to_xdp_frame" },
	{ 0xfc53118e, "xdp_features_set_redirect_target" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x10e562c5, "pci_get_device" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x9a58dd2d, "trace_print_bitmask_seq" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0xedc03953, "iounmap" },
	{ 0x423daf00, "pci_num_vf" },
	{ 0xf504f3b4, "flow_rule_match_eth_addrs" },
	{ 0x568c1556, "skb_add_rx_frag" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaa7d0e8f, "pci_disable_msi" },
	{ 0x5ce8533a, "ptp_clock_index" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x6996ca07, "xdp_do_redirect" },
	{ 0xf168149d, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0x339a7481, "netdev_warn" },
	{ 0xaf1a7eb2, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x99dab994, "pci_set_power_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x5e640593, "flow_rule_match_ipv4_addrs" },
	{ 0xbf1721d8, "__netif_napi_del" },
	{ 0xdcf88f0, "bpf_trace_run8" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb383ba09, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc00b3004, "pskb_expand_head" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0xec2f4d5f, "pci_restore_msi_state" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0xbd561025, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xa319f00c, "ptp_find_pin" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0x8735ed3d, "irq_set_affinity_notifier" },
	{ 0xf741ba, "napi_complete_done" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x82a10e0d, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x77dc14ac, "put_device" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0x22cddc52, "ipv6_skip_exthdr" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x623512e4, "pci_enable_msix_range" },
	{ 0x9c327761, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x923d94c3, "__free_pages" },
	{ 0x614e9180, "__hw_addr_unsync_dev" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xc499541, "napi_gro_receive" },
	{ 0x51385e06, "xdp_features_clear_redirect_target" },
	{ 0xe09202cc, "pci_select_bars" },
	{ 0x68c510d4, "netdev_pick_tx" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x78716175, "xp_raw_get_dma" },
	{ 0x9ea2cac0, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xca3cd5c1, "xdp_rxq_info_is_reg" },
	{ 0xea0b7272, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3a355b74, "flow_rule_match_basic" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x67f4e81e, "pci_enable_msi" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x75f4c736, "softnet_data" },
	{ 0xf1a62581, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x86f70543, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4b39ca55, "ptp_clock_register" },
	{ 0x5cd2ddf3, "ethtool_intersect_link_masks" },
	{ 0x3719ce04, "xp_dma_sync_for_cpu_slow" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63238863, "netif_set_real_num_tx_queues" },
	{ 0x81ba1ee8, "__auxiliary_device_add" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001572sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001574sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001580sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001581sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001583sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001584sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001585sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DD2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001586sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001589sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015FFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000104Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000037D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000DDAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001587sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001588sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000CF8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00000D58sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000158Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "2EBA6962139C71F20C04085");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
