#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ocelot_mact_learn, "", "");
KSYMTAB_FUNC(ocelot_mact_forget, "", "");
KSYMTAB_FUNC(ocelot_mact_lookup, "", "");
KSYMTAB_FUNC(ocelot_mact_learn_streamdata, "", "");
KSYMTAB_FUNC(ocelot_pll5_init, "", "");
KSYMTAB_FUNC(ocelot_bridge_num_find, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_vlan_filtering, "", "");
KSYMTAB_FUNC(ocelot_vlan_prepare, "", "");
KSYMTAB_FUNC(ocelot_vlan_add, "", "");
KSYMTAB_FUNC(ocelot_vlan_del, "", "");
KSYMTAB_FUNC(ocelot_port_configure_serdes, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_config, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_down, "_gpl", "");
KSYMTAB_FUNC(ocelot_phylink_mac_link_up, "_gpl", "");
KSYMTAB_FUNC(ocelot_ptp_rx_timestamp, "", "");
KSYMTAB_FUNC(ocelot_lock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_inj_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp, "_gpl", "");
KSYMTAB_FUNC(ocelot_lock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_unlock_xtr_grp_bh, "_gpl", "");
KSYMTAB_FUNC(ocelot_xtr_poll_frame, "", "");
KSYMTAB_FUNC(ocelot_can_inject, "", "");
KSYMTAB_FUNC(ocelot_ifh_set_basic, "", "");
KSYMTAB_FUNC(ocelot_port_inject_frame, "", "");
KSYMTAB_FUNC(ocelot_drain_cpu_queue, "", "");
KSYMTAB_FUNC(ocelot_fdb_add, "", "");
KSYMTAB_FUNC(ocelot_fdb_del, "", "");
KSYMTAB_FUNC(ocelot_mact_flush, "_gpl", "");
KSYMTAB_FUNC(ocelot_fdb_dump, "", "");
KSYMTAB_FUNC(ocelot_bond_get_id, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assigned_dsa_8021q_cpu_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_get_bridge_fwd_mask, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_setup_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_teardown_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_assign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_unassign_dsa_8021q_cpu, "_gpl", "");
KSYMTAB_FUNC(ocelot_bridge_stp_state_set, "", "");
KSYMTAB_FUNC(ocelot_set_ageing_time, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_add, "", "");
KSYMTAB_FUNC(ocelot_port_mdb_del, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_join, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_leave, "", "");
KSYMTAB_FUNC(ocelot_migrate_mdbs, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_lag_join, "", "");
KSYMTAB_FUNC(ocelot_port_lag_leave, "", "");
KSYMTAB_FUNC(ocelot_port_lag_change, "", "");
KSYMTAB_FUNC(ocelot_lag_fdb_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_lag_fdb_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_maxlen, "", "");
KSYMTAB_FUNC(ocelot_get_max_mtu, "", "");
KSYMTAB_FUNC(ocelot_port_pre_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_bridge_flags, "", "");
KSYMTAB_FUNC(ocelot_port_get_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_default_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_add_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_del_dscp_prio, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_add, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mirror_del, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_mqprio, "_gpl", "");
KSYMTAB_FUNC(ocelot_init_port, "", "");
KSYMTAB_FUNC(ocelot_reset, "", "");
KSYMTAB_FUNC(ocelot_init, "", "");
KSYMTAB_FUNC(ocelot_deinit, "", "");
KSYMTAB_FUNC(ocelot_deinit_port, "", "");
KSYMTAB_FUNC(ocelot_wm_enc, "", "");
KSYMTAB_FUNC(ocelot_wm_dec, "", "");
KSYMTAB_FUNC(ocelot_wm_stat, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_port_pool_set, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_get, "", "");
KSYMTAB_FUNC(ocelot_sb_tc_pool_bind_set, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_snapshot, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_max_clear, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_port_pool_get, "", "");
KSYMTAB_FUNC(ocelot_sb_occ_tc_port_bind_get, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_register, "", "");
KSYMTAB_FUNC(ocelot_devlink_sb_unregister, "", "");
KSYMTAB_FUNC(ocelot_cls_flower_replace, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_destroy, "_gpl", "");
KSYMTAB_FUNC(ocelot_cls_flower_stats, "_gpl", "");
KSYMTAB_FUNC(__ocelot_bulk_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_read_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_write_ix, "_gpl", "");
KSYMTAB_FUNC(__ocelot_rmw_ix, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_readl, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_writel, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_rmwl, "_gpl", "");
KSYMTAB_FUNC(ocelot_regfields_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_regmap_init, "_gpl", "");
KSYMTAB_FUNC(ocelot_mm_irq, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_set_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm, "_gpl", "");
KSYMTAB_FUNC(ocelot_policer_validate, "", "");
KSYMTAB_FUNC(ocelot_port_policer_add, "", "");
KSYMTAB_FUNC(ocelot_port_policer_del, "", "");
KSYMTAB_FUNC(ocelot_ptp_gettime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_settime64, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjtime, "", "");
KSYMTAB_FUNC(ocelot_ptp_adjfine, "", "");
KSYMTAB_FUNC(ocelot_ptp_verify, "", "");
KSYMTAB_FUNC(ocelot_ptp_enable, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_get, "", "");
KSYMTAB_FUNC(ocelot_hwstamp_set, "", "");
KSYMTAB_FUNC(ocelot_get_ts_info, "", "");
KSYMTAB_FUNC(ocelot_port_txtstamp_request, "", "");
KSYMTAB_FUNC(ocelot_get_txtstamp, "", "");
KSYMTAB_FUNC(ocelot_init_timestamp, "", "");
KSYMTAB_FUNC(ocelot_deinit_timestamp, "", "");
KSYMTAB_FUNC(ocelot_get_strings, "", "");
KSYMTAB_FUNC(ocelot_get_sset_count, "", "");
KSYMTAB_FUNC(ocelot_get_ethtool_stats, "", "");
KSYMTAB_FUNC(ocelot_port_get_pause_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_mm_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_rmon_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_ctrl_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_mac_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_eth_phy_stats, "_gpl", "");
KSYMTAB_FUNC(ocelot_port_get_stats64, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_policer_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_block_find_filter_by_id, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_add, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_del, "", "");
KSYMTAB_FUNC(ocelot_vcap_filter_replace, "", "");
KSYMTAB_DATA(vsc7514_regfields, "", "");
KSYMTAB_DATA(vsc7514_regmap, "", "");
KSYMTAB_DATA(vsc7514_vcap_props, "", "");
KSYMTAB_FUNC(ocelot_mrp_add, "", "");
KSYMTAB_FUNC(ocelot_mrp_del, "", "");
KSYMTAB_FUNC(ocelot_mrp_add_ring_role, "", "");
KSYMTAB_FUNC(ocelot_mrp_del_ring_role, "", "");

SYMBOL_CRC(ocelot_mact_learn, 0xf70960f7, "");
SYMBOL_CRC(ocelot_mact_forget, 0x6ed259ab, "");
SYMBOL_CRC(ocelot_mact_lookup, 0xbb3f90f4, "");
SYMBOL_CRC(ocelot_mact_learn_streamdata, 0x35d3deb4, "");
SYMBOL_CRC(ocelot_pll5_init, 0xc4b759a3, "");
SYMBOL_CRC(ocelot_bridge_num_find, 0x6eccfe90, "_gpl");
SYMBOL_CRC(ocelot_port_vlan_filtering, 0x35d722e6, "");
SYMBOL_CRC(ocelot_vlan_prepare, 0x249aff26, "");
SYMBOL_CRC(ocelot_vlan_add, 0x3d5321dc, "");
SYMBOL_CRC(ocelot_vlan_del, 0x94384295, "");
SYMBOL_CRC(ocelot_port_configure_serdes, 0xb19f190a, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_config, 0x263232d4, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_down, 0x2904b643, "_gpl");
SYMBOL_CRC(ocelot_phylink_mac_link_up, 0x858a7d01, "_gpl");
SYMBOL_CRC(ocelot_ptp_rx_timestamp, 0xf115f35d, "");
SYMBOL_CRC(ocelot_lock_inj_grp, 0x40b900b6, "_gpl");
SYMBOL_CRC(ocelot_unlock_inj_grp, 0x88d8c4b5, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp, 0x9c75b64b, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp, 0x54147248, "_gpl");
SYMBOL_CRC(ocelot_lock_xtr_grp_bh, 0x544fd2e6, "_gpl");
SYMBOL_CRC(ocelot_unlock_xtr_grp_bh, 0xc32a2ff3, "_gpl");
SYMBOL_CRC(ocelot_xtr_poll_frame, 0x7615c41e, "");
SYMBOL_CRC(ocelot_can_inject, 0x4c534cd6, "");
SYMBOL_CRC(ocelot_ifh_set_basic, 0x3edc11d7, "");
SYMBOL_CRC(ocelot_port_inject_frame, 0xd402952f, "");
SYMBOL_CRC(ocelot_drain_cpu_queue, 0xc737c934, "");
SYMBOL_CRC(ocelot_fdb_add, 0x7fa2d882, "");
SYMBOL_CRC(ocelot_fdb_del, 0x65afcaa4, "");
SYMBOL_CRC(ocelot_mact_flush, 0x04212248, "_gpl");
SYMBOL_CRC(ocelot_fdb_dump, 0x81d21f48, "");
SYMBOL_CRC(ocelot_bond_get_id, 0xbe106e60, "_gpl");
SYMBOL_CRC(ocelot_port_assigned_dsa_8021q_cpu_mask, 0x939a93a8, "_gpl");
SYMBOL_CRC(ocelot_get_bridge_fwd_mask, 0x0a3237ad, "_gpl");
SYMBOL_CRC(ocelot_port_setup_dsa_8021q_cpu, 0xeaf97d1c, "_gpl");
SYMBOL_CRC(ocelot_port_teardown_dsa_8021q_cpu, 0xe4fc3176, "_gpl");
SYMBOL_CRC(ocelot_port_assign_dsa_8021q_cpu, 0x0e29ce73, "_gpl");
SYMBOL_CRC(ocelot_port_unassign_dsa_8021q_cpu, 0x8e3c8dc7, "_gpl");
SYMBOL_CRC(ocelot_bridge_stp_state_set, 0x78273ce0, "");
SYMBOL_CRC(ocelot_set_ageing_time, 0x33c48eb0, "");
SYMBOL_CRC(ocelot_port_mdb_add, 0x4381685c, "");
SYMBOL_CRC(ocelot_port_mdb_del, 0xdb5fa76d, "");
SYMBOL_CRC(ocelot_port_bridge_join, 0x6b08f0d4, "");
SYMBOL_CRC(ocelot_port_bridge_leave, 0x171a5c86, "");
SYMBOL_CRC(ocelot_migrate_mdbs, 0x96d9454a, "_gpl");
SYMBOL_CRC(ocelot_port_lag_join, 0x4ca518c3, "");
SYMBOL_CRC(ocelot_port_lag_leave, 0x3e6948ba, "");
SYMBOL_CRC(ocelot_port_lag_change, 0x19a9435a, "");
SYMBOL_CRC(ocelot_lag_fdb_add, 0x72d09dd4, "_gpl");
SYMBOL_CRC(ocelot_lag_fdb_del, 0xe3381134, "_gpl");
SYMBOL_CRC(ocelot_port_set_maxlen, 0xeb0fbecf, "");
SYMBOL_CRC(ocelot_get_max_mtu, 0x9be2593f, "");
SYMBOL_CRC(ocelot_port_pre_bridge_flags, 0x802461f9, "");
SYMBOL_CRC(ocelot_port_bridge_flags, 0x8c723d79, "");
SYMBOL_CRC(ocelot_port_get_default_prio, 0x0dac5066, "_gpl");
SYMBOL_CRC(ocelot_port_set_default_prio, 0x98ef5e3d, "_gpl");
SYMBOL_CRC(ocelot_port_get_dscp_prio, 0xe48dbae2, "_gpl");
SYMBOL_CRC(ocelot_port_add_dscp_prio, 0xcdf6f311, "_gpl");
SYMBOL_CRC(ocelot_port_del_dscp_prio, 0xc2b53fcc, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_add, 0xd108a538, "_gpl");
SYMBOL_CRC(ocelot_port_mirror_del, 0x6df2ae72, "_gpl");
SYMBOL_CRC(ocelot_port_mqprio, 0x0862dd88, "_gpl");
SYMBOL_CRC(ocelot_init_port, 0xbde9150c, "");
SYMBOL_CRC(ocelot_reset, 0xd8dc1525, "");
SYMBOL_CRC(ocelot_init, 0x1dbe3316, "");
SYMBOL_CRC(ocelot_deinit, 0xdf1ce0f5, "");
SYMBOL_CRC(ocelot_deinit_port, 0xdef8326a, "");
SYMBOL_CRC(ocelot_wm_enc, 0x08791cd6, "");
SYMBOL_CRC(ocelot_wm_dec, 0xb0fdd7fd, "");
SYMBOL_CRC(ocelot_wm_stat, 0xe30fc619, "");
SYMBOL_CRC(ocelot_sb_pool_get, 0xf9a7da1b, "");
SYMBOL_CRC(ocelot_sb_pool_set, 0x86b815e9, "");
SYMBOL_CRC(ocelot_sb_port_pool_get, 0xbc35da1b, "");
SYMBOL_CRC(ocelot_sb_port_pool_set, 0x4af07fb3, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_get, 0xf2f768b6, "");
SYMBOL_CRC(ocelot_sb_tc_pool_bind_set, 0xc8d85921, "");
SYMBOL_CRC(ocelot_sb_occ_snapshot, 0x81106252, "");
SYMBOL_CRC(ocelot_sb_occ_max_clear, 0xe4ff3d1e, "");
SYMBOL_CRC(ocelot_sb_occ_port_pool_get, 0x9bf99dc7, "");
SYMBOL_CRC(ocelot_sb_occ_tc_port_bind_get, 0x7aacc5cd, "");
SYMBOL_CRC(ocelot_devlink_sb_register, 0xbcf80ecd, "");
SYMBOL_CRC(ocelot_devlink_sb_unregister, 0x9fc51e10, "");
SYMBOL_CRC(ocelot_cls_flower_replace, 0x624da8c4, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_destroy, 0xc65de1e2, "_gpl");
SYMBOL_CRC(ocelot_cls_flower_stats, 0x9a8a08b0, "_gpl");
SYMBOL_CRC(__ocelot_bulk_read_ix, 0x9867e650, "_gpl");
SYMBOL_CRC(__ocelot_read_ix, 0x450a6c79, "_gpl");
SYMBOL_CRC(__ocelot_write_ix, 0x317d02e7, "_gpl");
SYMBOL_CRC(__ocelot_rmw_ix, 0xc681bd2d, "_gpl");
SYMBOL_CRC(ocelot_port_readl, 0xc3bca59a, "_gpl");
SYMBOL_CRC(ocelot_port_writel, 0x2a7d2e84, "_gpl");
SYMBOL_CRC(ocelot_port_rmwl, 0xd1121522, "_gpl");
SYMBOL_CRC(ocelot_regfields_init, 0xa3056e59, "_gpl");
SYMBOL_CRC(ocelot_regmap_init, 0x8c246a8d, "_gpl");
SYMBOL_CRC(ocelot_mm_irq, 0xf3dc815d, "_gpl");
SYMBOL_CRC(ocelot_port_set_mm, 0xdd7217fa, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm, 0x47d11b3f, "_gpl");
SYMBOL_CRC(ocelot_policer_validate, 0xb0065ac5, "");
SYMBOL_CRC(ocelot_port_policer_add, 0x8de97b48, "");
SYMBOL_CRC(ocelot_port_policer_del, 0xeceb95f4, "");
SYMBOL_CRC(ocelot_ptp_gettime64, 0x1637d32d, "");
SYMBOL_CRC(ocelot_ptp_settime64, 0x56e178f9, "");
SYMBOL_CRC(ocelot_ptp_adjtime, 0x560bc9a0, "");
SYMBOL_CRC(ocelot_ptp_adjfine, 0x7a0d2c48, "");
SYMBOL_CRC(ocelot_ptp_verify, 0x036de7f0, "");
SYMBOL_CRC(ocelot_ptp_enable, 0x3d339954, "");
SYMBOL_CRC(ocelot_hwstamp_get, 0x28d4109e, "");
SYMBOL_CRC(ocelot_hwstamp_set, 0x1a46b97d, "");
SYMBOL_CRC(ocelot_get_ts_info, 0xf099bbcb, "");
SYMBOL_CRC(ocelot_port_txtstamp_request, 0xc52c7439, "");
SYMBOL_CRC(ocelot_get_txtstamp, 0xc67d8b9d, "");
SYMBOL_CRC(ocelot_init_timestamp, 0x637e8ebf, "");
SYMBOL_CRC(ocelot_deinit_timestamp, 0xf997832f, "");
SYMBOL_CRC(ocelot_get_strings, 0xef1e4692, "");
SYMBOL_CRC(ocelot_get_sset_count, 0xb211918f, "");
SYMBOL_CRC(ocelot_get_ethtool_stats, 0x3f506c13, "");
SYMBOL_CRC(ocelot_port_get_pause_stats, 0xd342d0f7, "_gpl");
SYMBOL_CRC(ocelot_port_get_mm_stats, 0x32128481, "_gpl");
SYMBOL_CRC(ocelot_port_get_rmon_stats, 0x9da46822, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_ctrl_stats, 0x0d8622a0, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_mac_stats, 0x98c7d40b, "_gpl");
SYMBOL_CRC(ocelot_port_get_eth_phy_stats, 0xa6baa78d, "_gpl");
SYMBOL_CRC(ocelot_port_get_stats64, 0xb216535d, "");
SYMBOL_CRC(ocelot_vcap_policer_add, 0xae494768, "");
SYMBOL_CRC(ocelot_vcap_policer_del, 0x16c457a3, "");
SYMBOL_CRC(ocelot_vcap_block_find_filter_by_id, 0x2ee2eeab, "");
SYMBOL_CRC(ocelot_vcap_filter_add, 0xce980c88, "");
SYMBOL_CRC(ocelot_vcap_filter_del, 0x7835b58a, "");
SYMBOL_CRC(ocelot_vcap_filter_replace, 0x7745fa96, "");
SYMBOL_CRC(vsc7514_regfields, 0x7e5aec55, "");
SYMBOL_CRC(vsc7514_regmap, 0xf80fc88d, "");
SYMBOL_CRC(vsc7514_vcap_props, 0x6ce19e2a, "");
SYMBOL_CRC(ocelot_mrp_add, 0x2ad2d060, "");
SYMBOL_CRC(ocelot_mrp_del, 0x1016f56f, "");
SYMBOL_CRC(ocelot_mrp_add_ring_role, 0xf486ba7e, "");
SYMBOL_CRC(ocelot_mrp_del_ring_role, 0x848704c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x41c63b61, "devlink_sb_register" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5e640593, "flow_rule_match_ipv4_addrs" },
	{ 0xad28cab2, "regmap_field_update_bits_base" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb383ba09, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d6a583c, "ethtool_aggregate_ctrl_stats" },
	{ 0xe4b818c3, "phy_speed_to_str" },
	{ 0x28812f91, "skb_queue_purge_reason" },
	{ 0xa319f00c, "ptp_find_pin" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x3d7162f2, "ethtool_aggregate_pause_stats" },
	{ 0x136632ff, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6cf955af, "regmap_fields_read" },
	{ 0x553e1a71, "skb_queue_tail" },
	{ 0x9e351a0c, "regmap_field_read" },
	{ 0xfad41206, "devm_regmap_field_alloc" },
	{ 0x7cc04ac, "ptp_classify_raw" },
	{ 0x3a355b74, "flow_rule_match_basic" },
	{ 0xcd382bbe, "__dev_get_by_index" },
	{ 0x4f838dc7, "devm_kfree" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x4b39ca55, "ptp_clock_register" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x63238863, "netif_set_real_num_tx_queues" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0x760740f9, "skb_complete_tx_timestamp" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x59a2f0ee, "packing" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3ae2d9be, "ethtool_aggregate_phy_stats" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xd417e35c, "flow_rule_match_ports" },
	{ 0x36743ca9, "__devm_regmap_init_mmio_clk" },
	{ 0x47daec5, "ethtool_aggregate_mac_stats" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6561849f, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf695c6f, "ptp_clock_unregister" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0x6e08d376, "of_phy_get" },
	{ 0x2016bdf4, "br_vlan_get_pvid_rcu" },
	{ 0x4688c715, "phy_set_mode_ext" },
	{ 0xd1d9fe27, "netdev_reset_tc" },
	{ 0x9882a13e, "regmap_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2e7ed92c, "devm_ioremap_resource" },
	{ 0x2c8b3dc, "ethtool_aggregate_rmon_stats" },
	{ 0x2e4f1541, "flow_rule_match_vlan" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x43ef4fbf, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8338515, "flow_rule_match_meta" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf5d3486e, "netdev_set_num_tc" },
	{ 0xda8f1fb1, "regmap_update_bits_base" },
	{ 0x7a8e380f, "dev_err_probe" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xe19d8d4e, "devlink_sb_unregister" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa4e29428, "flow_rule_match_control" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x274dd977, "br_vlan_enabled" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a892b39, "regmap_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x1a26bd8a, "skb_tstamp_tx" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfe34d10, "of_phy_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1f32ae3a, "skb_clone_sk" },
	{ 0xb39b68ab, "br_vlan_get_proto" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc74861d4, "regmap_fields_update_bits_base" },
	{ 0xf504f3b4, "flow_rule_match_eth_addrs" },
	{ 0x5ce8533a, "ptp_clock_index" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "libphy,regmap-mmio,bridge");


MODULE_INFO(srcversion, "D4D0062F77CF93D94C495CF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
