#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qed_get_eth_ops, "", "");
KSYMTAB_FUNC(qed_put_eth_ops, "", "");
KSYMTAB_FUNC(qed_get_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_put_fcoe_ops, "", "");
KSYMTAB_FUNC(qed_get_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_put_iscsi_ops, "", "");
KSYMTAB_FUNC(qed_get_rdma_ops, "", "");

SYMBOL_CRC(qed_get_eth_ops, 0xd70abd08, "");
SYMBOL_CRC(qed_put_eth_ops, 0x9eeeef48, "");
SYMBOL_CRC(qed_get_fcoe_ops, 0x8ca168c3, "");
SYMBOL_CRC(qed_put_fcoe_ops, 0x992e03d0, "");
SYMBOL_CRC(qed_get_iscsi_ops, 0x7dbdbfd4, "");
SYMBOL_CRC(qed_put_iscsi_ops, 0x4f264472, "");
SYMBOL_CRC(qed_get_rdma_ops, 0x7722b4c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x9a79c3da, "devlink_params_register" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8b54ea6d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc527d88e, "pcie_capability_read_dword" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xed3ce80c, "devlink_priv" },
	{ 0xc5cfa212, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xd1e692fa, "pci_disable_msix" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd990f5f1, "pci_read_config_byte" },
	{ 0x754d539c, "strlen" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xd592cf7f, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x107e5878, "zlib_inflateEnd" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xe914e41e, "strcpy" },
	{ 0xba98aca2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa8e68ccc, "pci_find_ext_capability" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x66ca34c3, "devlink_unregister" },
	{ 0xc81d4ca8, "skb_copy_bits" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x3fe6c346, "devlink_fmsg_binary_pair_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0xeed362df, "devlink_health_reporter_create" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x9e08d495, "devlink_params_unregister" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0xedc03953, "iounmap" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xaa7d0e8f, "pci_disable_msi" },
	{ 0xee0537fe, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xba3b6ce9, "devlink_alloc_ns" },
	{ 0x5e23d876, "devlink_register" },
	{ 0x42c9dfd, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x148653, "vsnprintf" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x661551b6, "pci_ioremap_bar" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x4c1d1283, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x623512e4, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xf4996c8a, "pci_find_capability" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x67f4e81e, "pci_enable_msi" },
	{ 0x5bb4d42, "init_net" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0xf8ec8797, "pci_read_config_word" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0x9166fada, "strncpy" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x411fe328, "slab_build_skb" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "crc8");


MODULE_INFO(srcversion, "7F199256B0D52124C3176FE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
