#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x2d7a399e, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0x09968f72, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0xbd144320, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x75221046, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0xeaf69f26, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xca57fbec, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0x545572d4, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbf1721d8, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xb383ba09, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x746ab557, "phylink_limit_mac_speed" },
	{ 0x14122b97, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0xbaf6e17b, "pinctrl_pm_select_default_state" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0xbd561025, "xdp_rxq_info_reg_mem_model" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x724c29fa, "__pm_runtime_set_status" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0xf741ba, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xaf56a631, "__devm_alloc_percpu" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1017457c, "pm_wakeup_dev_event" },
	{ 0x82a10e0d, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0xf776981b, "pm_runtime_enable" },
	{ 0x9c327761, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x84ab5ea6, "netif_device_detach" },
	{ 0xc08c6d50, "xpcs_config_eee" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x5500ce6a, "xpcs_create_mdiodev" },
	{ 0xc499541, "napi_gro_receive" },
	{ 0xacabad65, "netif_device_attach" },
	{ 0x51385e06, "xdp_features_clear_redirect_target" },
	{ 0x2c8e28ee, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x68c510d4, "netdev_pick_tx" },
	{ 0xdd694e67, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x78716175, "xp_raw_get_dma" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xca3cd5c1, "xdp_rxq_info_is_reg" },
	{ 0xb2c44601, "devm_alloc_etherdev_mqs" },
	{ 0xea0b7272, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x3a355b74, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x1b87ab4d, "dev_open" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x1d536fa8, "xpcs_destroy" },
	{ 0x528d8467, "pinctrl_pm_select_sleep_state" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x86f70543, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4b39ca55, "ptp_clock_register" },
	{ 0x3719ce04, "xp_dma_sync_for_cpu_slow" },
	{ 0x5ca1a213, "xsk_tx_peek_desc" },
	{ 0x63238863, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf6b9128d, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2b00044f, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0x24b1e5cb, "debugfs_remove" },
	{ 0xc6425e62, "napi_enable" },
	{ 0x9228c8f5, "xsk_clear_rx_need_wakeup" },
	{ 0xb2f165c0, "xpcs_get_interfaces" },
	{ 0x1ff4a257, "xsk_uses_need_wakeup" },
	{ 0x7ad9a0a, "register_netdev" },
	{ 0x5729a25e, "xsk_get_pool_from_qid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4040f30a, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5fa18590, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x57727285, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x690ef18e, "netif_tx_wake_queue" },
	{ 0x7133708a, "fwnode_get_phy_node" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0x7df7ea42, "page_pool_create" },
	{ 0xa5cc95d3, "page_pool_put_defragged_page" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xd417e35c, "flow_rule_match_ports" },
	{ 0x1aaa77ab, "phylink_fwnode_phy_connect" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x9fb84bdd, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x43d754b5, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x79da1a1a, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf695c6f, "ptp_clock_unregister" },
	{ 0xb1b18ebf, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xabdaab0e, "xpcs_get_an_mode" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x4c8aa5c4, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdbb9196f, "xdp_return_frame_rx_napi" },
	{ 0x686535ec, "netdev_alert" },
	{ 0x2d10e635, "dma_set_coherent_mask" },
	{ 0x86414d44, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x92458b77, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa16449b4, "phylink_ethtool_ksettings_set" },
	{ 0xf83a0a73, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0x6e5187a1, "xsk_set_tx_need_wakeup" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf2b5eed3, "xp_set_rxq_info" },
	{ 0x2e4f1541, "flow_rule_match_vlan" },
	{ 0x6adbc7cc, "xdp_rxq_info_unreg" },
	{ 0x10396f25, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdc7036e5, "__xdp_rxq_info_reg" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3286759b, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xf5b2372c, "mdiobus_get_phy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x249ec878, "__mdiobus_register" },
	{ 0x9616a255, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xa1bddfc3, "xp_free" },
	{ 0x633cee0c, "single_release" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x7a8e380f, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xefcbbe57, "xdp_master_redirect" },
	{ 0x68d9e40c, "fwnode_handle_put" },
	{ 0xd2ef6a40, "phylink_mii_ioctl" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0xf31eee32, "napi_disable" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xc5067710, "eth_header_parse_protocol" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe9b4775d, "single_open" },
	{ 0x9b39c78c, "__pm_runtime_disable" },
	{ 0xcdb9e148, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x38c8bf59, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdbc14ea6, "ethtool_op_get_ts_info" },
	{ 0xf62b90ff, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe46fe8f4, "__dev_fwnode" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x2af6572f, "netdev_info" },
	{ 0xfacbbcfc, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x2fe36af, "mdiobus_alloc_size" },
	{ 0xe419254, "__tracepoint_xdp_exception" },
	{ 0x689ae35, "xsk_tx_completed" },
	{ 0x98e0282f, "xp_dma_sync_for_device_slow" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x423a7bd6, "xp_alloc" },
	{ 0xbea4dece, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf5146c78, "bpf_prog_put" },
	{ 0x7220e857, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7ae4fb2c, "xp_dma_map" },
	{ 0xc81d4ca8, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xa6325602, "eth_mac_addr" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x1a26bd8a, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xaa0b23e8, "__napi_alloc_skb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf02210d9, "netdev_update_features" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x1d73a2df, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab0ec61a, "bpf_warn_invalid_xdp_action" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0xd93a47a4, "xdp_convert_zc_to_xdp_frame" },
	{ 0xfc53118e, "xdp_features_set_redirect_target" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x568c1556, "skb_add_rx_frag" },
	{ 0xc37618e, "get_device_system_crosststamp" },
	{ 0x5ce8533a, "ptp_clock_index" },
	{ 0xa9124de7, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x4c487418, "page_pool_destroy" },
	{ 0x6996ca07, "xdp_do_redirect" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x339a7481, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5e640593, "flow_rule_match_ipv4_addrs" },
	{ 0xd3449ce2, "xdp_rxq_info_unreg_mem_model" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "phylink,pcs_xpcs,libphy");


MODULE_INFO(srcversion, "CFFB5F689C43C36776936C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
