#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17d70c09, "usbnet_update_max_qlen" },
	{ 0xa6bc22ca, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x664df87b, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x80f90bc6, "mii_nway_restart" },
	{ 0x6391638c, "usbnet_resume" },
	{ 0x8c8e3ed3, "usbnet_get_endpoints" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xea85fd53, "netif_set_tso_max_size" },
	{ 0xe5fbb2fe, "mii_ethtool_gset" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0x88e3b653, "usbnet_probe" },
	{ 0xacac055c, "usbnet_open" },
	{ 0x2712f5e6, "usbnet_stop" },
	{ 0x20aae427, "usbnet_start_xmit" },
	{ 0xf168149d, "eth_validate_addr" },
	{ 0x614c0657, "usbnet_tx_timeout" },
	{ 0xab91c289, "dev_get_tstats64" },
	{ 0xcd2f8cc5, "usbnet_get_msglevel" },
	{ 0x28638e68, "usbnet_set_msglevel" },
	{ 0xd4b830bc, "usbnet_nway_reset" },
	{ 0x8ab3b8e8, "ethtool_op_get_link" },
	{ 0xdbc14ea6, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc00b3004, "pskb_expand_head" },
	{ 0x6abfd47c, "skb_push" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xf805a23b, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa0748fef, "usbnet_read_cmd" },
	{ 0x339a7481, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe21688f5, "mii_ethtool_set_link_ksettings" },
	{ 0xc1bc5e36, "mii_ethtool_get_link_ksettings" },
	{ 0x9805befc, "generic_mii_ioctl" },
	{ 0x7224eaa7, "usb_register_driver" },
	{ 0x2045c05, "usbnet_disconnect" },
	{ 0x37b3bece, "usb_deregister" },
	{ 0x3909f47d, "usbnet_link_change" },
	{ 0x2af6572f, "netdev_info" },
	{ 0xc8ff282c, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xfff43ae8, "skb_trim" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x69d7c0f5, "usbnet_skb_return" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x2b0930a1, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe72cbedc, "usbnet_write_cmd" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb383ba09, "netdev_err" },
	{ 0x4c8aa5c4, "__dynamic_netdev_dbg" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "27FBDDB0E5DCFD79B7066BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
