#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(orinoco_open, "", "");
KSYMTAB_FUNC(orinoco_stop, "", "");
KSYMTAB_FUNC(orinoco_set_multicast_list, "", "");
KSYMTAB_FUNC(orinoco_change_mtu, "", "");
KSYMTAB_FUNC(orinoco_process_xmit_skb, "", "");
KSYMTAB_FUNC(orinoco_tx_timeout, "", "");
KSYMTAB_FUNC(__orinoco_ev_rx, "", "");
KSYMTAB_FUNC(__orinoco_ev_info, "", "");
KSYMTAB_FUNC(orinoco_interrupt, "", "");
KSYMTAB_FUNC(orinoco_init, "", "");
KSYMTAB_FUNC(alloc_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_if_add, "", "");
KSYMTAB_FUNC(orinoco_if_del, "", "");
KSYMTAB_FUNC(free_orinocodev, "", "");
KSYMTAB_FUNC(orinoco_up, "", "");
KSYMTAB_FUNC(orinoco_down, "", "");
KSYMTAB_FUNC(hermes_struct_init, "", "");

SYMBOL_CRC(orinoco_open, 0x3bf5cdba, "");
SYMBOL_CRC(orinoco_stop, 0x7732032a, "");
SYMBOL_CRC(orinoco_set_multicast_list, 0x623e6697, "");
SYMBOL_CRC(orinoco_change_mtu, 0x1db72482, "");
SYMBOL_CRC(orinoco_process_xmit_skb, 0xd2edc4d7, "");
SYMBOL_CRC(orinoco_tx_timeout, 0x58d8dd9a, "");
SYMBOL_CRC(__orinoco_ev_rx, 0xd0b4d982, "");
SYMBOL_CRC(__orinoco_ev_info, 0x6bd691c3, "");
SYMBOL_CRC(orinoco_interrupt, 0xffe27bca, "");
SYMBOL_CRC(orinoco_init, 0x2ad25dde, "");
SYMBOL_CRC(alloc_orinocodev, 0x30475cfb, "");
SYMBOL_CRC(orinoco_if_add, 0x1d1875cd, "");
SYMBOL_CRC(orinoco_if_del, 0x838b8d3a, "");
SYMBOL_CRC(free_orinocodev, 0x3972a6e1, "");
SYMBOL_CRC(orinoco_up, 0xaff290e5, "");
SYMBOL_CRC(orinoco_down, 0x38b45bd7, "");
SYMBOL_CRC(hermes_struct_init, 0xa74c2dc5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x2b63e6a0, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xa68dc2fb, "crypto_shash_setkey" },
	{ 0x9afd5ffc, "cfg80211_wext_giwfrag" },
	{ 0x6abfd47c, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd3a7d8a8, "wireless_send_event" },
	{ 0x7ad9a0a, "register_netdev" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe0917015, "free_netdev" },
	{ 0x50082240, "iw_handler_get_spy" },
	{ 0x2cf7f8fb, "crypto_shash_update" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x690ef18e, "netif_tx_wake_queue" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd91b0318, "wireless_spy_update" },
	{ 0xd4d6d902, "netif_rx" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0xfff43ae8, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6b4db445, "cfg80211_wext_siwmode" },
	{ 0x576688e7, "_dev_notice" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0xce68f63e, "crypto_shash_final" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb6336ebc, "cfg80211_wext_giwretry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x94e7a8e3, "netif_carrier_off" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xaed01267, "cfg80211_wext_siwscan" },
	{ 0x3e6677a6, "netif_carrier_on" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x92803f0d, "cfg80211_inform_bss_data" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe49ac0ce, "param_ops_int" },
	{ 0xe5e4d120, "crypto_alloc_shash" },
	{ 0xc8bbb7fb, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x212b92eb, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xae5f8778, "alloc_etherdev_mqs" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xa6325602, "eth_mac_addr" },
	{ 0x894fb3fd, "skb_put" },
	{ 0xcac5ba59, "cfg80211_scan_done" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xc8f9a9c4, "cfg80211_wext_siwfrag" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8f70af26, "unregister_netdev" },
	{ 0x407317f2, "cfg80211_wext_giwrts" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0x4fb39724, "cfg80211_wext_giwscan" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa3c18ccb, "cfg80211_wext_giwname" },
	{ 0x37a0cba, "kfree" },
	{ 0x69a7dbe4, "iw_handler_set_spy" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xf168149d, "eth_validate_addr" },
	{ 0x137e8754, "dev_kfree_skb_irq_reason" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3949427d, "cfg80211_wext_giwmode" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2a9c7bcb, "cfg80211_wext_giwrange" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0xb488308f, "crypto_destroy_tfm" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x77969cd4, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x848d372e, "iowrite8" },
	{ 0x7c4d83e3, "iw_handler_get_thrspy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc16cc4f7, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xb468d85c, "cfg80211_put_bss" },
	{ 0x84ab5ea6, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x2c671941, "cfg80211_wext_siwrts" },
	{ 0xacabad65, "netif_device_attach" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "B1B647A019CEB604DA8EB41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
