#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0xe765e26e, "_gpl");
SYMBOL_CRC(mt76s_rr, 0xc801bfad, "_gpl");
SYMBOL_CRC(mt76s_wr, 0xda8bc178, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x8e4d2d86, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xf4a6a6d0, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0x47d80b20, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0xb5e4163d, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xdf0579e1, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0x0b3d7edb, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x6a4c5b59, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0x27384ddf, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xdf3c9dfd, "_gpl");
SYMBOL_CRC(mt76s_init, 0x568cc982, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xc8e33b1a, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0x6f5702d4, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0x7db27ab8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x568c1556, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc4a09ed0, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc00b3004, "pskb_expand_head" },
	{ 0x55f1cbc4, "mt76_tx_status_check" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b76b1e8, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd91c033f, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf53b98fb, "sdio_readsb" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xda93e8bb, "__SCK__tp_func_dev_irq" },
	{ 0xf78988f7, "sdio_readl" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbb5c3a99, "kthread_stop" },
	{ 0x49b7fa74, "__alloc_pages" },
	{ 0xd62f3478, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x82cb4334, "mt76_queue_tx_complete" },
	{ 0x8fda7168, "kthread_create_on_node" },
	{ 0xd4dbbe2b, "__tracepoint_dev_irq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xeff66d3c, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd03da477, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xcc472b38, "sdio_claim_irq" },
	{ 0x5960b942, "mt76_skb_adjust_pad" },
	{ 0xa4efa064, "sdio_enable_func" },
	{ 0x1e060fb6, "sdio_writesb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x19c13e9d, "sdio_release_host" },
	{ 0xa6246dc5, "sdio_disable_func" },
	{ 0xfad2e72, "sdio_set_block_size" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x16f46723, "sdio_claim_host" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "mt76,mmc_core");


MODULE_INFO(srcversion, "AA117E2B53EB7C5F85743D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
