#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_mac_sta_add, 0xd691b719, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x57549a31, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xed3b31ba, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0x42ad0814, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x1a52f2c6, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0xee31011b, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0x48c6e39b, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0xeca044f9, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xcdc67380, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0xc84a38aa, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x03aa57ca, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x422a419b, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xfeb2f64d, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0xe77df062, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x430abd9e, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0x5f60fcb6, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0x9a886afd, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0xcf9f0d01, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0x309e01a2, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x3c1a8c26, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xe529d591, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0x179a0c03, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0x93cc7e0e, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x45d51da0, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x6b6e8b6a, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xc4b104f0, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0x099bcea4, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xa870bb59, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x8dd2d63c, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0xf37f11f8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x585d1c47, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x603928a7, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0x72f349c3, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xe942a981, "mt76_rx" },
	{ 0x920bf342, "mt76_connac_mcu_sched_scan_req" },
	{ 0x29559771, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0x8c6feda3, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbc659625, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xf853c64c, "wiphy_to_ieee80211_hw" },
	{ 0xe94d9091, "debugfs_attr_read" },
	{ 0xf0252db8, "mt76_connac_mcu_hw_scan" },
	{ 0x97185431, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe4c11bdc, "ieee80211_queue_delayed_work" },
	{ 0x2888ceba, "mt76_eeprom_init" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xf1a62581, "simple_open" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x408ddbba, "debugfs_create_file_unsafe" },
	{ 0x94d638d0, "mt76_mcu_skb_send_and_get_msg" },
	{ 0xaaca8d59, "simple_attr_release" },
	{ 0x249e8fb3, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x235324da, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xc3152aeb, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xcb339019, "mt76_set_channel" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x6c60ea92, "ieee80211_wake_queues" },
	{ 0xd18a7a6f, "mt76_mcu_send_and_get_msg" },
	{ 0x42aa2d46, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4f4f1262, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4512a21d, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x940cd8e1, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x25ea93dc, "mt76_connac_pm_dequeue_skbs" },
	{ 0xa6723791, "mt76_connac_mcu_set_pm" },
	{ 0xfa9d4ca9, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x9a4bab2e, "devm_hwmon_device_register_with_groups" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x9448cd0c, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x471d5877, "debugfs_create_u32" },
	{ 0xbd390389, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf0523d13, "__SCK__tp_func_mac_txdone" },
	{ 0xfefd9e68, "mt76_sta_state" },
	{ 0x31d73285, "ieee80211_ready_on_channel" },
	{ 0x2e046249, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3a974887, "mt76_connac_mcu_init_download" },
	{ 0x983870db, "devm_kasprintf" },
	{ 0xdb43b32d, "cfg80211_reg_can_beacon" },
	{ 0x86414d44, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe2342294, "mt76_connac_mcu_add_nested_tlv" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xd1a73611, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0x11da7cbf, "mt76_get_rate_power_limits" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0xd9e68882, "ieee80211_sched_scan_results" },
	{ 0x669f3568, "ieee80211_scan_completed" },
	{ 0x684b3c6a, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1593d809, "mt76_insert_ccmp_hdr" },
	{ 0x90b50997, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x48adf3bb, "mt76_sw_scan_complete" },
	{ 0x9634e9b3, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdbf71612, "mt76_connac_mcu_start_firmware" },
	{ 0x2dfe07e8, "____mt76_poll_msec" },
	{ 0x34684979, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x866a523f, "mt76_connac_mcu_rdd_cmd" },
	{ 0x3286759b, "seq_printf" },
	{ 0xda59b49a, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5b63d9be, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x9d63165d, "mt76_unregister_phy" },
	{ 0xd845bebf, "mt76_register_phy" },
	{ 0xd6a8e2fb, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x293cd9ed, "mt76_put_txwi" },
	{ 0x22dc2cf6, "mt76_wcid_cleanup" },
	{ 0x3294a6e4, "seq_puts" },
	{ 0xbfb472f4, "ieee80211_radar_detected" },
	{ 0x28223b8e, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xa17158c5, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x633cee0c, "single_release" },
	{ 0x8b817ae3, "mt76_sw_scan" },
	{ 0xab744dd1, "mt76_queues_read" },
	{ 0xb26148b4, "mt76_connac_mcu_set_hif_suspend" },
	{ 0xae74a90a, "mt76_sta_pre_rcu_remove" },
	{ 0xaf9ffe5b, "mt76_register_debugfs_fops" },
	{ 0xbd685f0a, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x444db2cb, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x39108053, "mt76_connac_mcu_sta_ba" },
	{ 0xc51d5af6, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0x543e7a9b, "ieee80211_queue_work" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0x33358ff5, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0x6b695bc7, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xe5a93a8c, "__mt76_poll" },
	{ 0x9274ef2c, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5bdcfaa8, "debugfs_create_u8" },
	{ 0xe9b4775d, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0x301aedd5, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x59d79a4a, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xdf6ed11c, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xc72b389e, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1f617a87, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x7013e451, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x3e94610c, "ieee80211_sta_register_airtime" },
	{ 0x291b6549, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x56bb4d45, "mt76_connac_mcu_sta_tlv" },
	{ 0xbea4dece, "device_set_wakeup_enable" },
	{ 0x4f7fddca, "mt76_tx_worker_run" },
	{ 0xdf8e4e4a, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb35f8c68, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd09fe31a, "simple_attr_open" },
	{ 0x8dba2246, "ieee80211_iterate_interfaces" },
	{ 0x61524209, "debugfs_attr_write" },
	{ 0x72b821c1, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x102e6480, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x79f4737a, "firmware_request_nowarn" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x59bed14e, "mt76_tx_status_skb_get" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0x4044abf9, "mt76_tx_status_lock" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0xb2485cbb, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x179ee431, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbb790ddd, "ieee80211_free_hw" },
	{ 0xba890a22, "mt76_connac_mcu_set_channel_domain" },
	{ 0xdca0e04a, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xbb2bae15, "mt76_release_buffered_frames" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0xf9e29de8, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99a7b69d, "__tracepoint_mac_txdone" },
	{ 0xf0e5aeef, "mt76_connac_pm_wake" },
	{ 0x6bd728a, "mt76_get_rate" },
	{ 0xe3520dae, "mt76_wake_tx_queue" },
	{ 0xc5330c4c, "ieee80211_tx_status_ext" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf08704cd, "mt76_connac_mcu_chip_config" },
	{ 0x51451520, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x906690e7, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x519625b7, "__mt76_tx_complete_skb" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x3aebcb13, "mt76_set_stream_caps" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6b938fad, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xaa661086, "mt76_connac_mcu_update_arp_filter" },
	{ 0x3c0b92a9, "mt76_connac_mcu_set_vif_ps" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x690e8e4f, "mt76_mcu_rx_event" },
	{ 0x9a8d47fe, "mt76_alloc_phy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x78fd990e, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c76b26e, "mt76_wcid_init" },
	{ 0x55f1cbc4, "mt76_tx_status_check" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0xaaf4a54b, "mt76_connac_free_pending_tx_skbs" },
	{ 0x28812f91, "skb_queue_purge_reason" },
	{ 0x18150ee2, "mt76_connac_power_save_sched" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4828f497, "ieee80211_send_bar" },
	{ 0x3c46a59f, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x4496ef69, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf0f9aa4e, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x1170ca76, "mt76_tx" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xd91c033f, "__alloc_skb" },
	{ 0x99002d63, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "FE907A7A3730CED7624F810");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
