#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xb870ae79, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x43ad2787, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x3a208ee2, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x954fbd04, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x455fda5f, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0x39b04626, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xfd4c7d1e, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xab343301, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0x9cbe7892, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x40f6f83b, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0x6fed2484, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x90ae4341, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0xbc6d2ca3, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xae54f330, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x85fbeec7, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x6b1d2145, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x98ab2bad, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0xfd1c39ef, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0xb1155127, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x36f45610, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf81fb6b2, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6996639, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x60bf192, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x2888ceba, "mt76_eeprom_init" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4dfcb3e, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xd18a7a6f, "mt76_mcu_send_and_get_msg" },
	{ 0x4f4f1262, "mt76_eeprom_override" },
	{ 0x9d68b7e6, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5b63d9be, "mt76_get_sar_power" },
	{ 0xb5ace783, "mt76x02_eeprom_copy" },
	{ 0x7d98a2f5, "mt76x02_mcu_calibrate" },
	{ 0x5e77b3dd, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x59d79a4a, "mt76_get_min_avg_rssi" },
	{ 0xdf8e4e4a, "mt76_init_sar_power" },
	{ 0xa25c1b44, "mt76x02_phy_adjust_vga_gain" },
	{ 0x6956a6e7, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
