#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98ab2bad, "mt76x2_mcu_set_channel" },
	{ 0x20f95e98, "mt76x02_dma_disable" },
	{ 0x65ab52ac, "mt76x02_mcu_set_radio_state" },
	{ 0xe3520dae, "mt76_wake_tx_queue" },
	{ 0xdc93062c, "mt76x02e_init_beacon_config" },
	{ 0x51451520, "mt76_get_antenna" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x3aebcb13, "mt76_set_stream_caps" },
	{ 0x6fed2484, "mt76x2_apply_gain_adj" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x99dab994, "pci_set_power_state" },
	{ 0x63af9ae8, "mt76x02_sta_ps" },
	{ 0xfd4c7d1e, "mt76x2_set_sar_specs" },
	{ 0xdda241f2, "mt76x02_sta_rate_tbl_update" },
	{ 0x3d79a85a, "kthread_park" },
	{ 0x625a8ce6, "mt76_dma_cleanup" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc956d0dc, "mt76x02_reconfig_complete" },
	{ 0x132150eb, "mt76_alloc_device" },
	{ 0xeb4fb5f1, "wake_up_process" },
	{ 0xa920e627, "mt76x02_mac_shared_key_setup" },
	{ 0xf81fb6b2, "mt76x02_ext_pa_enabled" },
	{ 0x72d04157, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39b04626, "mt76x2_mac_stop" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf4815146, "mt76x02_set_tx_ackto" },
	{ 0xdb436550, "mt76x02_update_channel" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0xae54f330, "mt76x2_configure_tx_delay" },
	{ 0x2ff7e1b5, "mt76_pci_disable_aspm" },
	{ 0x5c30a663, "_dev_info" },
	{ 0xcaef1d63, "mt76x02_configure_filter" },
	{ 0x28071e76, "mt76_free_device" },
	{ 0x78bc52f2, "mt76x02_queue_rx_skb" },
	{ 0xc4bf8526, "kthread_unpark" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x50818ee, "pcim_iomap_regions" },
	{ 0xe4c11bdc, "ieee80211_queue_delayed_work" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xeedbf021, "mt76x02_rx_poll_complete" },
	{ 0x4d908180, "mt76x02_mac_setaddr" },
	{ 0xba31b61e, "mt76_register_device" },
	{ 0xd4af96d3, "mt76_set_tim" },
	{ 0x203c2d, "mt76x02_sw_scan_complete" },
	{ 0x1e125bfd, "mt76x02_phy_set_bw" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xfe03ac07, "mt76x02_phy_set_band" },
	{ 0xcb339019, "mt76_set_channel" },
	{ 0xba9add14, "mt76x02_init_device" },
	{ 0xc6425e62, "napi_enable" },
	{ 0xd0c5dd2a, "mt76x02_tx" },
	{ 0x1c35665d, "mt76_mmio_init" },
	{ 0x6c60ea92, "ieee80211_wake_queues" },
	{ 0xe0d62f42, "mt76x02_sta_remove" },
	{ 0xe52c8c9c, "mt76x02_edcca_init" },
	{ 0x455fda5f, "mt76x2_eeprom_init" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x934fe292, "mt76x02_sta_add" },
	{ 0x2f2b6e2a, "mt76_unregister_device" },
	{ 0xfd1c39ef, "mt76x2_mcu_load_cr" },
	{ 0x6a1881e0, "pci_restore_state" },
	{ 0x40f6f83b, "mt76x2_init_txpower" },
	{ 0x21439418, "mt76x02_init_debugfs" },
	{ 0xfa9d4ca9, "mt76_get_survey" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb1155127, "mt76x2_mcu_init_gain" },
	{ 0xaa07802f, "mt76x02_set_rts_threshold" },
	{ 0x4f1dbc60, "mt76x02_tx_complete_skb" },
	{ 0xfefd9e68, "mt76_sta_state" },
	{ 0x4b640941, "mt76x02_mcu_msg_send" },
	{ 0x85fbeec7, "mt76x2_phy_tssi_compensate" },
	{ 0x2e046249, "ieee80211_stop_queues" },
	{ 0xc4c866ba, "mt76x02_mac_cc_reset" },
	{ 0xc3f286f7, "mt76x02_bss_info_changed" },
	{ 0x93c65f59, "mt76x02_init_agc_gain" },
	{ 0x6b1d2145, "mt76x2_phy_update_channel_gain" },
	{ 0x6d68c8cf, "pci_enable_wake" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x156b8e4b, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x17d146e0, "mt76x02_add_interface" },
	{ 0x2dfe07e8, "____mt76_poll_msec" },
	{ 0xf403eb65, "mt76x02_dfs_init_params" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xacd54fa7, "mt76x02_config_mac_addr_list" },
	{ 0x5b63d9be, "mt76_get_sar_power" },
	{ 0x74e0a689, "mt76x02_tx_prepare_skb" },
	{ 0xd0fb3f45, "mt76x02_mcu_cleanup" },
	{ 0x197daabe, "mt76x02_ampdu_action" },
	{ 0x7d98a2f5, "mt76x02_mcu_calibrate" },
	{ 0xfab7e76f, "mt76x02_conf_tx" },
	{ 0xe1cf5a9d, "mt76x02_mcu_function_select" },
	{ 0x1a7eabee, "dma_set_mask" },
	{ 0x8b817ae3, "mt76_sw_scan" },
	{ 0xae74a90a, "mt76_sta_pre_rcu_remove" },
	{ 0xc79aa729, "pcim_iomap_table" },
	{ 0x954fbd04, "mt76x2_get_temp_comp" },
	{ 0x56d2fd22, "mt76x02_mac_wcid_setup" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0xf31eee32, "napi_disable" },
	{ 0xe5a93a8c, "__mt76_poll" },
	{ 0xb870ae79, "mt76x2_read_rx_gain" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa92301e1, "pcim_enable_device" },
	{ 0x90ae4341, "mt76x2_phy_set_txpower_regs" },
	{ 0xbc6d2ca3, "mt76x2_phy_set_txpower" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0x7ab37d3e, "mt76x02_mac_start" },
	{ 0x62ae541, "mt76x02_remove_interface" },
	{ 0x59c9f7c3, "mt76x02_dma_init" },
	{ 0xba98aca2, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5428e2f2, "devm_request_threaded_irq" },
	{ 0x96033cd9, "pci_choose_state" },
	{ 0x6a84cc6f, "mt76x02_set_ethtool_fwver" },
	{ 0xb216d4d1, "mt76x02_tx_set_txpwr_auto" },
	{ 0x1ca9381a, "mt76x02_set_key" },
	{ 0xbc341484, "mt76x02_mcu_parse_response" },
	{ 0xbb2bae15, "mt76_release_buffered_frames" },
	{ 0x8884eb4e, "request_firmware" },
	{ 0xf9e29de8, "mt76_get_txpower" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0x9cbe7892, "mt76_write_mac_initvals" },
	{ 0xab343301, "mt76x2_reset_wlan" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211");

MODULE_ALIAS("pci:v000014C3d00007662sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007612sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007602sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "F27838563C06DA6D82A9F81");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
