#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x5ed608b2, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0x9996714c, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x3286764c, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0x247f185b, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x7508d42f, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x757fbad2, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x9b561c92, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xa40538c0, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x108e5d0d, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x2b328702, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xeac3a87d, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0xab71c7c8, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xa8586973, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x57f8e866, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xfb90fc8f, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x11403fa6, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xc87568b4, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0xdd4d03b0, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xdd3a1d1a, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xe3d29e29, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xa2fee60f, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x719f5549, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x2e150dc8, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x8572b265, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x58ce45da, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x064d36c2, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xefe38de2, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x9247feb9, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x1fb6b20e, "_gpl");
SYMBOL_CRC(rt2800_config, 0xf2364353, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x81108c94, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x033fb19a, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x0db65213, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x17fd03e4, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0xcc4b9af8, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x43fd30fc, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0x8de4f92c, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xac2f2d17, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0x86348c17, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x412ee775, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xd56667aa, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0xe9f2577e, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xa04458a8, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x60ed3e6a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x43e62b6, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x84c54bc5, "rt2x00mac_conf_tx" },
	{ 0x72f349c3, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6abfd47c, "skb_push" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0xd64a122, "__skb_pad" },
	{ 0xe0e4e0ad, "rt2x00lib_txdone_noinfo" },
	{ 0xdb9b3b3d, "ieee80211_restart_hw" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x200915dc, "rt2x00lib_set_mac_address" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x84ce8494, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x671e949a, "rt2x00lib_txdone" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xd3e36129, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "C4A7C108BE26B9366EE3D16");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
