#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x621a4851, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0x04436e47, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x7d53d537, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0xcefd9b39, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0x716d8bc9, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0xbd391cbf, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x65fa371a, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x8c6e3ba1, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0x86046cc9, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x4028ef84, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0x7de15f3b, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0xb1ae0ea7, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x761ff4ff, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x818004b9, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0x1838c5cb, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0xcd7d2158, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd4cca7c7, "usb_control_msg" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1c208af1, "usb_anchor_urb" },
	{ 0xd672a31e, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xb0111a03, "usb_unanchor_urb" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x692261b5, "usb_alloc_urb" },
	{ 0x9355a431, "usb_free_urb" },
	{ 0x9f7cd205, "rt2x00lib_dmastart" },
	{ 0x226cd3d1, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd64a122, "__skb_pad" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5d9fc2f4, "rt2x00queue_for_each_entry" },
	{ 0x1f8cd0a7, "usb_kill_urb" },
	{ 0xd3e36129, "rt2x00queue_get_entry" },
	{ 0x52217577, "rt2x00queue_stop_queue" },
	{ 0xec4ca1d3, "rt2x00queue_flush_queue" },
	{ 0xdb436278, "rt2x00queue_start_queue" },
	{ 0xe0e4e0ad, "rt2x00lib_txdone_noinfo" },
	{ 0x911ad780, "rt2x00lib_rxdone" },
	{ 0xd045657c, "rt2x00lib_suspend" },
	{ 0x2f5d550b, "rt2x00lib_resume" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc64d4dbc, "rt2x00lib_remove_dev" },
	{ 0xbb790ddd, "ieee80211_free_hw" },
	{ 0x3157f2fa, "usb_put_dev" },
	{ 0xea1fdf92, "usb_get_dev" },
	{ 0xab3787a7, "usb_reset_device" },
	{ 0x27af314a, "ieee80211_alloc_hw_nm" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5fcfc063, "rt2x00lib_probe_dev" },
	{ 0x122c3a7e, "_printk" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "67708E3B0DC0029635F7F52");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
