#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x43a1a395, "");
SYMBOL_CRC(rtw_pci_probe, 0xaae30069, "");
SYMBOL_CRC(rtw_pci_remove, 0xb2238668, "");
SYMBOL_CRC(rtw_pci_shutdown, 0xaff178cc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6c47834, "rtw_chip_info_setup" },
	{ 0xd18d3c3f, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf6002cf4, "rtw_unregister_hw" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x83298b2a, "rtw_tx_fill_tx_desc" },
	{ 0x6abfd47c, "skb_push" },
	{ 0xfc289286, "dma_alloc_attrs" },
	{ 0xc6425e62, "napi_enable" },
	{ 0x46fba790, "rtw_core_init" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x27af314a, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5222d5c6, "pci_iounmap" },
	{ 0xcff15a47, "dma_sync_single_for_cpu" },
	{ 0x2e62e031, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x48637fc1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc714d95c, "ieee80211_stop_queue" },
	{ 0x8446ed5, "__netdev_alloc_skb" },
	{ 0x2c25dcab, "rtw_rx_stats" },
	{ 0xa6de81ce, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x116ad3e1, "rtw_register_hw" },
	{ 0x6ba566cb, "dma_free_attrs" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x8b54ea6d, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4249cb3f, "ieee80211_unregister_hw" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7081d5e7, "rtw_core_deinit" },
	{ 0x5c150e75, "rtw_ops" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x7f85e814, "napi_schedule_prep" },
	{ 0xf31eee32, "napi_disable" },
	{ 0x78b83e12, "dev_kfree_skb_any_reason" },
	{ 0x4312ac57, "rtw_power_mode_change" },
	{ 0xff4f746b, "rtw_tx_write_data_h2c_get" },
	{ 0x566f67b6, "pci_free_irq_vectors" },
	{ 0xa7c197f8, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0x5151ba4d, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0x663c2fa2, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1916ff5c, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x955b622f, "rtw_tx_queue_mapping" },
	{ 0xe6e7a967, "pcie_capability_read_word" },
	{ 0x5428e2f2, "devm_request_threaded_irq" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0x1da81562, "pci_iomap" },
	{ 0x695fda7e, "pci_alloc_irq_vectors" },
	{ 0x1d73a2df, "netif_napi_add_weight" },
	{ 0xed1cd8c2, "skb_dequeue" },
	{ 0xbb790ddd, "ieee80211_free_hw" },
	{ 0xaeb189ee, "dma_unmap_page_attrs" },
	{ 0xa614941a, "dma_sync_single_for_device" },
	{ 0xee0537fe, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0x137e8754, "dev_kfree_skb_irq_reason" },
	{ 0x99dab994, "pci_set_power_state" },
	{ 0xbf1721d8, "__netif_napi_del" },
	{ 0x9c4d47bb, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcc7cbac5, "dma_map_page_attrs" },
	{ 0xf741ba, "napi_complete_done" },
	{ 0x25ab8485, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9cfacb6b, "devm_free_irq" },
	{ 0x7527ae6c, "__napi_schedule" },
	{ 0x553e1a71, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "90DC99D9FC974C42492204B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
