#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0x1f651711, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0x4e08896a, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0xce6f9888, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x02e24e40, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0x8db7d6e3, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xef5d42ab, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0x421b0dad, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0xb247b422, "");
SYMBOL_CRC(nd_device_notify, 0x857ff84d, "");
SYMBOL_CRC(nvdimm_region_notify, 0x76b543f5, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0xc338126a, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xbdcade3e, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0x96705685, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x99f179c7, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xe2171e6b, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0x0a691ba2, "");
SYMBOL_CRC(nd_device_unregister, 0x90e4b165, "");
SYMBOL_CRC(__nd_driver_register, 0x4684caf4, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xf024dbbd, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x31cd90c7, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xbfa5db63, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x08db0a04, "_gpl");
SYMBOL_CRC(to_ndd, 0x0fcc4c22, "");
SYMBOL_CRC(nvdimm_name, 0x27a9d2fb, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0xa31a9362, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x034ffe24, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0x2e9f72cd, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0x5342265b, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x5d4567bf, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0xae78a830, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0xdb32a203, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0x378e37c0, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x8403bd16, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x0a279460, "_gpl");
SYMBOL_CRC(to_nd_region, 0x9339cbf3, "_gpl");
SYMBOL_CRC(nd_region_dev, 0xe66a82dd, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x7fd9ee4f, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x62ef9cb9, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xa5b3bdc1, "");
SYMBOL_CRC(nd_region_release_lane, 0xe53183ca, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x3f09fb7c, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x94a04b41, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x20576cec, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x43e48fc7, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x8b8d414e, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0xe2ffba04, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xbbb5a5cc, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x4c6a762b, "");
SYMBOL_CRC(pmem_sector_size, 0x6933700b, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0xfe72e784, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x159f00c1, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x21a697b1, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x09c51326, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0xf130a720, "");
SYMBOL_CRC(devm_namespace_enable, 0x381a111e, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x4aaa8006, "_gpl");
SYMBOL_CRC(badrange_init, 0x11e06ee9, "_gpl");
SYMBOL_CRC(badrange_add, 0x2e08226d, "_gpl");
SYMBOL_CRC(badrange_forget, 0x82092899, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0x877fba73, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0xc21bb938, "");
SYMBOL_CRC(is_nd_btt, 0x5ffb7ab3, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x435cb7b3, "");
SYMBOL_CRC(nd_btt_version, 0x7f2e15dc, "");
SYMBOL_CRC(nd_btt_probe, 0x5f10a326, "");
SYMBOL_CRC(to_nd_pfn, 0x628bc014, "");
SYMBOL_CRC(is_nd_pfn, 0xeab8377f, "");
SYMBOL_CRC(nd_pfn_validate, 0x9f7650bf, "");
SYMBOL_CRC(nd_pfn_probe, 0x08cffe97, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0xb749ef9d, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x99ee773e, "");
SYMBOL_CRC(is_nd_dax, 0xe482e431, "");
SYMBOL_CRC(nd_dax_probe, 0x6b0ef521, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x3dabf86c, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xdde37b03, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x3b237637, "__devm_release_region" },
	{ 0x35e46703, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x25cd0437, "kernfs_put" },
	{ 0xf73795a3, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb4ec0d13, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x14cc1366, "badblocks_check" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x7c794db9, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x52148323, "badblocks_clear" },
	{ 0x39e6b258, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xe28c510b, "driver_register" },
	{ 0x19ac0ff7, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x5051d10, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2b21714c, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd4f52788, "blk_integrity_register" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x9f59fbb2, "devm_memremap" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9f5d7191, "badblocks_set" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x744872dc, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0xb63301e4, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x78a8d221, "badblocks_exit" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xb39f40a6, "device_for_each_child" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0x67b7305d, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xed4f4ba3, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa44ac586, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x482683b5, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x8fa8aca1, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x77dc14ac, "put_device" },
	{ 0xdc7e501, "badblocks_show" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x40acce40, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x95082fed, "compat_ptr_ioctl" },
	{ 0x2fc090aa, "perf_pmu_migrate_context" },
	{ 0x9dfedd14, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x667b7993, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x53913146, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x97fa317c, "__cpuhp_setup_state" },
	{ 0xd233d20c, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x3c718401, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xa416b71c, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x492a8cdb, "class_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x66dc0f74, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0xaa87cf19, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x84e1e6b, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BD53684D2927F09AC208F7E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
