#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(san_client_link, "_gpl", "");
KSYMTAB_FUNC(san_dgpu_notifier_register, "_gpl", "");
KSYMTAB_FUNC(san_dgpu_notifier_unregister, "_gpl", "");

SYMBOL_CRC(san_client_link, 0x5a4d18bd, "_gpl");
SYMBOL_CRC(san_dgpu_notifier_register, 0x48cf4c48, "_gpl");
SYMBOL_CRC(san_dgpu_notifier_unregister, 0xd60bd773, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38c8d139, "_dev_err" },
	{ 0x69acdf38, "memcpy" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x3ad7a5d5, "acpi_evaluate_reference" },
	{ 0xaebd12f0, "acpi_get_name" },
	{ 0x37a0cba, "kfree" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x27d41fad, "ssam_client_bind" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0xdbcf041a, "acpi_install_address_space_handler" },
	{ 0xb3d1acf7, "ssam_notifier_register" },
	{ 0x92e26bf, "acpi_remove_address_space_handler" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xf838f086, "acpi_dev_clear_dependencies" },
	{ 0xbec61437, "__ssam_notifier_unregister" },
	{ 0xa6ba4cfe, "platform_driver_unregister" },
	{ 0x9d731520, "acpi_fetch_acpi_dev" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x9e66bbfc, "ssam_request_do_sync_with_buffer" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x668b19a1, "down_read" },
	{ 0x5d47eef3, "device_link_add" },
	{ 0x53b954a2, "up_read" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7c784add, "__platform_driver_register" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "surface_aggregator");

MODULE_ALIAS("acpi*:MSHW0091:*");

MODULE_INFO(srcversion, "A7349A8711248D2434BB0D4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
