#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xaa63cda5, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x514b9d28, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xf777b4bd, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x563dab46, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xbcfa7c40, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x5298ce71, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x4b34962d, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x676a44ec, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xd179f5f8, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x94ce8e0b, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x76fc8dcb, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x92bb7909, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xec8f9308, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x4331a7f3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x553b9130, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x348fb2ff, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x253ea5d2, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x52536d3a, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xbf01e573, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xbd5a7cbd, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x69aed080, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x565deaf0, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x465543ae, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x48b0b40c, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xbdb32428, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x3ba79ff4, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xa14188a7, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x7f224ad5, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x66872268, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x81e208e4, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x8d09fa17, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xba7ad009, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x3222770b, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xbc2822a9, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x8cc906fd, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x7d951971, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x33825fb6, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xb5be89a4, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x92b74419, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x1d3419f6, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x1615297f, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0xa8d856bc, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x13327a23, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x392aa8b9, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x11f2b392, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ed8cbf, "iscsi_host_remove" },
	{ 0x9de369c, "pci_dev_put" },
	{ 0xa8edd68b, "iscsi_host_free" },
	{ 0x9a53f7d5, "pci_dev_get" },
	{ 0x14ad500f, "iscsi_host_add" },
	{ 0xe6228be4, "iscsi_host_alloc" },
	{ 0x591ae38c, "scsi_host_put" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3c652e5b, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8b4b79cc, "iscsi_conn_queue_xmit" },
	{ 0x5e4c8365, "__kfree_skb" },
	{ 0x973c8625, "iscsi_tcp_cleanup_task" },
	{ 0x752922cb, "cxgbi_ppm_ppod_release" },
	{ 0xc49eca5, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x9dfc5ed4, "iscsi_tcp_conn_setup" },
	{ 0xbacd995a, "iscsi_session_setup" },
	{ 0x30339ed7, "iscsi_tcp_r2tpool_alloc" },
	{ 0xf1ba263, "iscsi_session_teardown" },
	{ 0x864209a, "iscsi_tcp_r2tpool_free" },
	{ 0xf234eb00, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0x4a853f6d, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x39fd2a05, "iscsi_host_get_param" },
	{ 0x4cc9b016, "iscsi_unregister_transport" },
	{ 0x5a95490a, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xf6985827, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xa0a0d16f, "iscsi_register_transport" },
	{ 0x5bb4d42, "init_net" },
	{ 0x3091ca3, "ip6_route_output_flags" },
	{ 0xf508910d, "iscsi_tcp_set_max_r2t" },
	{ 0x3fe1b245, "iscsi_set_param" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa9d5bcbc, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x73c42de4, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8d73989a, "iscsi_lookup_endpoint" },
	{ 0x4189ab00, "iscsi_conn_bind" },
	{ 0xa17deb1b, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9926ed8e, "iscsi_tcp_hdr_recv_prep" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbb617926, "iscsi_itt_to_ctask" },
	{ 0xd8dac60d, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffe21348, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3afe242a, "__put_devmap_managed_page_refs" },
	{ 0xd03da477, "__folio_put" },
	{ 0x40acce40, "module_put" },
	{ 0x88dc1c1d, "iscsi_destroy_endpoint" },
	{ 0xd91c033f, "__alloc_skb" },
	{ 0xd50d8e46, "cxgbi_ppm_ppods_reserve" },
	{ 0x203f5ff1, "dma_map_sg_attrs" },
	{ 0xe476c109, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xf0a55038, "ipv6_dev_get_saddr" },
	{ 0x33f4536e, "make_kuid" },
	{ 0xbe0342bc, "ip_route_output_flow" },
	{ 0x869e5250, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd6b69d4, "iscsi_create_endpoint" },
	{ 0xeb33164e, "__ip_dev_find" },
	{ 0x894fb3fd, "skb_put" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x62f546fe, "param_ops_uint" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
