#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_bus_type, "_gpl", "");
KSYMTAB_FUNC(__sdw_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdw_bus_master_add, "", "");
KSYMTAB_FUNC(sdw_bus_master_delete, "", "");
KSYMTAB_FUNC(sdw_show_ping_status, "", "");
KSYMTAB_FUNC(sdw_nread_no_pm, "", "");
KSYMTAB_FUNC(sdw_nwrite_no_pm, "", "");
KSYMTAB_FUNC(sdw_write_no_pm, "", "");
KSYMTAB_FUNC(sdw_bread_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_bwrite_no_pm_unlocked, "", "");
KSYMTAB_FUNC(sdw_read_no_pm, "", "");
KSYMTAB_FUNC(sdw_update_no_pm, "", "");
KSYMTAB_FUNC(sdw_update, "", "");
KSYMTAB_FUNC(sdw_nread, "", "");
KSYMTAB_FUNC(sdw_nwrite, "", "");
KSYMTAB_FUNC(sdw_read, "", "");
KSYMTAB_FUNC(sdw_write, "", "");
KSYMTAB_FUNC(sdw_compare_devid, "", "");
KSYMTAB_FUNC(sdw_extract_slave_id, "", "");
KSYMTAB_FUNC(sdw_bus_prep_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_clk_stop, "", "");
KSYMTAB_FUNC(sdw_bus_exit_clk_stop, "", "");
KSYMTAB_FUNC(sdw_handle_slave_status, "", "");
KSYMTAB_FUNC(sdw_clear_slave_status, "", "");
KSYMTAB_FUNC(sdw_slave_add, "", "");
KSYMTAB_FUNC(sdw_master_read_prop, "", "");
KSYMTAB_FUNC(sdw_slave_read_prop, "", "");
KSYMTAB_DATA(sdw_rows, "", "");
KSYMTAB_DATA(sdw_cols, "", "");
KSYMTAB_FUNC(sdw_find_col_index, "", "");
KSYMTAB_FUNC(sdw_find_row_index, "", "");
KSYMTAB_FUNC(sdw_prepare_stream, "", "");
KSYMTAB_FUNC(sdw_enable_stream, "", "");
KSYMTAB_FUNC(sdw_disable_stream, "", "");
KSYMTAB_FUNC(sdw_deprepare_stream, "", "");
KSYMTAB_FUNC(sdw_alloc_stream, "", "");
KSYMTAB_FUNC(sdw_startup_stream, "", "");
KSYMTAB_FUNC(sdw_shutdown_stream, "", "");
KSYMTAB_FUNC(sdw_release_stream, "", "");
KSYMTAB_FUNC(sdw_stream_add_master, "", "");
KSYMTAB_FUNC(sdw_stream_remove_master, "", "");
KSYMTAB_FUNC(sdw_stream_add_slave, "", "");
KSYMTAB_FUNC(sdw_stream_remove_slave, "", "");

SYMBOL_CRC(sdw_bus_type, 0x377f9512, "_gpl");
SYMBOL_CRC(__sdw_register_driver, 0x8bb61982, "_gpl");
SYMBOL_CRC(sdw_unregister_driver, 0xfd685c68, "_gpl");
SYMBOL_CRC(sdw_bus_master_add, 0x95380275, "");
SYMBOL_CRC(sdw_bus_master_delete, 0x03244594, "");
SYMBOL_CRC(sdw_show_ping_status, 0x2579e8a5, "");
SYMBOL_CRC(sdw_nread_no_pm, 0x05094c3c, "");
SYMBOL_CRC(sdw_nwrite_no_pm, 0x67e93180, "");
SYMBOL_CRC(sdw_write_no_pm, 0xa1cc4c52, "");
SYMBOL_CRC(sdw_bread_no_pm_unlocked, 0x2059aced, "");
SYMBOL_CRC(sdw_bwrite_no_pm_unlocked, 0x11987555, "");
SYMBOL_CRC(sdw_read_no_pm, 0x1a6da7d7, "");
SYMBOL_CRC(sdw_update_no_pm, 0xfdec539a, "");
SYMBOL_CRC(sdw_update, 0xe691e3b9, "");
SYMBOL_CRC(sdw_nread, 0x9fc35a93, "");
SYMBOL_CRC(sdw_nwrite, 0x5369a640, "");
SYMBOL_CRC(sdw_read, 0x68fb0de1, "");
SYMBOL_CRC(sdw_write, 0x74953e5e, "");
SYMBOL_CRC(sdw_compare_devid, 0x1869e4ec, "");
SYMBOL_CRC(sdw_extract_slave_id, 0x3ab1ba44, "");
SYMBOL_CRC(sdw_bus_prep_clk_stop, 0xd11dc0d3, "");
SYMBOL_CRC(sdw_bus_clk_stop, 0x04946208, "");
SYMBOL_CRC(sdw_bus_exit_clk_stop, 0xc4184abd, "");
SYMBOL_CRC(sdw_handle_slave_status, 0x1d255b1d, "");
SYMBOL_CRC(sdw_clear_slave_status, 0x4f894e7a, "");
SYMBOL_CRC(sdw_slave_add, 0x677a3f38, "");
SYMBOL_CRC(sdw_master_read_prop, 0x5f64d9d9, "");
SYMBOL_CRC(sdw_slave_read_prop, 0x19dd7822, "");
SYMBOL_CRC(sdw_rows, 0xf53ba0b8, "");
SYMBOL_CRC(sdw_cols, 0xba54b904, "");
SYMBOL_CRC(sdw_find_col_index, 0x60e31fbb, "");
SYMBOL_CRC(sdw_find_row_index, 0x1deee061, "");
SYMBOL_CRC(sdw_prepare_stream, 0x16d1706b, "");
SYMBOL_CRC(sdw_enable_stream, 0xbbec2c2e, "");
SYMBOL_CRC(sdw_disable_stream, 0x4cde88bf, "");
SYMBOL_CRC(sdw_deprepare_stream, 0x71891d59, "");
SYMBOL_CRC(sdw_alloc_stream, 0x9e122d79, "");
SYMBOL_CRC(sdw_startup_stream, 0x3b0a8582, "");
SYMBOL_CRC(sdw_shutdown_stream, 0x6f95b16b, "");
SYMBOL_CRC(sdw_release_stream, 0xda5bce09, "");
SYMBOL_CRC(sdw_stream_add_master, 0x975d14bb, "");
SYMBOL_CRC(sdw_stream_remove_master, 0x86cd4206, "");
SYMBOL_CRC(sdw_stream_add_slave, 0xe223d830, "");
SYMBOL_CRC(sdw_stream_remove_slave, 0xc1800ea3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5be74004, "device_register" },
	{ 0xd19edb16, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x4c4f79b6, "__irq_domain_add" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x983870db, "devm_kasprintf" },
	{ 0x86414d44, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf36a32f9, "fwnode_property_present" },
	{ 0x4589a60d, "debugfs_create_file" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4a356a53, "device_get_named_child_node" },
	{ 0x3286759b, "seq_printf" },
	{ 0xfe3a0923, "irq_create_mapping_affinity" },
	{ 0x633cee0c, "single_release" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x3fc0ce4e, "acpi_dev_for_each_child" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xaad1e4b1, "__pm_runtime_suspend" },
	{ 0x90caf3a6, "irq_set_chip" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x24a126c0, "__pm_runtime_use_autosuspend" },
	{ 0xe9b4775d, "single_open" },
	{ 0x9b39c78c, "__pm_runtime_disable" },
	{ 0xcdb9e148, "debugfs_create_dir" },
	{ 0xe28c510b, "driver_register" },
	{ 0x38c8bf59, "__pm_runtime_idle" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0x5051d10, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x1fbb8911, "device_property_present" },
	{ 0x6197f100, "devm_device_add_groups" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x14eb12f, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9dfee4fd, "device_unregister" },
	{ 0x88b09ca9, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8cadf9bc, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x96848186, "scnprintf" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7e7363e, "seq_lseek" },
	{ 0x1078f771, "dev_pm_domain_attach" },
	{ 0xf32433be, "devm_device_add_group" },
	{ 0xb39f40a6, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcbda73c3, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x724c29fa, "__pm_runtime_set_status" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77dc14ac, "put_device" },
	{ 0xf776981b, "pm_runtime_enable" },
	{ 0x35760152, "device_property_read_u32_array" },
	{ 0xea9270a5, "fwnode_property_read_u32_array" },
	{ 0x82880b19, "dev_pm_domain_detach" },
	{ 0xdf7bba6e, "pm_generic_runtime_suspend" },
	{ 0x53913146, "bus_unregister" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x24b1e5cb, "debugfs_remove" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe5483ead, "driver_unregister" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0666F09C6D217B5B73A6775");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
