#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2ab602d, "xhci_find_slot_id_by_port" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x38c8d139, "_dev_err" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x85837f99, "xhci_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x54131320, "pci_d3cold_disable" },
	{ 0x9257e296, "xhci_update_hub_device" },
	{ 0x5854a773, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x695fda7e, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf732c36, "xhci_dbg_trace" },
	{ 0xd01db652, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6310f9fd, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0xf2d62d0b, "pci_unregister_driver" },
	{ 0xc90ed1b8, "__tracepoint_xhci_dbg_quirks" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xbd5c95c1, "xhci_gen_setup" },
	{ 0x924672dc, "pci_set_mwi" },
	{ 0xd990f5f1, "pci_read_config_byte" },
	{ 0x893b497a, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x9992089c, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x2a80d139, "xhci_resume" },
	{ 0x904f18ae, "usb_enable_intel_xhci_ports" },
	{ 0x831d1884, "__devm_reset_control_get" },
	{ 0xc07d4d30, "usb_hcd_pci_probe" },
	{ 0x514e382d, "usb_create_shared_hcd" },
	{ 0x45e011bf, "xhci_ext_cap_init" },
	{ 0xb77fe76, "renesas_xhci_check_request_fw" },
	{ 0x82382d0c, "usb_add_hcd" },
	{ 0x96033cd9, "pci_choose_state" },
	{ 0xc2db2a85, "pm_runtime_allow" },
	{ 0x7069effa, "usb_hcd_pci_shutdown" },
	{ 0x219f14fc, "usb_hcd_pci_pm_ops" },
	{ 0x87e5b9b, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x742dd6dd, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1f795ca4, "xhci_init_driver" },
	{ 0x1502e128, "__pci_register_driver" },
	{ 0x4f0b3f2c, "usb_hcd_is_primary_hcd" },
	{ 0x8c4e2bb6, "usb_remove_hcd" },
	{ 0x9e9fcf50, "usb_put_hcd" },
	{ 0x28c3ea33, "usb_hcd_pci_remove" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3030f59c, "pm_runtime_forbid" },
	{ 0x99dab994, "pci_set_power_state" },
	{ 0x91b32b4e, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x566f67b6, "pci_free_irq_vectors" },
	{ 0x65773679, "xhci_stop" },
	{ 0x914bfa80, "xhci_shutdown" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "8FF0DDCC84DBBCD9E6B8AC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
