#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_pci_core_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_close_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_finish_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_dev_region, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_ioctl_feature, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_read, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_write, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_mmap, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_request, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_match, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_init_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_release_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_register_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_unregister_device, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_aer_err_detected, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_sriov_configure, "_gpl", "");
KSYMTAB_DATA(vfio_pci_core_err_handlers, "_gpl", "");
KSYMTAB_FUNC(vfio_pci_core_set_params, "_gpl", "");

SYMBOL_CRC(vfio_pci_core_enable, 0x7384608f, "_gpl");
SYMBOL_CRC(vfio_pci_core_disable, 0x8f83351a, "_gpl");
SYMBOL_CRC(vfio_pci_core_close_device, 0x916d58b8, "_gpl");
SYMBOL_CRC(vfio_pci_core_finish_enable, 0xe73af876, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_dev_region, 0xbce5ec41, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl, 0x7ea9d3f0, "_gpl");
SYMBOL_CRC(vfio_pci_core_ioctl_feature, 0x67e91d20, "_gpl");
SYMBOL_CRC(vfio_pci_core_read, 0x3875358b, "_gpl");
SYMBOL_CRC(vfio_pci_core_write, 0x922576f9, "_gpl");
SYMBOL_CRC(vfio_pci_core_mmap, 0x3faa3381, "_gpl");
SYMBOL_CRC(vfio_pci_core_request, 0x9705792e, "_gpl");
SYMBOL_CRC(vfio_pci_core_match, 0x648b4473, "_gpl");
SYMBOL_CRC(vfio_pci_core_init_dev, 0x65f16283, "_gpl");
SYMBOL_CRC(vfio_pci_core_release_dev, 0xc95ac81b, "_gpl");
SYMBOL_CRC(vfio_pci_core_register_device, 0x534344bb, "_gpl");
SYMBOL_CRC(vfio_pci_core_unregister_device, 0x198ea98d, "_gpl");
SYMBOL_CRC(vfio_pci_core_aer_err_detected, 0xe349c05a, "_gpl");
SYMBOL_CRC(vfio_pci_core_sriov_configure, 0xf4428acc, "_gpl");
SYMBOL_CRC(vfio_pci_core_err_handlers, 0x305b2048, "_gpl");
SYMBOL_CRC(vfio_pci_core_set_params, 0x4cf699b8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec231384, "__tracepoint_mmap_lock_released" },
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4c1d1283, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x848d372e, "iowrite8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x594bf15b, "ioport_map" },
	{ 0x108e2489, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5dec1c9, "pci_user_write_config_word" },
	{ 0xe71c3ad, "bus_register_notifier" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x3f4189b0, "vfio_file_is_group" },
	{ 0x6c559b24, "pci_msix_can_alloc_dyn" },
	{ 0x78f3c65c, "vfio_file_has_dev" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf369c898, "pci_clear_master" },
	{ 0x6ababfe, "__pci_reset_function_locked" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x58c584e9, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x418873cc, "irq_bypass_register_producer" },
	{ 0xbea5a6ce, "pci_write_vpd" },
	{ 0x1cfd86f0, "vfio_virqfd_enable" },
	{ 0x6ec48265, "vga_client_register" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf8ec8797, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xd3aaefaa, "aperture_remove_conflicting_pci_devices" },
	{ 0xbdfa8ae1, "vfio_unregister_group_dev" },
	{ 0x89fa8a45, "pci_map_rom" },
	{ 0xde80cd09, "ioremap" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x410e6325, "pci_store_saved_state" },
	{ 0xabb7c7c2, "get_cached_msi_msg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5222d5c6, "pci_iounmap" },
	{ 0x6a1881e0, "pci_restore_state" },
	{ 0xb19b445, "ioread8" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfc39e32f, "ioport_unmap" },
	{ 0xc9c668c4, "pcie_get_mps" },
	{ 0xbfef9e44, "pci_dev_trylock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xa81a6573, "vga_put" },
	{ 0x6c28be5a, "vfio_info_add_capability" },
	{ 0x7e9a334f, "pci_dev_driver" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xb197ecd2, "__mmap_lock_do_trace_start_locking" },
	{ 0x38e3fa08, "vfio_find_device_in_devset" },
	{ 0xf6e772c3, "irq_bypass_unregister_producer" },
	{ 0x576688e7, "_dev_notice" },
	{ 0x3030f59c, "pm_runtime_forbid" },
	{ 0xc2db2a85, "pm_runtime_allow" },
	{ 0x7e29b5d9, "pci_reset_bus" },
	{ 0xbacfd3ad, "mmput" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0xb3f3700c, "vfio_register_group_dev" },
	{ 0xf45abd0a, "vfio_assign_device_set" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x18a8ccbb, "pci_user_read_config_byte" },
	{ 0xaf6b7e1d, "pci_try_reset_function" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x2f45dab7, "__tracepoint_mmap_lock_start_locking" },
	{ 0xf89aecea, "pci_get_class" },
	{ 0x848d7d24, "pci_user_write_config_dword" },
	{ 0xc527d88e, "pcie_capability_read_dword" },
	{ 0xa52ead05, "__mmap_lock_do_trace_released" },
	{ 0xa3efc23, "pci_load_and_free_saved_state" },
	{ 0xc5cfa212, "pci_disable_sriov" },
	{ 0x48ee7465, "vfio_device_set_open_count" },
	{ 0x32be13db, "pci_disable_device" },
	{ 0x6310f9fd, "pci_match_id" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x8d537277, "pci_check_and_unmask_intx" },
	{ 0x9e8910e, "pcie_set_readrq" },
	{ 0x56ba119a, "pci_walk_bus" },
	{ 0xce142c0e, "pci_msix_alloc_irq_at" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0x20ce5e45, "vga_get" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xc313b9ee, "pci_unmap_rom" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xd990f5f1, "pci_read_config_byte" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0xdf0f75c6, "eventfd_signal" },
	{ 0x5b8c8e5e, "vga_set_legacy_decoding" },
	{ 0x97168eb1, "pci_dev_unlock" },
	{ 0x36cca4e2, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x566f67b6, "pci_free_irq_vectors" },
	{ 0xd592cf7f, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0x38c8bf59, "__pm_runtime_idle" },
	{ 0xa7b00456, "vfio_virqfd_flush_thread" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7aad1977, "pci_bus_type" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xba98aca2, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13110126, "request_resource" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x5cf1b5b1, "pci_read_vpd" },
	{ 0xe7ae8e4b, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x380d66c1, "pci_request_selected_regions" },
	{ 0x4ea7163c, "pci_release_selected_regions" },
	{ 0x8666e6c3, "pci_user_write_config_byte" },
	{ 0x4fb69bf, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x10de64b8, "pci_bus_max_busnr" },
	{ 0xcf04c266, "pci_check_and_mask_intx" },
	{ 0x1da81562, "pci_iomap" },
	{ 0x19567d06, "vfio_info_cap_shift" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x695fda7e, "pci_alloc_irq_vectors" },
	{ 0xadc044b7, "vfio_set_irqs_validate_and_prepare" },
	{ 0xe2119091, "pci_enable_atomic_ops_to_root" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x9de369c, "pci_dev_put" },
	{ 0x75e17f23, "iommu_group_get" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x64e4916d, "vfio_virqfd_disable" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x243f9246, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x1248a668, "fget" },
	{ 0xedc03953, "iounmap" },
	{ 0x423daf00, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9b6e950f, "pci_user_read_config_dword" },
	{ 0x681fa1c7, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0x7153261f, "pci_user_read_config_word" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6627f4e9, "pci_probe_reset_bus" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x51cde07b, "pci_probe_reset_slot" },
	{ 0x70539ffd, "zap_vma_ptes" },
	{ 0x99dab994, "pci_set_power_state" },
	{ 0xbb2708f9, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x91b32b4e, "pci_irq_vector" },
	{ 0xf2c53d53, "pci_write_msi_msg" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "vfio,irqbypass");


MODULE_INFO(srcversion, "2E7DF53C1FD7245CDE457C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
