#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x6ba9db31, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x79116508, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x5b99028d, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xc7ce2653, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xdbabe3a8, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x6e0dd02c, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xe5631f1b, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xd7eecf21, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x50087d89, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xfe382393, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x884a76a1, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xe507f4d2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xee6bc3c8, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x175f7718, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe28e2f67, "gro_cells_init" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x5bb4d42, "init_net" },
	{ 0x8d9297ed, "alloc_netdev_mqs" },
	{ 0x7ad9a0a, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0xe0917015, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xc81d4ca8, "skb_copy_bits" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x9f6168cf, "__pskb_pull_tail" },
	{ 0xce95ea0b, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x70063c3f, "netdev_state_change" },
	{ 0x19661d52, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x33f4536e, "make_kuid" },
	{ 0x5e49e367, "ip6_redirect" },
	{ 0x651961a7, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3091ca3, "ip6_route_output_flags" },
	{ 0xffffd06f, "xfrm_lookup" },
	{ 0x546a439, "ip6_mtu" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xf459c4e7, "skb_scrub_packet" },
	{ 0x32cf0b58, "skb_realloc_headroom" },
	{ 0xba3d3fbd, "skb_set_owner_w" },
	{ 0x9c1b1d14, "consume_skb" },
	{ 0xc13a96b, "ipv6_push_frag_opts" },
	{ 0x6abfd47c, "skb_push" },
	{ 0x49a9a4c0, "ip6_local_out" },
	{ 0x7635ee2d, "dst_cache_get" },
	{ 0xf5184331, "dst_cache_set_ip6" },
	{ 0xf0a55038, "ipv6_dev_get_saddr" },
	{ 0xfde51f30, "ip6_dst_hoplimit" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf1e843e1, "ipv4_mtu" },
	{ 0x869e5250, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcb894635, "iptunnel_handle_offloads" },
	{ 0x24266c5d, "icmpv6_ndo_send" },
	{ 0x6e5ef026, "kfree_skb_reason" },
	{ 0xf1893073, "icmp_ndo_send" },
	{ 0x33514ab2, "skb_clone" },
	{ 0x14ffbfe0, "skb_pull" },
	{ 0x8aff3318, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xefc56275, "gro_cells_receive" },
	{ 0x5712fe6f, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xf7778c02, "__iptunnel_pull_header" },
	{ 0xe7d6ce38, "metadata_dst_alloc" },
	{ 0x82540842, "__xfrm_policy_check" },
	{ 0xbe0342bc, "ip_route_output_flow" },
	{ 0x893a4b6, "ip_route_input_noref" },
	{ 0xddae4c68, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xab91c289, "dev_get_tstats64" },
	{ 0x1687a0de, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66c192dc, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x30484540, "ipv6_chk_addr_and_flags" },
	{ 0xd00e71e4, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x32fcc3ec, "register_pernet_device" },
	{ 0xcc05ee15, "xfrm6_tunnel_register" },
	{ 0xe29ff3b3, "rtnl_link_register" },
	{ 0xc12a2635, "unregister_pernet_device" },
	{ 0x629dd769, "xfrm6_tunnel_deregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5414321a, "unregister_netdevice_queue" },
	{ 0x1ace31f3, "dev_addr_mod" },
	{ 0x905c3017, "rt6_lookup" },
	{ 0xd8dac60d, "dst_release" },
	{ 0xcd382bbe, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "5630649C52513E317EF003F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
