#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_calc_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0xe408c8da, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0xd26d33e7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0x51d39cc1, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x4fc35859, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0xb5a552a5, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0x66d31028, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0xabc0bc9e, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x2d2d81e1, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0xf1564328, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0x2509e832, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0xbd8299b9, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x60a3cfbb, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xda70751a, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0x0ba7d064, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x3f29ad1b, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x905ea7b0, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0x2499e090, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xcab335cc, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xdc72de10, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0xd78eb057, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xabb1a512, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0x80b0786c, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0x09bbda20, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x14451495, "_gpl");
SYMBOL_CRC(snd_hdac_calc_stream_format, 0x5c07cb49, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x6f245d6f, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0x4695b0dc, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x314ac4dc, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x4325b59b, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x59f08498, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x6e63580b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x7a282efc, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x58cc1b81, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0xd6ca0685, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x91f5c63f, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x0dcfb669, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x025b3a80, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xdc9f8e6a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x86a35675, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0x63e34e10, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0xca866bb7, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x29b82b12, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0x7d967d75, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xede92d5a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0x18d25133, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0x553aa49c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0x9593c232, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xc03dec4d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x310fc536, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0x3bdaaaf5, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x92e31fc6, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0x6b37f067, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xc4b68082, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0x381ccc83, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0x4f5b0021, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0x06b441cd, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x6d32e702, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xd675fc2b, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0xb3308d49, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xed20f41d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0x1820d4e2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xb0982cf1, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x8129c69f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x58490134, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0xf74f516f, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x1c58528e, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0x2c7a1b75, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x5a801f0d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0x47753a42, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0x9a19e6b2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0x74095b01, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0xf979ade2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x022a1071, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0xca39a308, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0x649dfd7d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0xa11fc7e0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x2309da45, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x5221bb02, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x0a1be786, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0xe95451a9, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0xbe2774e0, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xbdc1e82b, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x37eae5b9, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0x7912a512, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0xd7b1d4a1, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0x1c3c34ad, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0x46f924b4, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0x4f1b8a65, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x27852819, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0xd75d4259, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x451a9955, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0x702f801a, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x5d41bfba, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xdf93bb20, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x471e88c8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfe4d63f, "__dynamic_dev_dbg" },
	{ 0x9e9626ab, "snd_sgbuf_get_chunk_size" },
	{ 0x522f5f03, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x75a8b57c, "trace_event_buffer_commit" },
	{ 0x25d84780, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x724c29fa, "__pm_runtime_set_status" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x77dc14ac, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5c30a663, "_dev_info" },
	{ 0x40acce40, "module_put" },
	{ 0xeac8d0cc, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x34806300, "perf_trace_run_bpf_submit" },
	{ 0x53913146, "bus_unregister" },
	{ 0x38c8d139, "_dev_err" },
	{ 0x7446f92a, "kobject_add" },
	{ 0x3c718401, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2d72a04e, "__devres_alloc_node" },
	{ 0x1cd1cf4b, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb3680b1, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xedfaaec0, "__regmap_init" },
	{ 0x8ab46459, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xeba3671a, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe52a3235, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7fff2e8d, "sysfs_remove_group" },
	{ 0xbd258125, "bpf_trace_run3" },
	{ 0x84d8f7f2, "component_master_del" },
	{ 0x9882a13e, "regmap_read" },
	{ 0x301598fc, "trace_event_buffer_reserve" },
	{ 0xa5b4b90f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44b1184a, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x86fdde79, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6310f9fd, "pci_match_id" },
	{ 0x480c9230, "devres_find" },
	{ 0xda8f1fb1, "regmap_update_bits_base" },
	{ 0x14cd33b5, "kmalloc_trace" },
	{ 0xaad1e4b1, "__pm_runtime_suspend" },
	{ 0x57c7439e, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x963d26b2, "component_unbind_all" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7aad1977, "pci_bus_type" },
	{ 0xf3ef8c8a, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5051d10, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xad14733b, "kobject_put" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xd3c262e6, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xf21bdee6, "regcache_sync" },
	{ 0x1a892b39, "regmap_write" },
	{ 0xd8fde79, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xe004b4d3, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa9e05ef1, "component_master_add_with_match" },
	{ 0x486f7f73, "trace_raw_output_prep" },
	{ 0x603f229, "snd_pcm_add_chmap_ctls" },
	{ 0x9de369c, "pci_dev_put" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x810c96f5, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x10e562c5, "pci_get_device" },
	{ 0x29a8a097, "trace_event_printf" },
	{ 0x6846f8bb, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x4015f79c, "pm_runtime_get_if_active" },
	{ 0xeeae060a, "kobject_init" },
	{ 0xb63301e4, "device_initialize" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x82dbc78f, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x65e664f2, "regcache_reg_cached" },
	{ 0x6801adb9, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe70fbc7b, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5d4a3739, "snd_sgbuf_get_addr" },
	{ 0x13950a41, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "C55C99E4C61D3336E964462");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
